2005-12-09 20:03  robert

	* include/osgGA/DriveManipulator, include/osgGA/FlightManipulator,
	  include/osgGA/NodeTrackerManipulator,
	  include/osgGA/TerrainManipulator,
	  include/osgGA/TrackballManipulator,
	  src/osgGA/NodeTrackerManipulator.cpp,
	  src/osgGA/TerrainManipulator.cpp,
	  src/osgGA/TrackballManipulator.cpp,
	  src/osgProducer/ViewerEventHandler.cpp: Fixed typo in comments
	  and onscreen help.

2005-12-09 19:54  robert

	* examples/osghud/osghud.cpp: Fixed the text to match the
	  implementation.

2005-12-09 19:34  robert

	* Make/makedefs: From Thom DeCarlo, changed of ?= to = in
	  Cygwin/minw options for INST_LOCATION.

2005-12-09 19:14  robert

	* Make/makedefs: From Simon Julier, library reordering for
	  compiling osgTerrain under cygwin.

2005-12-09 16:00  robert

	* include/osg/PrimitiveSet, include/osgText/String,
	  src/osgWrappers/osg/PrimitiveSet.cpp,
	  src/osgWrappers/osgText/String.cpp: Changed constructors to use
	  unsigned int to get round VS6.0 + wrapper problems.

2005-12-09 15:05  robert

	* Make/: makedefs, makerules: From Simon Julier, fix for .exe
	  extension under Mingw/Cygwin.

2005-12-09 14:52  robert

	* include/: osg/PrimitiveSet, osgText/String: Build fix for VS6.0
	  in the template constructors

2005-12-09 11:22  robert

	* ChangeLog, include/osg/Switch, src/osg/Switch.cpp,
	  src/osgWrappers/osg/Switch.cpp: From Eric Wing, added missing
	  removeChildren method.

2005-12-09 09:38  robert

	* src/osgUtil/RenderStage.cpp: From Eric Sokolosky, add setting of
	  _cameraRequiresSetUp in constructor to avoid uninitialized
	  variable.

2005-12-08 22:12  robert

	* NEWS.txt: Updated NEWS.

2005-12-08 20:32  robert

	* src/osgText/Text.cpp: From Paul Martz, changed Vec3 to Vec3d to
	  ensure that the lazy evaluation of computeBound  work properly.

2005-12-08 14:08  robert

	* src/osg/Array.cpp: From Simon Julier, fixed typo of unknown.

2005-12-08 12:02  robert

	* AUTHORS.txt, ChangeLog, NEWS.txt,
	  applications/osgversion/osgversion.cpp: Updated AUTHORS and
	  ChangeLog for rc9.

2005-12-08 11:53  robert

	* NEWS.txt: Updated NEWS from wiki ammendments.

2005-12-08 11:37  robert

	* Make/: instrules, makedefs, makerules: From Simon Julier, build
	  fixes for Cygwin/mingw

2005-12-08 11:01  robert

	* src/osgUtil/IntersectVisitor.cpp: Added support for pre and post
	  relative transforms on cameranode.

2005-12-08 10:06  robert

	* include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgProducer/OsgCameraGroup.cpp, src/osgUtil/SceneView.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Added
	  CameraNode::releaseGLObejcts() to help in clean up, and changed
	  the ordering in SceneView::flushDeleteGLObjects() so that fbo's
	  are deleted before any texture objects they use are deleted.

2005-12-08 10:03  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp: Changed
	  s/getGdalDataset() methods to use void* to avoid introspeciton
	  wrapping problems.

2005-12-08 08:57  robert

	* include/osgText/Text: From Eric Wing, fix to comment.

2005-12-07 15:29  robert

	* include/osg/Node, src/osg/Node.cpp,
	  src/osg/NodeTrackerCallback.cpp, src/osgGA/EventVisitor.cpp,
	  src/osgProducer/Viewer.cpp, src/osgWrappers/osg/Node.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp: Added new
	  Node::getParentalNodePaths() method.

	  Added better handling in computeIntersections(..) of nodes that
	  are internal to the scene graph, correctly accounting for the
	  accumulated transforms.

	  Changed the EventVisitor so that it only traveses active children
	  rather than all children.

	  Updated wrappers.

2005-12-07 15:26  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: From
	  Antonoine Hue, a small modification to the osgTerrain::DataSet to
	  be able to pass an already opened GDAL Dataset to the
	  osgTerrain::DataSet::Source

2005-12-07 12:29  robert

	* NEWS.txt: Updated NEWS for release

2005-12-07 11:38  robert

	* examples/osgbluemarble/osgbluemarble.cpp: From Eric Wing, fixed
	  typo induced bug.

2005-12-07 11:36  robert

	* include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgProducer/Viewer.cpp, src/osgUtil/IntersectVisitor.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Added
	  Camera::isRenderToTextureCamera() method, and improved support in
	  PickVisitor and IntersectVisitor for CameraNode, including the
	  ignoring of render to texture cameras, such that HUD's etc are
	  still intersected against.

2005-12-07 10:25  robert

	* include/osgUtil/IntersectVisitor, src/osgProducer/Viewer.cpp,
	  src/osgUtil/IntersectVisitor.cpp,
	  src/osgWrappers/osgUtil/IntersectVisitor.cpp: Moved PickVistor
	  into osgUtil

2005-12-07 09:48  robert

	* examples/osgcamera/osgcamera.cpp: Enabled thread safe counting by
	  default.

2005-12-06 21:59  robert

	* include/osgUtil/IntersectVisitor, src/osgProducer/Viewer.cpp,
	  src/osgWrappers/osgUtil/IntersectVisitor.cpp: Improved the
	  PickVisitor to make it more flexible and robust.

2005-12-06 12:07  robert

	* Make/: dependencies, makedirdefs: Removed osgdemeter example from
	  distribution because it no longer compiles, and Demeter itself
	  nolonger compiles, osgdemeter has now been moved to the community
	  section of openscenegraph.org.

2005-12-06 11:24  robert

	* src/osg/Geometry.cpp: Added checks in the drawImplementation to
	  catch when attribute bindings are set on but the relevant arrays
	  remain unset, this prevents previous crash when this occured.

2005-12-06 10:26  robert

	* src/osgGA/TerrainManipulator.cpp: From Gideon May, fixed typo in
	  docs.

2005-12-06 10:18  robert

	* include/osg/Geometry: From Farshid Lashkari, removed second
	  redundent dirtyDisplayList() call.

2005-12-06 10:16  robert

	* include/osg/Vec4d, include/osg/Vec4f,
	  src/osgSim/LightPointDrawable.h, src/osgWrappers/osg/Vec4d.cpp,
	  src/osgWrappers/osg/Vec4f.cpp: From Louis Hamilton, fix to
	  LightPoint's under 64 bit build, changing longs to ints in colour
	  conversion code.

2005-12-05 20:11  robert

	* src/osg/GraphicsContext.cpp: Changed debug message to INFO.

2005-12-05 10:24  robert

	* examples/osgdelaunay/osgdelaunay.cpp,
	  examples/osgdepthpartition/DepthPartitionNode.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgSim/OverlayNode.cpp: Attempt at build fixes for IRIX.

2005-12-05 10:23  robert

	* src/osgDB/Registry.cpp: Removed the closeLibraries call from the
	  registry singleton desctuction.

2005-12-05 10:08  robert

	* examples/: osgsimplepager/osgsimplepager.cpp,
	  osgkeyboardmouse/osgkeyboardmouse.cpp: From Geoff Michel, Fix to
	  prevent Producer::Trackball being set up with a negative radius.

2005-12-04 20:08  robert

	* include/osg/BoundingBox: Fixed tabbing.

2005-12-03 15:12  robert

	* include/osg/PrimitiveSet: Added OSG_EXPORT to PrimitiveSet.

2005-12-03 00:03  robert

	* include/osg/PrimitiveSet, src/osg/PrimitiveSet.cpp: Moved the
	  body of the getNumPrimitives() into the .cpp.

2005-12-02 12:30  robert

	* AUTHORS.txt, ChangeLog, applications/osgversion/osgversion.cpp:
	  Updated ChangeLog, AUTHTORS.txt and osgversion for next release
	  candidate.

2005-12-02 12:10  robert

	* NEWS.txt: Fixed typos in NEWS, improved formating.

2005-12-02 11:59  robert

	* NEWS.txt: Updated NEWS with quotes.

2005-12-02 09:57  robert

	* src/osgPlugins/freetype/FreeTypeLibrary.cpp: Added a
	  static_cast<std::streampos> to get round IRIX64 build problem.

2005-12-02 00:25  robert

	* include/osg/Export, include/osg/PrimitiveSet,
	  include/osgText/String, src/osgUtil/CullVisitor.cpp,
	  src/osgWrappers/osg/PrimitiveSet.cpp,
	  src/osgWrappers/osgText/String.cpp: From Marco Jez, hack/fix for
	  VS compile/link problems related to STL containers.

2005-12-02 00:21  robert

	* NEWS.txt: Updated NEWS

2005-12-01 16:44  robert

	* NEWS.txt: Updated NEWS

2005-12-01 16:43  robert

	* examples/: osgmultitexture/osgmultitexture.cpp,
	  osgshaderterrain/osgshaderterrain.cpp: Added comments.

2005-12-01 14:37  robert

	* src/osgUtil/SceneView.cpp: From Ali Botorabi, fixed the
	  setDefault() fallback to properly handle the case when no scene
	  view light is requested.

2005-12-01 14:09  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp: Added
	  TestSupportCallback to properly handle querry of OpenGL support
	  of vertex texturing in GLSL.

2005-12-01 13:38  robert

	* src/osgPlugins/txp/GNUmakefile: From Thom DeCarlo, build fix for
	  Cygwin.

2005-12-01 13:19  robert

	* src/osgUtil/CullVisitor.cpp: From Geoff Michel, fixed the
	  handling of zfar values of 0.0.

2005-11-30 15:30  robert

	* NEWS.txt: Updated NEWS.

2005-11-29 22:29  robert

	* ChangeLog: Updated changed log for 1.0-rc7.

2005-11-29 18:38  robert

	* src/osgPlugins/stl/ReaderWriterSTL.cpp: Added default opening of
	  the file as a binary file, and once the type is confirmed then
	  close and reopen as an ascii as required.  This is done to get
	  round problems under Windows.

	  Also made the running of the SmoothingVisitor optional, now use
	  -O smooth to make the loader run the osgUtil::SmoothingVisitor
	  over the model.

2005-11-29 14:20  robert

	* AUTHORS.txt, ChangeLog, applications/osgversion/osgversion.cpp:
	  Updated ChangeLog, osgversion.cpp and AUTHORS.txt for 1.0-rc6.

2005-11-29 14:07  robert

	* NEWS.txt: Updated NEWS with second draft of press release.

2005-11-29 12:09  robert

	* include/osgProducer/ViewerEventHandler,
	  src/osgProducer/ViewerEventHandler.cpp: Added
	  CameraBarrierCallback so that multi-thread multi-cameras are
	  synconized correctly when do stats collection.

2005-11-29 11:39  robert

	* examples/osgreflect/osgreflect.cpp, src/osg/Stencil.cpp,
	  src/osgPlugins/geo/ClipRegion.cpp, src/osgUtil/RenderBin.cpp,
	  src/osgUtil/SceneView.cpp: From Eric Wing, fixes for "warning:
	  converting of negative value '-0x00000000000000001' to 'unsigned
	  int'"

2005-11-29 08:59  robert

	* examples/osgparametric/osgparametric.cpp: Switched off the VBO
	  usage in osgparametric as it was tripping up ATI and 3DLabs
	  drivers.

2005-11-28 20:08  robert

	* src/osg/Texture2D.cpp: Added temporary ref_ptr<osg::Image> to
	  prevent the _image going out of scope due to another thread
	  complete the texture::apply() while the present texture::apply()
	  is still running.

2005-11-28 10:58  robert

	* examples/osgdelaunay/osgdelaunay.cpp: Fixed warning.

2005-11-28 09:15  robert

	* Make/makedefs, examples/osgGLUTkeyboardmouse/GNUmakefile,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.cpp,
	  examples/osgGLUTsimple/GNUmakefile,
	  examples/osgGLUTsimple/osgGLUTsimple.cpp: From Gideon May, port
	  to OSX of GLUT examples.

2005-11-27 15:32  robert

	* examples/osgdelaunay/osgdelaunay.cpp: From Geoff Michel, fix for
	  the scaling of the random number generation.

2005-11-25 20:23  robert

	* AUTHORS.txt, ChangeLog: Updated ChangeLog and authors file.

2005-11-25 19:18  robert

	* examples/osgdelaunay/osgdelaunay.cpp,
	  examples/osgpbuffer/osgpbuffer.cpp, src/osg/DisplaySettings.cpp,
	  src/osgProducer/Viewer.cpp: From John Donovan, typo fixes.

2005-11-25 14:58  robert

	* applications/osgdem/osgdem.cpp: Added disable of spurious VS6.0
	  warning.

2005-11-25 13:45  robert

	* include/osg/Image: Fixed docs of setImage.

2005-11-25 12:31  robert

	* include/osg/Drawable, include/osg/PrimitiveSet,
	  src/osg/PrimitiveSet.cpp, src/osgWrappers/osg/PrimitiveSet.cpp:
	  Added releaseGLObjects to PrimitiveSet.

2005-11-25 10:32  robert

	* VisualStudio/OpenSceneGraph.dsw: Fixed typo of dxf.

2005-11-24 19:53  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp: Lightened by the
	  ambientBias term.

2005-11-24 15:18  robert

	* include/osg/FrameBufferObject, src/osg/FrameBufferObject.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgUtil/SceneView.cpp,
	  src/osgWrappers/osg/FrameBufferObject.cpp: Added FBO deletion
	  support, and better FBO querry and fallback mechansim in
	  RenderStage.

2005-11-24 15:17  robert

	* include/osg/Export: Changed the VS template export block to just
	  compile when VS verion >= 1300 (VS.NET onwards.)

2005-11-24 10:28  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp,
	  src/osg/Texture.cpp: Changed the default value of
	  Texture::_resizeNonPowerOfTwoHint to true, to improve the
	  backwards compatibility of peformance on systems that have
	  OpenGL2.0 drivers but without hardware that can't handle non
	  power of two textures.

2005-11-24 10:14  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added automatic setting of
	  thread safe reference counting when multi-threaded cameras are
	  used.

2005-11-23 16:32  robert

	* include/osg/CameraNode, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgWrappers/osg/CameraNode.cpp:
	  Changed CameraNode::getDataChangeMutex() to be a pointer rather
	  than a reference to get around osgIntrospeciton build problem
	  with the OpenThreads::Mutex copy constructor being private.

2005-11-23 16:24  robert

	* AUTHORS.txt, ChangeLog, NEWS.txt, Make/makedefs: Updated
	  AUTHORES, ChangeLog, NEWS and version number for 1.0-rc6

2005-11-23 15:25  robert

	* src/osg/GLExtensions.cpp: Changed the linux implement of
	  getGLExtensionFuncPtr to querry for glXGetProcAddressARB and then
	  use this if its available, otherwise fallback to the original
	  dlsym usage.

2005-11-23 13:44  robert

	* include/osg/CameraNode, src/osg/FrameBufferObject.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Added multi-buffering of the
	  CameraNode::_renderingCache to help cope with multiple graphis
	  context usages.

2005-11-23 12:16  robert

	* examples/osgcallback/osgcallback.cpp: Fixed mistmatch of
	  ReadFileCallback type.

2005-11-23 10:16  robert

	* include/osg/GLExtensions, src/osg/GLExtensions.cpp: Moved
	  getGLExtensionFuncPtr implementation into the .cpp to make it
	  easier to change it implementation without forcing a complete
	  recompile.

2005-11-23 10:15  robert

	* src/osgFX/BumpMapping.cpp: From Marco Jez, typo fix if GL
	  extension name.

2005-11-22 21:14  robert

	* include/osgUtil/TangentSpaceGenerator, src/osgFX/BumpMapping.cpp,
	  src/osgUtil/TangentSpaceGenerator.cpp,
	  src/osgWrappers/osgUtil/TangentSpaceGenerator.cpp: Simplified the
	  TangentSpaceGenerator so that is automatically converts any
	  models with indices to one without indices and then runs the
	  tangent space generation code on the result.

2005-11-22 14:35  robert

	* Make/makedefs: From Markus Trenkwalder, fixed placment of libs in
	  mingw build.

2005-11-22 13:56  robert

	* include/osg/Geometry, src/osg/Geometry.cpp: Added missing
	  dirtyDisplayList call into osg::Geometry::set calls.

2005-11-22 13:14  robert

	* include/osgDB/DatabasePager, src/osgDB/DatabasePager.cpp,
	  src/osgWrappers/osgDB/DatabasePager.cpp: Added
	  DatabasePager::s/getDrawablePolicy() to allow the way that the
	  display list/VBO settings are applied to loaded databases.

2005-11-22 10:26  robert

	* src/osg/: LOD.cpp, PagedLOD.cpp: Added check against LODScale
	  being zero, and fixed the search for the maximum LOD range in the
	  pixel size range fallback.

2005-11-22 10:08  robert

	* src/osg/: LOD.cpp, PagedLOD.cpp: From Chris Hanson, add LODScale
	  support to pixel based LOD range selection.

2005-11-22 09:57  robert

	* src/osg/Program.cpp: From Jason Daly, (with small tweak by Robert
	  Osfield) fix for Prorgram::removeShader(Shader*) so that it
	  properly remove the shader and its entry in the _shaderList.

2005-11-22 09:51  robert

	* src/osgPlugins/: dxf/scene.cpp, txp/trpage_managers.cpp: From
	  Eric Wing, warning fixes for gcc4.0/OSX.

2005-11-22 09:47  robert

	* include/osg/GL: From Marco Jez, fix for wchar_t being redefined.

2005-11-21 16:29  robert

	* NEWS.txt: Updated NEWS

2005-11-21 16:15  robert

	* AUTHORS.txt, ChangeLog: Updated ChangeLog and authors file.

2005-11-21 13:51  robert

	* include/osg/Export, include/osg/PrimitiveSet,
	  include/osgText/String, src/osgPlugins/directx/directx.h,
	  src/osgPlugins/txp/trpage_sys.h: From Roger James, reworked the
	  export of std::vector<> on standard types to prevent problems
	  with .lib being built for all targets under VS7.x

2005-11-20 22:07  robert

	* src/osgPlugins/directx/: ReaderWriterDirectX.cpp, directx.cpp,
	  directx.h: Replaced asserts with notification of error.

2005-11-20 22:06  robert

	* src/osgPlugins/directx/: directx.cpp, directx.h: From Donn
	  Mielcarek, added support Materials being declared globally.

2005-11-19 12:18  robert

	* AUTHORS.txt, ChangeLog, applications/osgversion/osgversion.cpp:
	  Updated ChangeLog, osgversion and AUTHORS file.

2005-11-18 17:04  robert

	* include/osgParticle/ExplosionDebrisEffect,
	  include/osgParticle/ExplosionEffect,
	  include/osgParticle/FireEffect,
	  include/osgParticle/ParticleEffect,
	  include/osgParticle/SmokeEffect,
	  include/osgParticle/SmokeTrailEffect,
	  src/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgParticle/ExplosionEffect.cpp,
	  src/osgParticle/FireEffect.cpp,
	  src/osgParticle/ParticleEffect.cpp,
	  src/osgParticle/SmokeEffect.cpp,
	  src/osgParticle/SmokeTrailEffect.cpp,
	  src/osgPlugins/osgParticle/IO_ExplosionDebrisEffect.cpp,
	  src/osgPlugins/osgParticle/IO_ExplosionEffect.cpp,
	  src/osgPlugins/osgParticle/IO_FireEffect.cpp,
	  src/osgPlugins/osgParticle/IO_ParticleEffect.cpp,
	  src/osgPlugins/osgParticle/IO_SmokeEffect.cpp,
	  src/osgPlugins/osgParticle/IO_SmokeTrailEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionEffect.cpp,
	  src/osgWrappers/osgParticle/FireEffect.cpp,
	  src/osgWrappers/osgParticle/ParticleEffect.cpp,
	  src/osgWrappers/osgParticle/SmokeEffect.cpp,
	  src/osgWrappers/osgParticle/SmokeTrailEffect.cpp: Added the
	  ability for osgParticle::ParticleEffect to switch off the
	  automatic setup.  Normally the automatic setup is useful, but in
	  the case of the .osg support this automatic update was forcing
	  premature loading of imagery that wasn't necessarily, and can
	  lead to reports of looking for files that arn't present.

2005-11-18 15:00  robert

	* include/osgGA/TrackballManipulator,
	  src/osgWrappers/osgGA/TrackballManipulator.cpp: Added s/getCenter
	  and s/getRotation methods, and updated wrapper.

2005-11-18 14:49  robert

	* include/osgGA/TrackballManipulator: From  Toshiyuki Takeahei,
	  addition of s/getDistance() methods

2005-11-18 14:46  robert

	* src/osgPlugins/flt/: LightPointRecord.cpp, LightPointRecord.h,
	  flt2osg.cpp: The OpenFlight plugin was crashing with pre 15.6
	  .flt files that contained light points.  This was due to the
	  mismatch is size and fiels in the LightPointRecord before 15.6
	  and after it, the OSG's flt plugin was assuming just 15.6 record
	  structure.  As a temporary solution I have disabled the
	  processing of light point records on .flt file version before
	  15.6, this allows these files to be loaded safely, but without
	  light points.

2005-11-18 10:03  robert

	* src/osgPlugins/flt/flt2osg.cpp: From Andrew Reyonolds : changed
	  the endian conversion code to work on a temporary rather then on
	  a flt structure to prevent repeated conversion of the same value,
	  something that led to eroneously large light point string sizes.

2005-11-18 09:52  robert

	* include/: osg/Export, osgDB/Export, osgFX/Export, osgGA/Export,
	  osgIntrospection/Export, osgParticle/Export, osgProducer/Export,
	  osgSim/Export, osgTerrain/Export, osgText/Export, osgUtil/Export:
	  From Rodger James, changed the Win32 static library compilation
	  support to use OSG_LIBRARY_STATIC to avoid problems with building
	  libs when not required.

2005-11-17 20:22  robert

	* examples/: osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.cpp,
	  osgblendequation/osgblendequation.cpp,
	  osgbluemarble/osgbluemarble.cpp, osgcamera/osgcamera.cpp,
	  osgcameragroup/osgcameragroup.cpp, osgcluster/broadcaster.cpp,
	  osgcluster/receiver.cpp,
	  osgdepthpartition/DepthPartitionNode.cpp,
	  osgdepthpartition/DistanceAccumulator.cpp,
	  osgdepthpartition/osgdepthpartition.cpp,
	  osgdepthshadow/osgdepthshadow.cpp, osgforest/osgforest.cpp,
	  osgfxbrowser/osgfxbrowser.cpp, osggeometry/osggeometry.cpp,
	  osgimpostor/TestManipulator.cpp, osgimpostor/osgimpostor.cpp,
	  osgintrospection/osgintrospection.cpp,
	  osgkeyboardmouse/osgkeyboardmouse.cpp, osglight/osglight.cpp,
	  osglogicop/osglogicop.cpp, osglogo/osglogo.cpp,
	  osgmotionblur/osgmotionblur.cpp, osgparametric/osgparametric.cpp,
	  osgparticle/osgparticle.cpp,
	  osgparticleeffects/osgparticleeffects.cpp,
	  osgplanets/osgplanets.cpp, osgshadowtexture/osgshadowtexture.cpp,
	  osgshape/osgshape.cpp, osgsimple/osgsimple.cpp,
	  osgsimplepager/osgsimplepager.cpp,
	  osgsimulation/osgsimulation.cpp, osgslice/osgslice.cpp,
	  osgspheresegment/osgspheresegment.cpp,
	  osgspotlight/osgspotlight.cpp, osgtexture3D/osgtexture3D.cpp,
	  osgvolume/osgvolume.cpp: Replaced tabs with spaces in examples.

2005-11-17 17:45  robert

	* applications/osgdem/osgdem.cpp,
	  src/osgWrappers/osgGA/DriveManipulator.cpp,
	  src/osgWrappers/osgGA/FlightManipulator.cpp,
	  src/osgWrappers/osgGA/TrackballManipulator.cpp,
	  src/osgWrappers/osgGA/UFOManipulator.cpp: Updated wrappers.

2005-11-17 17:44  robert

	* include/: osg/AnimationPath, osg/Billboard, osg/ClipNode,
	  osg/ClipPlane, osg/ClusterCullingCallback,
	  osg/CollectOccludersVisitor, osg/ConvexPlanarOccluder,
	  osg/ConvexPlanarPolygon, osg/CopyOp, osg/CullSettings,
	  osg/CullStack, osg/CullingSet, osg/Depth, osg/Export,
	  osg/FragmentProgram, osg/GLExtensions, osg/Group,
	  osg/ImageStream, osg/Light, osg/LineStipple, osg/Matrixd,
	  osg/Matrixf, osg/Multisample, osg/PointSprite, osg/Polytope,
	  osg/Referenced, osg/ShadowVolumeOccluder, osg/Shape,
	  osg/TexGenNode, osg/Texture1D, osg/Texture2D, osg/Transform,
	  osg/TriangleFunctor, osg/TriangleIndexFunctor, osg/UByte4,
	  osg/Vec2b, osg/Vec2d, osg/Vec2f, osg/Vec2s, osg/Vec3b, osg/Vec3s,
	  osg/Vec4s, osg/Vec4ub, osg/io_utils, osg/ref_ptr,
	  osgDB/DynamicLibrary, osgDB/Export, osgDB/Output,
	  osgGA/AnimationPathManipulator, osgGA/DriveManipulator,
	  osgGA/KeySwitchMatrixManipulator, osgIntrospection/Comparator,
	  osgProducer/EventAdapter, osgProducer/Export, osgSim/Impostor,
	  osgSim/ImpostorSprite, osgTerrain/DataSet, osgText/Text: Convert
	  tabs to spaces.

2005-11-17 15:18  robert

	* applications/osgversion/osgversion.cpp: From Toshiyuki Takahei,
	  added #pragam to avoid build problem with special characters.
	  From Robert Osfield, added #if _MSC_VER to restrict pragma usage
	  to just VisualStudio, and added comment explaining all the extra
	  parsing code in osgversion.

2005-11-17 15:03  robert

	* src/osgPlugins/: ac3d/Exception.cpp, ac3d/Geode.cpp,
	  dds/ReaderWriterDDS.cpp, dw/ReaderWriterDW.cpp,
	  dxf/ReaderWriterDXF.cpp, dxf/dxfBlock.cpp, dxf/dxfEntity.cpp,
	  dxf/dxfFile.cpp, dxf/dxfReader.cpp, dxf/dxfSection.cpp,
	  dxf/dxfTable.cpp, dxf/scene.cpp,
	  flt/FindExternalModelVisitor.cpp, flt/GroupRecord.cpp,
	  flt/HeaderRecord.cpp, flt/LightPointPaletteRecords.cpp,
	  flt/LodRecord.cpp, geo/ClipRegion.cpp, geo/ReaderWriterGEO.cpp,
	  geo/geoActions.cpp, ive/AlphaFunc.cpp, ive/AnimationPath.cpp,
	  ive/AnimationPathCallback.cpp, ive/AzimElevationSector.cpp,
	  ive/AzimSector.cpp, ive/Billboard.cpp, ive/BlendFunc.cpp,
	  ive/BlinkSequence.cpp, ive/ClipPlane.cpp, ive/ConeSector.cpp,
	  ive/ConvexPlanarPolygon.cpp, ive/CullFace.cpp,
	  ive/DirectionalSector.cpp, ive/ElevationSector.cpp,
	  ive/Exception.cpp, ive/FragmentProgram.cpp, ive/FrontFace.cpp,
	  ive/Impostor.cpp, ive/LOD.cpp, ive/Light.cpp, ive/LightModel.cpp,
	  ive/LightPoint.cpp, ive/LightPointNode.cpp, ive/LineWidth.cpp,
	  ive/Material.cpp, ive/MultiSwitch.cpp, ive/Object.cpp,
	  ive/PagedLOD.cpp, ive/Point.cpp, ive/PolygonOffset.cpp,
	  ive/PositionAttitudeTransform.cpp, ive/PrimitiveSet.cpp,
	  ive/ReaderWriterIVE.cpp, ive/Scissor.cpp, ive/Sequence.cpp,
	  ive/ShadeModel.cpp, ive/Switch.cpp, ive/TexEnv.cpp,
	  ive/TexEnvCombine.cpp, ive/TexGen.cpp, ive/TexMat.cpp,
	  ive/Transform.cpp, ive/Viewport.cpp, ive/VisibilityGroup.cpp,
	  lib3ds/ReaderWriter3DS.cpp, lwo/Block.cpp, lwo/Clip.cpp,
	  lwo/Converter.cpp, lwo/Object.cpp, lwo/Polygon.cpp,
	  lwo/Surface.cpp, lwo/Tessellator.cpp, lwo/Unit.cpp,
	  lwo/VertexMap.cpp, lwo/old_Lwo2.cpp, lwo/old_Lwo2Layer.cpp,
	  lwo/old_lw.cpp, md2/ReaderWriterMD2.cpp, net/sockinet.cpp,
	  net/sockstream.cpp, osg/AutoTransform.cpp, osg/ClipPlane.cpp,
	  osg/ConvexPlanarOccluder.cpp, osg/Fog.cpp,
	  osg/FragmentProgram.cpp, osg/Light.cpp, osg/LineWidth.cpp,
	  osg/Material.cpp, osg/Point.cpp, osg/PointSprite.cpp,
	  osg/ReaderWriterOSG.cpp, osg/Shader.cpp, osg/Shape.cpp,
	  osg/TexGen.cpp, osg/VertexProgram.cpp,
	  osgFX/IO_AnisotropicLighting.cpp, osgFX/IO_BumpMapping.cpp,
	  osgFX/IO_Cartoon.cpp, osgFX/IO_Effect.cpp, osgFX/IO_Scribe.cpp,
	  osgFX/IO_SpecularHighlights.cpp,
	  osgParticle/IO_ModularEmitter.cpp,
	  osgParticle/IO_ModularProgram.cpp, osgParticle/IO_Particle.cpp,
	  osgParticle/IO_ParticleProcessor.cpp,
	  osgParticle/IO_RadialShooter.cpp, osgtgz/ReaderWriterOSGTGZ.cpp,
	  pfb/ConvertFromPerformer.cpp, pfb/ReaderWriterPFB.cpp,
	  quicktime/MovieData.cpp, quicktime/QTUtils.cpp,
	  quicktime/ReaderWriterQT.cpp, rot/ReaderWriterROT.cpp,
	  scale/ReaderWriterSCALE.cpp, tgz/ReaderWriterTGZ.cpp,
	  trans/ReaderWriterTRANS.cpp: Replaced tabs with spaces.

2005-11-17 13:35  robert

	* src/: osg/Image.cpp, osg/LightModel.cpp, osg/Matrixd.cpp,
	  osg/Shape.cpp, osg/ShapeDrawable.cpp, osg/UnitTestFramework.cpp,
	  osg/Vec3.cpp, osgDB/DynamicLibrary.cpp, osgDB/FieldReader.cpp,
	  osgDB/FileNameUtils.cpp, osgDB/Output.cpp, osgFX/BumpMapping.cpp,
	  osgFX/Cartoon.cpp, osgFX/Effect.cpp, osgFX/Technique.cpp,
	  osgFX/Validator.cpp, osgParticle/ParticleSystem.cpp,
	  osgProducer/EventAdapter.cpp, osgProducer/OsgCameraGroup.cpp,
	  osgProducer/Viewer.cpp, osgSim/Impostor.cpp,
	  osgSim/LightPoint.cpp, osgSim/LightPointNode.cpp,
	  osgSim/MultiSwitch.cpp, osgSim/SphereSegment.cpp,
	  osgTerrain/HeightFieldNode.cpp, osgText/Text.cpp,
	  osgUtil/CullVisitor.cpp, osgUtil/DisplayRequirementsVisitor.cpp,
	  osgUtil/HalfWayMapGenerator.cpp, osgUtil/IntersectVisitor.cpp,
	  osgUtil/RenderBin.cpp, osgUtil/Simplifier.cpp: Coverted tabs to
	  space in core libraries.

2005-11-17 11:27  robert

	* src/osgProducer/Viewer.cpp: From Toshiyuki Takahei, fixed order
	  intialiation problem in Viewer::selectCameraManipulator(..).

2005-11-17 11:22  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp: From Mike Weiblen,
	  "fix for another one of those GLSL syntax errors that slip thru
	  the nvidia compiler.	gl_TexCoord[] is an array of vec4, and must
	  be reduced to a vec2 for use with texture2D()"

2005-11-17 11:13  robert

	* Make/makedefs: From Eric Sokolosky, for Cygwin and Minw sections
	  changed definition of INST_SHARE so that it is based on
	  INST_LOCATION, providing the same default as before but also
	  allow it to be override by env vars when required.

2005-11-17 11:09  robert

	* Make/makedefs: From Eric Sokolosky, made spacing more consistent.

2005-11-17 11:03  robert

	* include/osgGA/DriveManipulator, include/osgGA/FlightManipulator,
	  include/osgGA/TrackballManipulator, include/osgGA/UFOManipulator,
	  src/osg/Matrix_implementation.cpp,
	  src/osgGA/DriveManipulator.cpp, src/osgGA/FlightManipulator.cpp,
	  src/osgGA/TerrainManipulator.cpp,
	  src/osgGA/TrackballManipulator.cpp: From Mikkel Gjøl, addition of
	  paramter set/get methods to osgGA::*Manipulators, change of ' '
	  to GUIEventAdapter::KEY_Space, fix to url in
	  Matrix_implementation.cpp.  Syntax fixes by Robert Osfield to
	  above submission fix inconsistencies with normal OSG coding
	  style.

2005-11-17 09:57  robert

	* examples/osgsimulation/osgsimulation.cpp: Improved handling of
	  core OSG being compile with float Matrices.

2005-11-17 09:20  robert

	* src/osg/Image.cpp: Added (_data || rhs._data) extra qualify to
	  Image::compare is data equal test.

2005-11-16 21:08  robert

	* src/osgPlugins/geo/osgGeoNodes.h: Removed redundent copyop.

2005-11-16 20:27  robert

	* examples/osgtesselate/GNUmakefile: Ran dos2unix on makefile.

2005-11-16 16:35  robert

	* doc/ProgrammingGuide/ProgrammingGuide.odt: Started experimenting
	  with sections and table of contents.

2005-11-16 16:30  robert

	* src/osgPlugins/dxf/: dxfEntity.cpp, dxfEntity.h, scene.cpp,
	  scene.h: Converted remaining osg::Matrix usage to osg::Matrixd.

2005-11-16 12:14  robert

	* AUTHORS.txt, ChangeLog: Updated changelog and authors file.

2005-11-16 12:07  robert

	* applications/osgversion/osgversion.cpp: Fixed typo entry.

2005-11-16 09:28  robert

	* src/osg/TextureRectangle.cpp: From Mike Weiblen, support for
	  ARB_texture_rectangle extension name.

2005-11-15 22:18  robert

	* examples/: osgdelaunay/GNUmakefile,
	  osgprerender/osgprerender.cpp: From Joakim Simonsson/Robert
	  Osfield. Fixed line endings.

2005-11-15 22:14  robert

	* src/osgPlugins/flt/Pool.cpp: Did a unix2dos and trimmed end of
	  file of rendundent newlines.

2005-11-15 22:07  robert

	* applications/osgarchive/osgarchive.cpp,
	  applications/osgconv/osgconv.cpp, applications/osgdem/osgdem.cpp,
	  examples/osgbluemarble/osgbluemarble.cpp,
	  examples/osgdelaunay/osgdelaunay.cpp,
	  examples/osgmovie/osgmovie.cpp,
	  examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgpoints/osgpoints.cpp,
	  examples/osgsimplifier/osgsimplifier.cpp,
	  examples/osgspacewarp/osgspacewarp.cpp,
	  examples/osgtesselate/osgtesselate.cpp: Added proper descriptions
	  of examples in place of the copy and paste description.

2005-11-15 21:47  robert

	* include/osgParticle/Particle,
	  include/osgUtil/DelaunayTriangulator, src/osgTerrain/DataSet.cpp:
	  From Eric Wing, compile fixes.

2005-11-15 21:24  robert

	* src/: osgDB/Registry.cpp,
	  osgPlugins/quicktime/ReaderWriterQT.cpp: From Gideon May, "I've
	  added an alias for the new mpeg 4 format used by quicktime and
	  podcasts."

2005-11-15 18:31  robert

	* Make/makedefs: From Sean Spicer, compile fixes for Intel
	  compiler.

2005-11-15 16:15  robert

	* VisualStudio/: highlight70.reg, highlight71.reg: From Joakim
	  Simonsson, updated VS handling of extensionless headers to be
	  consistent with 1.0 release of OSG

2005-11-15 16:06  robert

	* applications/osgversion/osgversion.cpp: Fixed typo of Jason.

2005-11-15 15:07  robert

	* AUTHORS.txt: Updated authors list from osgversion -r ChangeLog
	  output.

2005-11-15 15:07  robert

	* applications/osgversion/: GNUmakefile, osgversion.cpp: Updated
	  the output of the contributors list.

2005-11-15 14:25  robert

	* src/osgUtil/TriStrip_heap_array.h: Added catch of erase of the
	  last element of heap.

2005-11-15 11:43  robert

	* include/osgIntrospection/Comparator: From Marco Jez, warning
	  fixes.

2005-11-15 11:39  robert

	* src/osgPlugins/txp/: trpage_print.cpp, trpage_warchive.cpp:
	  Warning fixes.

2005-11-15 11:23  robert

	* src/osgPlugins/quicktime/QTtexture.cpp: Warning fix.

2005-11-15 10:05  robert

	* applications/osgversion/osgversion.cpp: Added remapping of Drew's
	  fullname.

2005-11-15 08:56  robert

	* examples/osgspacewarp/osgspacewarp.cpp: From Mike Weiblen,
	  switched off lighting of points to make them clearer

2005-11-15 08:43  robert

	* src/osgSim/SphereSegment.cpp: Warning fix.

2005-11-14 21:40  robert

	* applications/osgversion/osgversion.cpp: Fixed handling of
	  initials.

2005-11-14 20:54  robert

	* applications/osgversion/osgversion.cpp: Added typo correction for
	  "Jolley".

2005-11-14 20:51  robert

	* applications/osgversion/osgversion.cpp: Added more typo catches.

2005-11-14 17:21  robert

	* applications/osgversion/osgversion.cpp: Further improvements to
	  the name filtering.

2005-11-14 17:15  robert

	* applications/osgversion/osgversion.cpp: Improved handling on
	  special characters in names

2005-11-14 17:07  robert

	* applications/osgversion/osgversion.cpp: Added support for mining
	  the ChangeLog for a list of contributors.

2005-11-14 13:34  robert

	* ChangeLog: Updated changelog.

2005-11-14 12:49  robert

	* src/osgPlugins/geo/: geoFormat.h, geoVersion.h: Fixed warnings in
	  geo plugin

2005-11-14 11:14  robert

	* Make/openscenegraph.pc: Updated package version to 1.0,0

2005-11-14 11:08  robert

	* include/osgGA/NodeTrackerManipulator,
	  src/osgWrappers/osgGA/NodeTrackerManipulator.cpp: From Toshiyuki
	  Takehei, typo fix of getTrackerMode().

2005-11-14 11:00  robert

	* include/osgGA/KeySwitchMatrixManipulator,
	  src/osgGA/KeySwitchMatrixManipulator.cpp,
	  src/osgProducer/ViewerEventHandler.cpp,
	  src/osgWrappers/osgGA/KeySwitchMatrixManipulator.cpp: Change the
	  KeySwitchMatrixManipulator so that it two sets of
	  getMatrixManipulator methods, two that takes an index,two that
	  takes a key value.  Updated the ViewEventHandler so the it now
	  uses the getMatrixManipulatorWithIndex() method to avoid previous
	  ambiguity.

2005-11-14 09:31  robert

	* include/osgParticle/ParticleSystem: From Farshid Lashkari : "I
	  reported earlier about a problem with a custom emitter I was
	  using.  I spent some more time debugging and it turns out there
	  was a bug in the ParticleSystem::update_bounds function. When the
	  bound is being reset, both the min and max are being set to the
	  same postion without the radius being subtracted/added to it.
	  When there is only one particle alive in the system this causes
	  it to be culled by small feature culling. I've modifed the
	  function so that when the bound is reset, the radius is
	  subtracted/added to the position. This fixes my problem."

2005-11-12 21:29  robert

	* VisualStudio/osgPlugins/geo/geo.dsp,
	  src/osgPlugins/geo/ReaderWriterGEO.cpp,
	  src/osgPlugins/geo/geoCore.h, src/osgPlugins/geo/geoFormat.h,
	  src/osgPlugins/geo/geoTypes.h, src/osgPlugins/geo/geoVersion.h,
	  src/osgPlugins/geo/osgGeoStructs.h: From Geoff Michel, geo plugin
	  updated to for latest updates in .geo format.

2005-11-12 13:38  robert

	* VisualStudio/osgPlugins/osgParticle/dot_osgParticle.dsp,
	  src/osgPlugins/osgParticle/GNUmakefile,
	  src/osgPlugins/osgParticle/IO_ConnectedParticleSystem.cpp: Added
	  support for ConnectedParticleSystem.

2005-11-12 13:27  robert

	* VisualStudio/osgPlugins/osgParticle/dot_osgParticle.dsp,
	  src/osgPlugins/osgParticle/GNUmakefile,
	  src/osgPlugins/osgParticle/IO_SmokeTrailEffect.cpp: Added .osg
	  support for osgParticle::SmokeTrailEffect

2005-11-11 19:29  robert

	* ChangeLog: Updated ChangeLog

2005-11-11 17:00  robert

	* include/osgProducer/ViewerEventHandler,
	  include/osgUtil/SceneView,
	  src/osgProducer/ViewerEventHandler.cpp,
	  src/osgUtil/SceneView.cpp,
	  src/osgWrappers/osgProducer/ViewerEventHandler.cpp,
	  src/osgWrappers/osgUtil/SceneView.cpp: Added scene stats support
	  to osgProducer::ViewerEventHandler.

2005-11-11 14:22  robert

	* include/osgGA/StateSetManipulator,
	  src/osgGA/StateSetManipulator.cpp,
	  src/osgWrappers/osgGA/StateSetManipulator.cpp: Added
	  s/getMaxNumOfTextureUnits control to osgGA::StateSetManipulator,
	  and set the default to 4.

2005-11-11 12:45  robert

	* VisualStudio/examples/osgcluster/osgcluster.dsp,
	  examples/osgmovie/osgmovie.cpp, src/osgPlugins/dxf/scene.h,
	  src/osgPlugins/hdr/hdrloader.cpp: Fixes for VS6.0 build.

2005-11-11 08:45  robert

	* Make/makedefs: From Markus Trenkwalder, fix for Mingw build

2005-11-10 20:56  robert

	* include/osgIntrospection/ReflectionMacros: From Marco Jez,
	  compile for a syntax error problem.

2005-11-10 20:20  robert

	* VisualStudio/: applications/osgviewer/osgviewer.dsp,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osgdepthshadow/osgdepthshadow.dsp,
	  examples/osghangglide/osghangglide.dsp,
	  examples/osgkeyboardmouse/osgkeyboardmouse.dsp,
	  examples/osgparticle/osgparticledemo.dsp,
	  examples/osgsimple/osgsimple.dsp,
	  examples/osgsimplepager/osgsimplepager.dsp,
	  examples/osgteapot/osgteapot.dsp,
	  examples/osgtexture1D/osgtexture1D.dsp, osgPlugins/flt/flt.dsp,
	  osgPlugins/geo/geo.dsp, osgPlugins/logo/logo.dsp,
	  osgPlugins/osgParticle/dot_osgParticle.dsp,
	  osgPlugins/osgSim/dot_osgSim.dsp, osgPlugins/txp/txp.dsp: Added
	  /Zm200 to loads of project to try and salavage something from
	  VS6.0 being such a bog awful compiler.

2005-11-10 20:04  robert

	* examples/: osgblendequation/osgblendequation.cpp,
	  osglogicop/osglogicop.cpp: Fixes for VS6.0

2005-11-10 19:32  robert

	* examples/osgmovie/osgmovie.cpp,
	  examples/osgparametric/osgparametric.cpp,
	  src/osgPlugins/dxf/scene.h, src/osgPlugins/flt/flt2osg.cpp: Fixes
	  for dumb VS6.0 compiler

2005-11-10 19:16  robert

	* examples/osgdepthpartition/: DepthPartitionNode.cpp,
	  DepthPartitionNode.h: Fixes for VS6.0

2005-11-10 17:24  robert

	* VisualStudio/osgPlugins/osg/dot_osg.dsp,
	  examples/osgcluster/osgcluster.cpp, src/osgTerrain/DataSet.cpp:
	  Compile fixes for VS6.0.

2005-11-10 16:47  robert

	* Make/makedefs: From Markus Trenkwalder, added freetype-config
	  support to Mingw section.

2005-11-10 15:52  robert

	* runexamples.bat: Added osgshaderterrain and osgparametric to
	  runexamples.bat

2005-11-10 15:27  robert

	* src/osgWrappers/osg/GraphicsThread.cpp: Updated wrappers

2005-11-10 15:25  robert

	* examples/osgcamera/osgcamera.cpp, include/osg/GraphicsThread,
	  src/osg/GraphicsThread.cpp: Added better control for cancel
	  GraphicsThreads.

2005-11-10 14:41  robert

	* VisualStudio/OpenSceneGraph.dsw: Ran unix2dos on
	  OpenSceneGraph.dsw

2005-11-10 11:56  robert

	* include/osgProducer/Viewer, src/osgProducer/Viewer.cpp,
	  src/osgWrappers/osgProducer/Viewer.cpp: Fixed typo of
	  CoordinateSystem.

2005-11-10 11:39  robert

	* include/osgProducer/OsgSceneHandler,
	  src/osgProducer/OsgCameraGroup.cpp,
	  src/osgProducer/OsgSceneHandler.cpp,
	  src/osgWrappers/osgProducer/OsgSceneHandler.cpp: Addd
	  OsgSceneHandler::s/getCleanUpOnNextFrame() and support for it in
	  the draw() method, when CleanUpOnNextFrame is enabled the next
	  frame simple deleted OpenGL objects without doing any draw
	  traversal.

2005-11-10 10:29  robert

	* src/osgUtil/DelaunayTriangulator.cpp: Added checks against the
	  values returned from dynamic_cast<>'s.

2005-11-10 09:42  robert

	* ChangeLog, examples/osgvolume/osgvolume.cpp,
	  include/osgUtil/SceneView, src/osg/LOD.cpp,
	  src/osgPlugins/dxf/dxfReader.h, src/osgPlugins/geo/osgGeoNodes.h:
	  Compile fixes for VS7.1

2005-11-09 22:09  don

	* README.txt: small change to test osg-cvs....

2005-11-09 22:07  don

	* README.txt: Small modification to change 2004 to 2005 in
	  README.txt  (this is mostly	      a test of osg-cvs)

2005-11-09 20:30  robert

	* src/osgWrappers/osgTerrain/DataSet.cpp: Updated wrappers

2005-11-09 20:26  robert

	* examples/osgsimulation/osgsimulation.cpp: Added release and flush
	  of OpenGL objects after build of the terrain database to prevent
	  the build graphics context state leaking into the viewers
	  graphics context set.

2005-11-09 20:24  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: Added a
	  s/getState() to osgTerrain::DataSet to allow better integration
	  with applications.

2005-11-09 17:20  robert

	* applications/osgdem/osgdem.cpp: Added some docs on command line
	  options.

2005-11-09 17:19  robert

	* src/osg/ApplicationUsage.cpp: Added writing of commandline
	  options in getFormatedString when there is no description string.

2005-11-09 17:08  robert

	* examples/osglightpoint/osglightpoint.cpp: Moved the blink
	  sequence light points down so they are visible in the default
	  camera position.

2005-11-09 17:06  robert

	* examples/osgautotransform/osgautotransform.cpp: Changed the
	  NO_ROTATION label so it is aligned with the XZ plane to make it
	  easier to see.

2005-11-09 15:27  robert

	* NEWS.txt: Quick updates to NEWS.

2005-11-09 15:19  robert

	* ChangeLog: Updated ChangeLog

2005-11-09 15:14  robert

	* src/osgWrappers/osg/AnimationPath.cpp: Updated wrappers.

2005-11-09 15:11  robert

	* examples/osgclip/osgclip.cpp,
	  examples/osgdepthshadow/osgdepthshadow.cpp,
	  examples/osgdistortion/osgdistortion.cpp,
	  examples/osglauncher/osglauncher.cpp,
	  examples/osglogo/osglogo.cpp, examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgprerender/osgprerender.cpp,
	  examples/osgprerendercubemap/osgprerendercubemap.cpp,
	  examples/osgreflect/osgreflect.cpp,
	  examples/osgscalarbar/osgscalarbar.cpp,
	  include/osg/AnimationPath, include/osgUtil/TransformCallback,
	  src/osg/AnimationPath.cpp: Added the support in
	  AnimationPathCallback for taking a pivot, axis and rotation rate
	  paramters in its constructor to allow it to be used to create
	  rotations around a point.  This provides the same interface and
	  functionality as osgUtil::TransformCallback but has the advantage
	  and AnimationPathCallback is fully supported by the .osg and .ive
	  file formats.

2005-11-09 13:39  robert

	* runexamples.bat: Updated the runexamples.bat to include
	  glsl_mandelbrot.osg and glsl_julia.osg references

2005-11-09 13:39  robert

	* examples/osgsimulation/osgsimulation.cpp: Reduced the size of the
	  "oversized" cessna.osg

2005-11-09 13:26  robert

	* src/osgProducer/Viewer.cpp: Added a test of isRealized to
	  requestWrapPointer to prevent a deadlock condition occur when a
	  wap pointer is done before a window is realized.

2005-11-09 13:18  robert

	* examples/osgdelaunay/osgdelaunay.cpp: Update texture file names
	  to reflect new files in OpenSceneGraph-Data distribution.

2005-11-09 11:59  robert

	* VisualStudio/: OpenSceneGraph.dsw, osgPlugins/dxf/dxf.dsp: Added
	  dxf VS6.0 project

2005-11-09 10:49  robert

	* include/osg/Version, include/osgDB/Version,
	  include/osgGA/Version, include/osgParticle/Version,
	  include/osgProducer/Version, include/osgSim/Version,
	  include/osgTerrain/Version, include/osgText/Version,
	  include/osgUtil/Version, src/osg/Version.cpp,
	  src/osgDB/Version.cpp, src/osgGA/Version.cpp,
	  src/osgParticle/Version.cpp, src/osgProducer/Version.cpp,
	  src/osgSim/Version.cpp, src/osgTerrain/Version.cpp,
	  src/osgText/Version.cpp, src/osgUtil/Version.cpp: Bumped the
	  version numbers up to 1.0 in preparation for 1.0-rc1.

2005-11-09 10:41  robert

	* examples/osgdelaunay/osgdelaunay.cpp, src/osg/Texture.cpp,
	  src/osgPlugins/gdal/ReaderWriterGDAL.cpp: Fixed warnings.

2005-11-09 10:37  robert

	* examples/osgdepthpartition/DepthPartitionNode.cpp: Fixed compile
	  warning.

2005-11-09 09:30  robert

	* src/osgPlugins/logo/ReaderWriterLOGO.cpp: Updated the bin number
	  to be 100 for the logo overlay to force it to draw later.

2005-11-08 16:41  robert

	* src/osgPlugins/ive/: IveVersion.h, Texture.cpp: Added .ive
	  support for osg::Texture SourceFormat and SourceType

2005-11-08 16:22  robert

	* src/osgPlugins/osg/Texture.cpp: Added support for SourceType and
	  SourceFormat to .osg.

2005-11-08 16:02  robert

	* src/osgWrappers/osg/Texture.cpp: Updated wrappers.

2005-11-08 15:52  robert

	* examples/osgprerender/osgprerender.cpp, include/osg/Texture,
	  src/osg/Texture.cpp, src/osg/Texture1D.cpp,
	  src/osg/Texture2D.cpp, src/osg/Texture3D.cpp,
	  src/osg/TextureCubeMap.cpp, src/osg/TextureRectangle.cpp: From
	  Brad Colbert/Robert Osfield: added s/getSourceFormat and
	  s/getSourceType to osg::Texture along with support for this
	  Texture1D, 2D, 3D, TextureCubeMap and TextureRectangle.  The new
	  SourceFormat and SourceType parameters are only used when no
	  osg::Image is assigned to an osg::Texture, and main use is for
	  render to texture effects.

	  Added support for --hdr option in osgprerender, which utilises
	  the new Texture::setSourceFormat/Type() methods.

2005-11-08 14:03  robert

	* src/osgWrappers/: osgFX/GNUmakefile, osgGA/GNUmakefile,
	  osgParticle/GNUmakefile, osgProducer/GNUmakefile,
	  osgSim/GNUmakefile, osgTerrain/GNUmakefile, osgText/GNUmakefile,
	  osgUtil/RenderStage.cpp: Updated wrappers

2005-11-08 13:51  robert

	* src/: osg/Image.cpp, osgDB/WriteFile.cpp,
	  osgPlugins/ive/ReaderWriterIVE.cpp: From Colin McDonald, fixed
	  image size calculation in getTotalSizeInBytesIncludingMipmaps(),
	  added checks on success of opening files for writing in the .ive
	  plugin.

2005-11-08 11:46  robert

	* include/osgUtil/RenderBin, include/osgUtil/RenderLeaf,
	  include/osgUtil/RenderStage, src/osgUtil/RenderBin.cpp,
	  src/osgUtil/RenderLeaf.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgUtil/SceneView.cpp: Added sorting and clearing of pre and
	  post RenderStages stored in RenderStage, and added some debugging
	  comments which are currently commented out from compilation -
	  these are left in just in case future debug work requires them.

2005-11-08 09:36  robert

	* src/osgUtil/SceneView.cpp: Changed the occluder traversal so that
	  checks the children of the SceneView's Cameara rather than
	  starting at the camera itself.

2005-11-07 16:52  robert

	* VisualStudio/: OpenSceneGraph.dsw, VisualStudio.dsw: Renamed
	  VisualStudio.dsw to OpenSceneGraph.dsw

2005-11-07 16:48  robert

	* src/osgProducer/Viewer.cpp: Improved the handling of CameraNode
	  and viewers with projection matrices contained NaN's.

2005-11-07 15:46  robert

	* src/osg/ApplicationUsage.cpp: From Bob Kuehne, proper c++ cast
	  instead of c-cast for ApplicationUsage

2005-11-07 15:43  robert

	* src/osgProducer/Viewer.cpp: From Steve Lunsford, added psuedo
	  event dispatch to init within selectCameraManipulator to force
	  the new minpulator to update correctly.

2005-11-07 14:42  robert

	* src/osgPlugins/obj/ReaderWriterOBJ.cpp: From David Spilling,
	  added "noRotation" ReaderWriter::Option into the .obj plugin to
	  enable disabling of the automatic rotation from Y up coordinate
	  frame to Z up coordinate frame.

2005-11-07 13:54  robert

	* src/osgProducer/GraphicsContextImplementation.cpp: From Marco
	  Jez, Added an unregister of the GraphicsContextImplement on
	  unload.

2005-11-07 12:41  robert

	* src/osgPlugins/osg/StateSet.cpp: From David Spilling, fix for
	  typo of OVERRIDE.

2005-11-07 11:14  robert

	* src/: osg/ApplicationUsage.cpp, osgPlugins/osg/CameraNode.cpp,
	  osgPlugins/quicktime/MovieData.h,
	  osgPlugins/quicktime/QTUtils.cpp, osgPlugins/quicktime/QTUtils.h,
	  osgPlugins/quicktime/ReaderWriterQT.cpp: From Gideon May, compile
	  fixes for OSX.

2005-11-07 11:09  robert

	* src/osgDB/Registry.cpp: From Norman Vine, "Cygwin uses unix style
	  path separators"

2005-11-07 11:05  robert

	* include/osgText/Font, src/osgPlugins/freetype/FreeTypeFont.cpp,
	  src/osgPlugins/freetype/FreeTypeFont.h,
	  src/osgPlugins/freetype/FreeTypeLibrary.cpp,
	  src/osgPlugins/freetype/FreeTypeLibrary.h,
	  src/osgPlugins/freetype/ReaderWriterFreeType.cpp,
	  src/osgText/Font.cpp: From Wang Lam,"The changes allow users of
	  OpenSceneGraph to call a new function readFontStream() to load
	  fonts from a std::istream, rather than from the local filesystem
	  by name.  Such a call may be used, for example, if the user has a
	  font fetched over a network, or a font available in memory
	  without a correspondng filename.

	  The changes implement the new function by following the
	  corresponding code for readFontFile().  readFontStream() reads a
	  stream into memory, and holds that memory for FreeType.

	  As a basic test, I mangled the osgtext example to use
	  readFontStream(std::ifstream("font")) in lieu of a readFontFile
	  call, and the modified example ran completely."

2005-11-07 10:29  robert

	* examples/osgsimplifier/osgsimplifier.cpp: From Ruben (with a few
	  addition/changes from Robert), fixed the commandline of the
	  osgsimplifier example. It now reads --ratio and --max-error.

	  ---------------------------------------------------

2005-11-04 19:00  robert

	* src/osgUtil/RenderStage.cpp: Added extra debugging checks on
	  FBO's

2005-11-04 12:08  robert

	* include/osg/Texture1D, include/osg/Texture3D,
	  include/osg/TextureCubeMap, include/osg/TextureRectangle,
	  src/osg/CameraNode.cpp, src/osg/TextureCubeMap.cpp,
	  src/osg/TextureRectangle.cpp,
	  src/osgPlugins/ive/TextureCubeMap.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgWrappers/osg/Texture1D.cpp,
	  src/osgWrappers/osg/Texture3D.cpp,
	  src/osgWrappers/osg/TextureCubeMap.cpp,
	  src/osgWrappers/osg/TextureRectangle.cpp: Improved support for
	  texture subload/render to texture in various Texture classes and
	  RenderStage.

2005-11-03 21:35  robert

	* src/osgPlugins/osg/CameraNode.cpp: Improvements to CameraNode IO
	  support, now handles render to texture.

2005-11-03 19:20  robert

	* src/osgPlugins/ive/CameraNode.cpp: Changed the CameraNode
	  read/write code to use Transform as its parent.

2005-11-03 17:12  robert

	* src/osgPlugins/osg/Matrix.cpp: Removed debugging message

2005-11-03 17:08  robert

	* src/osgPlugins/osg/: CameraNode.cpp, Matrix.cpp: Further work on
	  osg::CameraNode support.

2005-11-03 15:59  robert

	* include/osg/CameraNode, src/osgPlugins/ive/CameraNode.cpp,
	  src/osgPlugins/osg/CameraNode.cpp,
	  src/osgWrappers/osg/CameraNode.cpp: Further work on added IO
	  support from CameraNode.

2005-11-03 12:25  robert

	* src/osgPlugins/: ive/CameraView.cpp, osg/CameraView.cpp:
	  Completed osg::CameraView support in .osg and .ive formats.

2005-11-03 10:59  robert

	* src/osg/Texture.cpp: Added env var docs on OSG_MAX_TEXTURE_SIZE

2005-11-03 10:57  robert

	* applications/osgconv/osgconv.cpp: Added --help-env option.

2005-11-03 10:18  robert

	* src/osgWrappers/osg/ApplicationUsage.cpp: Updated wrappers

2005-11-03 10:16  robert

	* VisualStudio/osgPlugins/ive/ive.dsp,
	  examples/osgdelaunay/osgdelaunay.cpp,
	  src/osgPlugins/ive/CameraNode.cpp,
	  src/osgPlugins/ive/CameraNode.h,
	  src/osgPlugins/ive/CameraView.cpp,
	  src/osgPlugins/ive/CameraView.h,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/GNUmakefile, src/osgPlugins/ive/ReadWrite.h:
	  Added initial CameraNode and CameraView stups for the .ive loader

2005-11-03 10:01  robert

	* include/osg/ApplicationUsage, src/osg/ApplicationUsage.cpp: From
	  Eric Sokolowsky, added writeEnvironmentSettings to help report
	  what OSG centric environment variables are used.

2005-11-03 09:03  robert

	* src/osgPlugins/osg/: CameraNode.cpp, CameraView.cpp: Added
	  CameraNode.cpp and CameraView.cpp

2005-11-02 19:52  robert

	* VisualStudio/osgPlugins/osg/dot_osg.dsp,
	  src/osgPlugins/osg/GNUmakefile, src/osgPlugins/osg/Matrix.cpp,
	  src/osgPlugins/osg/Matrix.h: Inital work on adding .osg support
	  for CameraNode and CameraView.

2005-11-02 19:35  robert

	* src/osgWrappers/osg/DisplaySettings.cpp: Updated wrappers.

2005-11-02 19:15  robert

	* examples/osgmotionblur/osgmotionblur.cpp: Added request for
	  accumulator buffer.

2005-11-02 19:15  robert

	* include/osg/DisplaySettings, src/osg/DisplaySettings.cpp,
	  src/osgProducer/OsgCameraGroup.cpp: Added support in
	  DisplaySettings and OscCameraGroup for requesting accumulator
	  buffer.

2005-11-02 16:20  robert

	* src/osgPlugins/gdal/ReaderWriterGDAL.cpp: From Alan Ott, added
	  support for palletted imagery.

2005-11-02 15:56  robert

	* examples/osgprerendercubemap/osgprerendercubemap.cpp: From Brede
	  Johnasen, changed wrap mode to CLAMP_TO_EDGE to avoid edges being
	  seen when zoomed into the reflectio map.

2005-11-02 15:23  robert

	* examples/osgpick/osgpick.cpp, src/osgProducer/Viewer.cpp: Added
	  handling of CameraNode into PickVisitor in
	  src/osgProducer/Viewer.cpp.  This is unlikely to be the final
	  solution, but does at least fix part of the problem of handling
	  picking HUD's underneath CameraNodes.

2005-11-02 14:24  robert

	* examples/: osgdepthshadow/osgdepthshadow.cpp,
	  osgparametric/osgparametric.cpp: From Marco Jez, added Image/
	  path to image files to help find them from the
	  OpenSceneGraph-Data directory.

2005-11-02 14:22  robert

	* examples/osgmultiplecameras/osgmultiplecameras.cpp: From Marco
	  Jez, moved the rear view camera's viewport to the bottom left of
	  window to accomdate a greater range of display sizes.  From
	  Robert Osfield, made the background colour of the intersted
	  camera a scaled down verson of the main background colour to make
	  it more obvious.

2005-11-02 12:22  robert

	* src/osgText/Text.cpp: Added a setSupportsDisplayList(false) to
	  constructor to prevent end users enabling display lists,
	  something that can break the osgText's managment of state.

2005-11-02 11:55  robert

	* include/osgUtil/RenderStage: Fixed setCameraRequiresSetUp so it
	  properly uses the bool passed to it.

2005-11-02 11:33  robert

	* include/osg/NodeTrackerCallback: Added doc comment and removed
	  redundent inline keyword

2005-11-02 10:57  robert

	* include/osgText/Font, src/osgText/Font.cpp: From Farshid
	  Lashkari, "I need the ability to check for a font file without
	  actually loading the font object.  I've modified font.h/cpp of
	  osgText so that it exports the findFontFile function."

2005-11-02 10:55  robert

	* src/osgProducer/GraphicsContextImplementation.cpp: From Marco
	  Jez, commented out debuggin message.

2005-11-02 10:49  robert

	* include/osg/Matrixf: Added static orthoNormal function to match
	  equivilant in Matrixd

2005-11-02 10:45  robert

	* include/osg/Matrixd: From Colin McDonald, "Fix for missing class
	  name qualifier on the orthoNormal function."

2005-11-02 10:29  robert

	* src/: osg/FrameBufferObject.cpp, osgPlugins/flt/GroupRecord.cpp,
	  osgPlugins/flt/ObjectRecord.cpp, osgPlugins/flt/SwitchRecord.cpp,
	  osgPlugins/osgSim/IO_MultiSwitch.cpp,
	  osgPlugins/rot/ReaderWriterROT.cpp,
	  osgPlugins/scale/ReaderWriterSCALE.cpp,
	  osgPlugins/trans/ReaderWriterTRANS.cpp: From Colin McDonald,
	  "Fixes for some duplicate global symbol definitions in the
	  plugins, which cause errors when creating a statically linked
	  executable."

2005-11-02 10:29  robert

	* include/osg/CameraNode: Fixed compile warning

2005-11-01 20:16  robert

	* src/osg/State.cpp: Changed the error number reporting to be
	  reported as hex.

2005-11-01 19:32  robert

	* examples/osgprerender/osgprerender.cpp: Added an image negation
	  callback to the render to image.  Added commandline docs for the
	  new --image and --texture-rectangle options.

2005-11-01 19:31  robert

	* src/osgUtil/RenderStage.cpp: Removed the double call to the
	  camera post draw callback.

2005-11-01 17:07  robert

	* examples/osgprerender/osgprerender.cpp: Added usage of image copy
	  and modification.

2005-11-01 15:39  robert

	* src/osgUtil/RenderStage.cpp: Set the draw and read buffer to
	  GL_NONE when using FBO's, thereby avoid invalid enumrates being
	  generated.

2005-11-01 15:23  robert

	* src/: osg/FrameBufferObject.cpp, osgUtil/RenderStage.cpp:
	  Improved handling of osg::Image copying.

2005-11-01 11:18  robert

	* src/osg/State.cpp: From Brad Colbert, Added checking for a NULL
	  return string rom gluErrorString (with slight reformating of this
	  by Robert Osfield.)

2005-11-01 11:00  robert

	* src/osgWrappers/osg/CameraNode.cpp: Updated wrappers

2005-11-01 10:42  robert

	* include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgSim/Impostor.cpp, src/osgUtil/RenderStage.cpp: Added
	  RenderTargetFallback option into osg::CameraNode.

2005-10-31 16:40  robert

	* src/osgPlugins/txp/TXPNode.cpp: From Steve Lunsford, "Attached is
	  a copy of TXPNode.cpp with the repaired computeBounds call.  I
	  discovered that TXPNodes were being culled out prematurely
	  because the loaded sub-tiles resulted in a computed bounds that
	  was smaller than the extents indicated in the archive.  I think
	  this fix should be fine.  I can't think of any reason why we
	  would want to use anything other than the archive extents."

2005-10-31 14:48  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added default setting of
	  _threading_model to ThreadPerCamera when multiple cameras are
	  present, and SingleThreaded when a single camera is being used.

2005-10-31 11:43  robert

	* src/osgSim/LightPointNode.cpp: From Brede Johansen, "some tweaks
	  to the osgSim lightpoints.

	  - The first change is to start fadeing a lightpoint just before
	  the maximum distance of a light is reached.  - The second change
	  is to start fading a lightpoint when pixelSize is less than
	  _minPixelSize instead of 1.0."

2005-10-29 12:29  robert

	* src/osgWrappers/osgUtil/SceneView.cpp: Updated wrappers.

2005-10-29 11:04  robert

	* src/osg/Texture.cpp: Added catch for NULL return from
	  glGetString( GL_VERSION );

2005-10-29 10:52  robert

	* src/osgWrappers/: osg/BlendEquation.cpp, osgUtil/SceneView.cpp:
	  Updated wrappers.

2005-10-28 19:39  robert

	* src/osgDB/Registry.cpp: From Marco Jez, Fix for the class name
	  lookup in osgDB::Registry::writeObject(), which can silently fail
	  when a NodeKit's class (for example osgNVCg::Program) has the
	  same name as that of an OSG's class (for example osg::Program).

2005-10-28 19:37  robert

	* src/osgProducer/OsgCameraGroup.cpp: Fixed env var docs for
	  sharing graphics contexts.

2005-10-28 15:02  robert

	* examples/osgblendequation/osgblendequation.cpp: Added warning
	  message for when no file is loaded.

2005-10-28 14:18  robert

	* include/osg/BlendEquation, src/osg/BlendEquation.cpp: From Ravi
	  Mathur, "Here is an update to BlendEquation that adds checking
	  for the SGIX_blend_alpha_minmax and EXT_blend_logic_op
	  extensions.  It is tested with the osgblendequation example.	If
	  the extensions are not supported, a WARN level notification is
	  generated."

2005-10-28 14:11  robert

	* examples/osgcamera/osgcamera.cpp, include/osgUtil/SceneView,
	  src/osgUtil/SceneView.cpp: Moved SceneView across to use an
	  osg::CameraNode to store the projection and view matrices, the
	  viewport, the clear colour and the subgraph needing rendered.
	  This is done transparently so all existing functionality will
	  behave as before.  What it does add is the ability to set a
	  SceneView directly by a single osg::CameraNode when required.

2005-10-28 11:33  robert

	* src/osgTerrain/DataSet.cpp: Changed debug message from NOTICE to
	  INFO level of notification

2005-10-28 11:11  robert

	* examples/osganimate/osganimate.cpp: Added command line option
	  --overlay to turn on the use of an OverlayNode.

2005-10-28 10:20  robert

	* src/osgWrappers/: osg/CameraView.cpp, osgTerrain/DataSet.cpp:
	  Updated wrappers.

2005-10-28 09:35  robert

	* examples/osgshaderterrain/osgshaderterrain.cpp: From Mike
	  Weiblen, added check to make sure that vertex texture was
	  supported in the OpenGL driver.

2005-10-27 14:53  robert

	* examples/osgdepthpartition/: GNUmakefile, GNUmakefile.inst,
	  osgdepthpartition.cpp: Added option to osgdepthpartion for
	  loading the model specified on the commandline.

2005-10-27 12:15  robert

	* include/osgUtil/IntersectVisitor: Added documentation line about
	  32 being the maximum permitted number of line segmenets

2005-10-27 12:11  robert

	* src/osgUtil/IntersectVisitor.cpp: Added error message to report
	  when too many line segments are added to an IntersectVisitor.

2005-10-27 11:48  robert

	* applications/osgdem/osgdem.cpp, include/osgTerrain/DataSet,
	  src/osgTerrain/DataSet.cpp: Added support for tracking the
	  directory of the output file whilst still maintaining local file
	  references within this directory.

2005-10-27 10:38  robert

	* examples/osgdepthpartition/: DepthPartitionNode.cpp,
	  DepthPartitionNode.h, DistanceAccumulator.cpp,
	  DistanceAccumulator.h: From Ravi Mathur, "New functionality is
	  the ability to automatically determine the maximum traversal
	  depth necessary to obtain an accurate estimate of the minimum
	  number of required cameras.  In addition, the user can specify an
	  absolute maximum traversal depth that will not be exceeded."

2005-10-27 10:37  robert

	* examples/osgdelaunay/osgdelaunay.cpp: From Geoff Michel, update
	  to osgdelaunday.

2005-10-26 21:30  robert

	* include/osgDB/Output: From Don Tidrow,  bug fix to
	  setOutputTextureFiles(bool).

2005-10-26 21:22  robert

	* include/osgUtil/TangentSpaceGenerator: Added friend declarations
	  of nested classes to prevent compile problems under VS6.0

2005-10-26 21:00  robert

	* src/osgTerrain/DataSet.cpp: Changed the minimum tile image size
	  to be 4x4 to avoid problems in mipmap generation that was
	  occuring at sizes of 2x2, seemingly somewhere in the OpenGL
	  driver.

2005-10-26 17:02  robert

	* include/osg/CameraView: From Bob Kuehne, "changed two set methods
	  (setFocalLength,setFieldOfView) to perform assignment."

2005-10-26 10:22  robert

	* include/osg/CullingSet, include/osg/PrimitiveSet,
	  include/osgProducer/GraphicsContextImplementation,
	  include/osgText/String,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgUtil/DelaunayTriangulator.cpp: From Geoff Michel, compile
	  fixes for VS6.0

2005-10-25 19:34  robert

	* src/osgWrappers/: osg/DisplaySettings.cpp, osgUtil/SceneView.cpp:
	  Updated wrappers

2005-10-25 16:49  robert

	* src/osg/DisplaySettings.cpp: Added command line support for the
	  interlaced stereo modes.

2005-10-25 16:43  robert

	* include/osg/DisplaySettings, include/osgUtil/SceneView,
	  src/osg/DisplaySettings.cpp, src/osgProducer/OsgCameraGroup.cpp,
	  src/osgUtil/SceneView.cpp: From Farshid Lashkari & Robert
	  Osfield:  Added support for VERTICAL_INTERLACE and
	  HORIZONTAL_INTERLACE stereo modes use the stencil buffer.

2005-10-25 15:01  robert

	* src/osgWrappers/osgUtil/: DelaunayTriangulator.cpp,
	  SceneView.cpp: Updated wrappers.

2005-10-25 14:28  robert

	* Make/makedirdefs, VisualStudio/VisualStudio.dsw,
	  VisualStudio/examples/osgdelaunay/osgdelaunay.dsp,
	  examples/osgdelaunay/GNUmakefile,
	  examples/osgdelaunay/GNUmakefile.inst,
	  examples/osgdelaunay/osgdelaunay.cpp,
	  include/osgUtil/DelaunayTriangulator,
	  src/osgUtil/DelaunayTriangulator.cpp: From Geoff Michel, added
	  support for constrain delaunay triangultion, and osgdelaunay
	  example.

2005-10-25 14:24  robert

	* src/osg/Program.cpp: Added check against glGetString(GL_VERSION)
	  returning NULL.

2005-10-25 11:30  robert

	* VisualStudio/examples/: osglogicop/osglogicop.dsp,
	  osgmovie/osgmovie.dsp, osgpagedlod/osgpagedlod.dsp: Added missing
	  projects

2005-10-25 11:29  robert

	* VisualStudio/examples/osgcatch/osgcatch.dsp: Added osgcatch
	  project

2005-10-25 11:12  robert

	* VisualStudio/examples/: osgpoints/osgpoints.dsp,
	  osgshaderterrain/osgshaderterrain.dsp, osgslice/osgslice.dsp,
	  osgspacewarp/osgspacewarp.dsp: Added missing projects.

2005-10-25 10:54  robert

	* src/osgDB/Registry.cpp: From Markus Trenkwalder, added meanigful
	  return types in Registry::read(const ReadFunctor& readFunctor)
	  for ERROR_IN_READING_FILE and FILE_NOT_FOUND cases.

2005-10-25 10:49  robert

	* include/osgParticle/: ExplosionDebrisEffect, ExplosionEffect,
	  FireEffect, ParticleEffect, SmokeEffect, SmokeTrailEffect: Added
	  protected destructors.

2005-10-25 10:43  robert

	* src/osgPlugins/txp/TXPParser.cpp: From Don Tidrow, removed
	  unncessary includes.

2005-10-25 10:23  robert

	* include/osgUtil/SceneView, src/osgUtil/SceneView.cpp: From Brede
	  Johansen, changed osg_InverseViewMatrix to osg_ViewMatrixInverse
	  to bring into line with OpenGL shader languague conventions.

	  From Robert Osfield, changed the SceneView::ActiveUnforms enum to
	  from INVERSE_VIEW_MATRIX_UNIFORM VIEW_MATRIX_INVERSE_UNIFORM to
	  be convistent with the above change.

2005-10-24 19:51  robert

	* include/osgParticle/Particle, src/osgParticle/Particle.cpp:
	  Changes to fix divide by 0 warning under VS.

2005-10-24 14:49  robert

	* VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  src/osgWrappers/osg/GNUmakefile,
	  src/osgWrappers/osg/NodeTrackerCallback.cpp: Updated wrappers.

2005-10-24 14:46  robert

	* examples/osgdepthpartition/DepthPartitionNode.cpp,
	  examples/osgdepthpartition/DistanceAccumulator.cpp,
	  examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgpoints/osgpoints.cpp,
	  examples/osgshaderterrain/osgshaderterrain.cpp,
	  examples/osgvolume/osgvolume.cpp, src/osgDB/FileUtils.cpp,
	  src/osgParticle/ConnectedParticleSystem.cpp,
	  src/osgPlugins/jpeg/ReaderWriterJPEG.cpp: Fixed compile warnings.

2005-10-24 12:46  robert

	* src/osgUtil/Optimizer.cpp: From Mike Weiblen, "some fixes for
	  OSG_OPTIMIZER envar parsing and help display"

2005-10-24 12:44  robert

	* VisualStudio/: VisualStudio.dsw,
	  examples/osgblendequation/osgblendequation.dsp: From Marco Jez,
	  added missing example project files.

2005-10-24 12:37  robert

	* src/osgPlugins/flt/: flt2osg.cpp, flt2osg.h: From Tony Horrobin:

	      "This is a small fix for flt2osg.[cpp|h] that handles
	      old style road segments ( from Multigen II w/road
	      tools on IRIX ) in the same way as the newer road
	      constructions. ie create a group and do a nested
	      traversal.

	      This makes roads appear in older format files where
	      there was previously a gap.  This actually works
	      properly with the paths which are marked as hidden in
	      the openflight database."

2005-10-24 12:34  robert

	* src/osgPlugins/txp/: TXPArchive.cpp, TXPParser.cpp: From Don
	  Tidrow, "I discovered that externally-referenced models in the
	  TXP format didn't get positioned correctly when the TXP database
	  was built using the 'tile-offset' mode.  I've included a tarball
	  with what I believe are the needed changes - they work for the
	  sample databases I have available, but not all conditions have
	  been tested.	I've set things up such that these changes
	  shouldn't affect 'normal' txp databases."

2005-10-24 12:25  robert

	* src/osgPlugins/: hdr/hdrloader.cpp, ive/PolygonMode.cpp,
	  ive/PolygonMode.h, osg/AnimationPath.cpp: Warning fixes for Win32
	  build.

2005-10-24 11:53  robert

	* src/osgGA/: FlightManipulator.cpp, NodeTrackerManipulator.cpp,
	  TerrainManipulator.cpp: Added copyright notices.

2005-10-24 11:51  robert

	* VisualStudio/osg/osg.dsp,
	  doc/ProgrammingGuide/ProgrammingGuide.odt,
	  include/osg/NodeTrackerCallback, src/osg/GNUmakefile,
	  src/osg/NodeTrackerCallback.cpp: Added beginnings of Programming
	  Guide, and NodeTrackerCallback.

2005-10-14 22:40  robert

	* src/osgSim/SphereSegment.cpp: From Farshid Lashkari, compile fix
	  for VS 2002.

2005-10-14 22:38  robert

	* include/osgUtil/SceneView: From Brede Johansen, fixed
	  INVERSE_VIEW_MATRIX_UNIFORM enum value.

2005-10-14 10:29  robert

	* src/osgText/Text.cpp: From Farshid Laskari, changed the compute
	  of the text bounding box to include the spaces.

2005-10-13 13:50  robert

	* VisualStudio/LANGEXT.DAT,
	  VisualStudio/examples/osgfxbrowser/osgfxbrowser.dsp,
	  VisualStudio/osgUtil/osgUtil.dsp,
	  VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  VisualStudio/osgWrappers/osgParticle/wrapper_osgParticle.dsp,
	  VisualStudio/osgWrappers/osgUtil/wrapper_osgUtil.dsp,
	  include/osgUtil/CullVisitor,
	  include/osgUtil/PositionalStateContainer,
	  include/osgUtil/RenderBin, include/osgUtil/RenderGraph,
	  include/osgUtil/RenderLeaf, include/osgUtil/SceneView,
	  include/osgUtil/StateGraph, src/osgSim/LightPointNode.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/GNUmakefile,
	  src/osgUtil/PositionalStateContainer.cpp,
	  src/osgUtil/RenderBin.cpp, src/osgUtil/RenderGraph.cpp,
	  src/osgUtil/RenderLeaf.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgUtil/SceneView.cpp, src/osgUtil/StateGraph.cpp,
	  src/osgWrappers/osgUtil/CullVisitor.cpp,
	  src/osgWrappers/osgUtil/GNUmakefile,
	  src/osgWrappers/osgUtil/RenderBin.cpp,
	  src/osgWrappers/osgUtil/RenderGraph.cpp,
	  src/osgWrappers/osgUtil/SceneView.cpp,
	  src/osgWrappers/osgUtil/StateGraph.cpp: Renamed
	  osgUtil::RenderGraph to osgUtil::StateGraph

2005-10-13 11:29  robert

	* examples/osgspheresegment/osgspheresegment.cpp: Changed the
	  "Cessna" text so that it is sized according to OBJECT_COORDS
	  rather than SCREEN_COORDS as the later was causing problems with
	  the pixel size based LOD selection.

2005-10-13 09:18  robert

	* src/osgWrappers/: osg/AnimationPath.cpp, osg/CameraNode.cpp,
	  osg/CameraView.cpp, osg/GNUmakefile, osg/NodeVisitor.cpp,
	  osgParticle/ConnectedParticleSystem.cpp,
	  osgParticle/ConstantRateCounter.cpp, osgParticle/GNUmakefile,
	  osgParticle/Particle.cpp, osgParticle/ParticleSystem.cpp,
	  osgParticle/SmokeTrailEffect.cpp, osgUtil/RenderStage.cpp,
	  osgUtil/Simplifier.cpp: Updated wrappers.

2005-10-13 09:07  robert

	* VisualStudio/examples/osgdepthpartition/osgdepthpartition.dsp:
	  Added Producer.lib to osgdepthpartion project file

2005-10-13 09:05  robert

	* Make/: dependencies, makedirdefs: Added PRODUCER_INSTALLED=yes
	  make options to the unix build system, not defining
	  PRODUCER_INSTALLED=yes or setting it to another value than yes
	  (i.e no) will result in the osgProducer library, OSG applications
	  and demos not being built.

	  PRODUCER_INSTALLED=yes is the default.

2005-10-12 19:42  robert

	* VisualStudio/osgParticle/osgParticle.dsp,
	  examples/osgparticleeffects/osgparticleeffects.cpp,
	  include/osg/CullingSet,
	  include/osgParticle/ConnectedParticleSystem,
	  include/osgParticle/ConstantRateCounter,
	  include/osgParticle/Particle, include/osgParticle/ParticleSystem,
	  include/osgParticle/SmokeTrailEffect, src/osg/CullStack.cpp,
	  src/osg/CullingSet.cpp,
	  src/osgParticle/ConnectedParticleSystem.cpp,
	  src/osgParticle/GNUmakefile, src/osgParticle/ModularEmitter.cpp,
	  src/osgParticle/Particle.cpp, src/osgParticle/ParticleSystem.cpp,
	  src/osgParticle/SmokeTrailEffect.cpp: Added SmokeTrailEffect
	  which renders created particles as single quad or line strip, in
	  the case of the quad strip the strip is aligned to the be
	  orthogonal with the eye point.

2005-10-11 10:47  robert

	* VisualStudio/osgParticle/osgParticle.dsp,
	  include/osgParticle/ConnectedParticleSystem,
	  include/osgParticle/Particle,
	  src/osgParticle/ConnectedParticleSystem.cpp,
	  src/osgParticle/GNUmakefile, src/osgParticle/Particle.cpp: Added
	  new shell of new class ConnectedParticleSystem, which will be
	  used for managing connect particle system for the purpose of
	  doing missile trails etc.

2005-10-10 11:10  robert

	* Make/makedirdefs, VisualStudio/VisualStudio.dsw,
	  VisualStudio/examples/osgdepthpartition/osgdepthpartition.dsp,
	  examples/osgdepthpartition/DepthPartitionNode.cpp,
	  examples/osgdepthpartition/DepthPartitionNode.h,
	  examples/osgdepthpartition/DistanceAccumulator.cpp,
	  examples/osgdepthpartition/DistanceAccumulator.h,
	  examples/osgdepthpartition/GNUmakefile,
	  examples/osgdepthpartition/GNUmakefile.inst,
	  examples/osgdepthpartition/osgdepthpartition.cpp: From Ravi
	  Mathur, osgdepthpartition example program.

2005-10-10 10:17  robert

	* include/osg/AnimationPath: From Alberto Jaspe, added double
	  precision interpolation method

2005-10-07 08:46  robert

	* src/osgPlugins/ive/: PolygonMode.cpp, PolygonMode.h: Added into
	  CVS missing PolgonMode files.

2005-10-06 21:02  robert

	* examples/osgprerendercubemap/osgprerendercubemap.cpp: Improved
	  the UpdateCameraAndTexGenCallback so it properly handles rotation
	  and translations within the reflector nodepath.

2005-10-06 16:43  robert

	* VisualStudio/osgPlugins/ive/ive.dsp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/GNUmakefile, src/osgPlugins/ive/ReadWrite.h:
	  From Brede Johansen, added support for PolygonMode into .ive
	  format.

2005-10-06 16:41  robert

	* src/osgUtil/RenderStage.cpp: Changed the fallback code to use the
	  result form the realize() call, removed the code path from
	  running a PBuffer as a seperate graphics context (this was found
	  to be slower than running single threaded so its not worth the
	  extra complexity).

2005-10-06 14:31  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added env var reporting for
	  the OSG_CAMERA_THREADING and OSG_SHARE_GRAPHICS_CONTEXTS env
	  vars.

2005-10-06 14:20  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added catch for disabling
	  ThreadPerCamera when contexts are shared.

2005-10-06 12:26  robert

	* include/osgUtil/RenderStage, src/osgUtil/RenderStage.cpp:
	  Improved the fallback mechanism from FBO, down to PBuffer_RTT
	  down to PBuffer down to frame buffer.

2005-10-05 17:21  robert

	* include/osgUtil/RenderStage, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderStage.cpp: Moved the testing and setting up of
	  FBO/Pbuffer extension from CullVisitor to support into
	  RenderStage to allow better fallback implementations.

2005-10-05 10:48  robert

	* include/osg/NodeVisitor, src/osg/AnimationPath.cpp: Added support
	  for CameraView into NodeVistor, and support for CameraNode and
	  CameraView into the AnimationPathCallback so you can now animate
	  both via animation paths.

2005-10-04 19:49  robert

	* examples/osgprerender/osgprerender.cpp, include/osg/CameraNode,
	  src/osgUtil/CullVisitor.cpp: Added code paths for PBuffer RTT
	  support.

2005-10-04 14:41  robert

	* VisualStudio/osg/osg.dsp, include/osg/CameraView,
	  src/osg/CameraView.cpp, src/osg/GNUmakefile: Added
	  osg::CameraView to help application/modellers position their
	  cameras in scenes.  Note, CameraView is *not* a camera, it isn't
	  an active object, but a passive one that camera must track each
	  frame to following the path of the CameraView.

2005-10-03 20:37  robert

	* src/osg/StateSet.cpp: From Keith Steffen, fixed bug in
	  StateSet::clear() where parents of texture attributes where not
	  being reset correctly due to incorrect ordering of
	  _textureAttributeList.clear().

2005-10-03 20:33  robert

	* include/osg/GLExtensions: From MFM, Added FreeBSD specific
	  implementation for getGLExtensionFuncPtr using
	  dlsym(RTLD_DEFAULT, xxx)

2005-10-03 20:24  robert

	* src/osgSim/SphereSegment.cpp: Added a couple of (double) casts
	  for VS7 build.

2005-10-03 20:18  robert

	* src/osgSim/SphereSegment.cpp: Added closing of loops.

2005-10-03 17:13  robert

	* src/osgSim/SphereSegment.cpp: Added fusing of ends of lines

2005-10-03 14:19  robert

	* src/osgSim/SphereSegment.cpp: Improved handling of convex azim
	  ranges.

2005-10-01 20:28  robert

	* examples/osgspheresegment/osgspheresegment.cpp: Added test cases
	  for SphereSegment intersection code.

2005-10-01 20:27  robert

	* include/osg/ShapeDrawable, src/osg/ShapeDrawable.cpp: Added a
	  dirtyDisplayList() to the setColor() and setTesselationHint()
	  methods.

2005-10-01 13:23  robert

	* src/osgSim/SphereSegment.cpp: Adding handling of case of convex
	  azimuth side ways of sphere segment.

2005-09-30 20:36  robert

	* src/osgSim/SphereSegment.cpp: Changed the line intersection
	  algorithm to computer full line intersections then trim down to
	  size by intersecting with the sphere segmenet sufaces

2005-09-29 16:55  robert

	* src/osgSim/SphereSegment.cpp: Fix to intersection code.

2005-09-29 14:07  robert

	* VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  VisualStudio/osgWrappers/osgSim/wrapper_osgSim.dsp,
	  VisualStudio/osgWrappers/osgUtil/wrapper_osgUtil.dsp,
	  src/osgWrappers/osg/CameraNode.cpp,
	  src/osgWrappers/osg/CullingSet.cpp,
	  src/osgWrappers/osg/Drawable.cpp,
	  src/osgWrappers/osg/FrameBufferObject.cpp,
	  src/osgWrappers/osg/GNUmakefile,
	  src/osgWrappers/osg/GraphicsContext.cpp,
	  src/osgWrappers/osg/GraphicsThread.cpp,
	  src/osgWrappers/osg/Plane.cpp,
	  src/osgWrappers/osg/PolygonMode.cpp,
	  src/osgWrappers/osg/Scissor.cpp, src/osgWrappers/osg/Texture.cpp,
	  src/osgWrappers/osg/Texture1D.cpp,
	  src/osgWrappers/osg/Texture2D.cpp,
	  src/osgWrappers/osg/Texture3D.cpp,
	  src/osgWrappers/osg/TextureCubeMap.cpp,
	  src/osgWrappers/osg/TextureRectangle.cpp,
	  src/osgWrappers/osg/Vec2b.cpp, src/osgWrappers/osg/Vec2s.cpp,
	  src/osgWrappers/osg/Vec3b.cpp, src/osgWrappers/osg/Vec3s.cpp,
	  src/osgWrappers/osg/Vec4b.cpp, src/osgWrappers/osg/Vec4d.cpp,
	  src/osgWrappers/osg/Vec4f.cpp, src/osgWrappers/osg/Vec4s.cpp,
	  src/osgWrappers/osg/Vec4ub.cpp,
	  src/osgWrappers/osgDB/DatabasePager.cpp,
	  src/osgWrappers/osgDB/Output.cpp,
	  src/osgWrappers/osgGA/EventVisitor.cpp,
	  src/osgWrappers/osgParticle/ModularEmitter.cpp,
	  src/osgWrappers/osgParticle/MultiSegmentPlacer.cpp,
	  src/osgWrappers/osgParticle/Particle.cpp,
	  src/osgWrappers/osgParticle/ParticleProcessor.cpp,
	  src/osgWrappers/osgParticle/Placer.cpp,
	  src/osgWrappers/osgParticle/PointPlacer.cpp,
	  src/osgWrappers/osgParticle/SectorPlacer.cpp,
	  src/osgWrappers/osgParticle/SegmentPlacer.cpp,
	  src/osgWrappers/osgParticle/range.cpp,
	  src/osgWrappers/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgWrappers/osgProducer/KeyboardMouseCallback.cpp,
	  src/osgWrappers/osgSim/GNUmakefile,
	  src/osgWrappers/osgSim/OverlayNode.cpp,
	  src/osgWrappers/osgSim/SphereSegment.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgUtil/GNUmakefile,
	  src/osgWrappers/osgUtil/PositionalStateContainer.cpp,
	  src/osgWrappers/osgUtil/RenderBin.cpp,
	  src/osgWrappers/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osgUtil/RenderStageLighting.cpp,
	  src/osgWrappers/osgUtil/RenderToTextureStage.cpp,
	  src/osgWrappers/osgUtil/Simplifier.cpp,
	  src/osgWrappers/osgUtil/Statistics.cpp,
	  src/osgWrappers/osgUtil/TangentSpaceGenerator.cpp,
	  src/osgWrappers/osgUtil/Tesselator.cpp: Updated wrappers.

2005-09-29 14:00  robert

	* include/osgIntrospection/ReflectionMacros: From Marco Jez, fix
	  for gcc build.

2005-09-29 11:25  robert

	* include/osgUtil/Statistics: Fixed typo of Primitive

2005-09-29 11:22  robert

	* include/osgSim/OverlayNode, src/osgSim/OverlayNode.cpp: Added
	  setOverlayClearColor and setTexEnvMode and automatic set up of
	  TexEnv.

2005-09-29 10:49  robert

	* src/osg/Texture.cpp: From Marco Jez, added fallback to
	  TextureCubeMap subloading that calls load when mipmaps are
	  required, but non are present.

2005-09-29 10:36  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp,
	  examples/osgdistortion/osgdistortion.cpp,
	  examples/osgfbo/osgfbo.cpp,
	  examples/osgprerender/osgprerender.cpp,
	  examples/osgprerendercubemap/osgprerendercubemap.cpp,
	  examples/osgshadowtexture/CreateShadowedScene.cpp,
	  include/osg/CameraNode, src/osgSim/Impostor.cpp,
	  src/osgSim/OverlayNode.cpp, src/osgUtil/CullVisitor.cpp: Fixed
	  typo of CameraNode::setRenderTargetImplementation(..)

2005-09-28 17:05  robert

	* examples/osgsimplifier/osgsimplifier.cpp,
	  include/osgUtil/Simplifier, src/osgUtil/Simplifier.cpp: From
	  Volker Walkiewicz (with tweaks from Robert Osfield):

	  Fix to the update of the error metrics on the edges in the
	  simplification mesh that are affected by an edge collapse.

	  Addition of 'n' and 'p' keyboard control in osgsimplifier example
	  to allow users to control the sample ratio manually.

2005-09-28 15:18  robert

	* include/osgIntrospection/: ReflectionMacros, Reflector, Utility:
	  From Marco Jez, "Problems fixed:

	  1. type converters created automatically by the I_BaseType macro
	  use static_cast<> even for base-to-derived conversions.
	  dynamic_cast<> should be used instead.  2. as a consequence of
	  the above fix, I_BaseType must now differentiate between
	  polymorphic and non-polymorphic base classes, because the latter
	  can't be dynamic_cast'd to derived classes. Some template magic
	  (see is_polymorphic<> in ReflectionMacros) is used to detect
	  polymorphism at compile time (I'm NOT sure it works on all
	  platforms as it's partly implementation-dependent. Please test!).
	   3. predefined custom property getters/setters/counters/etc. (as
	  those defined for STL containers) only work on Value objects that
	  contain non-pointer instances. This was an unwanted restriction
	  that no longer exists.

	  Wrappers will need to be recompiled. This is a good time to give
	  them a fresh update with genwrapper.

	  NOTE: fix #1 should get rid of those crashes and strange
	  behaviours that some users noticed while using osgIntrospection
	  through osgTcl or in their own code."

2005-09-28 15:05  robert

	* include/: osg/Export, osgDB/Export, osgFX/Export, osgGA/Export,
	  osgIntrospection/Export, osgParticle/Export, osgProducer/Export,
	  osgSim/Export, osgTerrain/Export, osgText/Export, osgUtil/Export:
	  From Chris Hanson, "The following files are drop-in replacements
	  for the include/*/Export files to permit building statically
	  linked osg libraries under Win32."

2005-09-28 14:55  robert

	* include/osg/Drawable: From Leandro Motta Barros: fixed type of
	  ATTRIBUTE_*

2005-09-28 14:53  robert

	* include/osgUtil/TangentSpaceGenerator,
	  src/osgUtil/TangentSpaceGenerator.cpp: From A. Botorabi,
	  "slightly modified osgUtil's TangentSpaceGenerator class to allow
	  the option for using or not using geom's indices for tangent
	  space vectors generation. now, Ruben's code is also used (it was
	  disabled before). in order to keep backward compatibility, the
	  compute method behaves as before in default case."

2005-09-28 14:45  robert

	* include/osgText/: Font, Text: From Joran Jessurun, comments
	  explaining font search rules

2005-09-28 14:39  robert

	* src/osgText/Font.cpp: From Joran Jessurun, added font search
	  fallbck that strips the leading path from the font file and then
	  looks again.

2005-09-28 14:33  robert

	* include/osg/CullStack, include/osg/CullingSet, include/osg/LOD,
	  src/osg/LOD.cpp, src/osg/PagedLOD.cpp: From Chris Hanson:

	     Spelling fixes in include/osg/LOD

	     Negated priority in PagedLOD when using
	  _rangeMode==PIXEL_SIZE_ON_SCREEN

	     Added clampedPixelSize() methods to CullStack and CullingSet
	  to return fabs()ed values.

	     Changed LOD and PagedLOD ::traverse to use clampedPixelSize()
	  methods.

2005-09-27 21:28  robert

	* include/osgSim/SphereSegment: Added degugging methods.

2005-09-27 15:48  robert

	* src/osgPlugins/txp/: ReaderWriterTXP.cpp, TXPArchive.cpp,
	  TXPArchive.h, TXPNode.cpp, TXPNode.h, TXPParser.cpp: From Don
	  Tidrow,  Added support for locally referenced origins.

2005-09-27 13:15  robert

	* src/osgSim/SphereSegment.cpp: Various improvements to the sphere
	  segment intersection code.

2005-09-26 12:24  robert

	* src/osgSim/OverlayNode.cpp: Set the defaul clear colour to
	  0,0,0,0.

2005-09-26 12:24  robert

	* examples/osgspheresegment/osgspheresegment.cpp: Added TexEnv
	  DECAL mode.

2005-09-25 21:41  robert

	* VisualStudio/VisualStudio.dsw, src/osgSim/SphereSegment.cpp: From
	  Mike Weiblen, fixes from VS 7.1 build.

2005-09-24 17:11  don

	* src/osgPlugins/flt/: FaceRecord.cpp, FaceRecord.h, flt2osg.cpp,
	  flt2osg.h: Brede's changes for limited morphed vertex support.
	  These changes allow a model with morphed vertecies to load
	  correctly with LOD switches, but does not implement the vertex
	  morphing.

2005-09-24 15:53  robert

	* src/osgSim/SphereSegment.cpp: Improvements to the clipping of
	  polygons at boundary edges.

2005-09-21 15:38  robert

	* src/osgSim/SphereSegment.cpp: Further work on intersection code.

2005-09-19 20:49  robert

	* src/osgSim/SphereSegment.cpp: Added multiple intersect triangle
	  visualization for testing purposes.

2005-09-19 16:33  robert

	* examples/osghangglide/GliderManipulator.cpp: From Mike Weiblen:
	  support for OSGHANGGLIDE_REVERSE_CONTROLS env which reverses the
	  pitch and roll control to account from Mike's "unique" way of
	  flying hang gliders :-)

2005-09-19 16:28  robert

	* include/osg/PointSprite, src/osg/PointSprite.cpp: From Ravi
	  Mathur, added extension checks for point sprite support.  From
	  Robert Osfield, tweaks of the above to use osg::buffer_object and
	  a local struct to store initialized to help with multi-thread and
	  out of order context usage.

2005-09-19 15:07  robert

	* examples/osgvolume/osgvolume.cpp, include/osgDB/Output,
	  src/osgDB/Output.cpp, src/osgPlugins/osg/ReaderWriterOSG.cpp,
	  src/osgPlugins/osg/Texture1D.cpp,
	  src/osgPlugins/osg/Texture2D.cpp,
	  src/osgPlugins/osg/Texture3D.cpp,
	  src/osgPlugins/osg/TextureCubeMap.cpp,
	  src/osgPlugins/osg/TextureRectangle.cpp: Added support for "-O
	  OutputTextureFiles" options string in .osg plugin to allow
	  texture files to be written out when writing out a .osg file.

2005-09-19 14:15  robert

	* src/osgSim/SphereSegment.cpp: Added countMultipleIntersections to
	  help with debugging.

2005-09-17 19:50  robert

	* src/osgSim/SphereSegment.cpp: Improved the region classifaction
	  of the intersection code.

2005-09-16 15:52  robert

	* src/osgSim/SphereSegment.cpp: Improved accuracy of spheresegment
	  to mesh intersections uses mathematical models of surface
	  geometry.

2005-09-16 10:28  robert

	* src/osgSim/SphereSegment.cpp: Added Azimuth and Elevation
	  intersector functors.

2005-09-15 21:55  robert

	* src/osgTerrain/DataSet.cpp: Changed destinationRowDelta and
	  destination_pixelSpace to int's, solving a memory corruption
	  crash under 64 bit build.

2005-09-15 21:03  robert

	* examples/osgspheresegment/osgspheresegment.cpp,
	  src/osgSim/SphereSegment.cpp: Added line connectivity code.

2005-09-15 10:03  robert

	* include/osgUtil/RenderBin: Moved
	  copyLeavesFromRenderGraphListToRenderLeafList into public.

2005-09-12 20:42  robert

	* src/osgPlugins/xine/ReaderWriterXine.cpp: Added querry of video
	  size during open() call and associated allocImage to ensure that
	  the imagestream passed back is of a valid size.

2005-09-11 20:12  robert

	* src/osgPlugins/flt/flt2osg.cpp: From Henrique Bucher, add check
	  against null light entry in LightPool.

2005-09-11 20:08  robert

	* src/osgText/Font.cpp: From Farshid Lashkari, append "\fonts" to
	  end of windows font search path.

2005-09-11 20:05  robert

	* examples/osgmovie/osgmovie.cpp: From Sondra Iverson, "The options
	  to rewind/restart and to toggle looping in the osgmovie example
	  have been implemented. "

2005-09-11 20:02  robert

	* src/osgPlugins/xine/ReaderWriterXine.cpp: converted hardware tabs
	  to spaces.

2005-09-11 20:00  robert

	* src/osgPlugins/xine/ReaderWriterXine.cpp: From Sonda Iverson, fix
	  for repeated pause/unpause toggleing in Xine plugin

2005-09-10 14:07  robert

	* src/osgProducer/Viewer.cpp: From Joran Jessurun, fix to let the
	  Viewer::computeNearFarPoints function work correctly when used
	  with multiple camera's on one render surface.

2005-09-10 13:51  robert

	* src/osg/GraphicsContext.cpp: Removed some debugging messages

2005-09-10 13:51  robert

	* src/osgSim/SphereSegment.cpp: Added more intersection testing
	  code.

2005-09-09 21:26  don

	* src/osgPlugins/: ESRIShape/ESRIShape.cpp, ESRIShape/ESRIShape.h,
	  ESRIShape/ESRIShapeParser.cpp, ESRIShape/ESRIShapeParser.h,
	  ESRIShape/ESRIShapeReaderWriter.cpp, ESRIShape/GNUmakefile,
	  logo/ReaderWriterLOGO.cpp, net/ReaderWriterNET.cpp: Added initial
	  ESRIShape file loader.

	  Untabbed and formated LOGO loader.  Removed extraneous noise from
	  NET loader

2005-09-09 16:42  robert

	* include/osg/Vec3s: Removed duplicate typedef.

2005-09-09 12:13  robert

	* examples/osgspheresegment/osgspheresegment.cpp,
	  include/osgSim/SphereSegment, src/osgSim/SphereSegment.cpp: Added
	  triangle index functor to src/osgUtil/SphereSegment.cpp for
	  computing the intersection between an indivual geometry and the
	  sphere segment.

	  Converted the terrain in osgspheresegment to be an osg::Geometry
	  based drawable rather than a osg::ShapeDrawable/osg::HeightField
	  one to make it more practicle to use as a test for the new
	  SphereSegment intersection code.

2005-09-08 19:56  robert

	* src/osgSim/SphereSegment.cpp: Added PolytopeVisitor to
	  SphereSegment.cpp to help cull down to only drawables that
	  intersect with the frustum of the SphereSegment. PolytopeVisitor
	  may eventually be pulled out to be more generally used along the
	  lines of osgUtil::IntersectVisitor.

2005-09-08 14:10  robert

	* examples/osgsimulation/osgsimulation.cpp,
	  examples/osgspheresegment/osgspheresegment.cpp,
	  include/osgSim/SphereSegment, src/osgSim/SphereSegment.cpp: Added
	  initial interface for computing intersections between sphere
	  segments and terrain.

2005-09-07 17:18  robert

	* examples/osgsimulation/osgsimulation.cpp, include/osg/CullingSet,
	  include/osgSim/OverlayNode, src/osgSim/OverlayNode.cpp,
	  src/osgUtil/CullVisitor.cpp: Added support for cullable state,
	  that uses a polytope to define the extents of objects that will
	  be influenced by it.

2005-09-06 21:28  robert

	* examples/osgspheresegment/osgspheresegment.cpp: Added a grid of
	  lines into the OverlaySubgraph to demonstate use the OverlayNode
	  for applying general drawing onto terrain.

2005-09-06 20:54  robert

	* examples/osgsimulation/osgsimulation.cpp,
	  include/osgSim/OverlayNode, src/osgSim/OverlayNode.cpp: Added
	  s/getContinousUpdate(bool) method to OverlayNode.

2005-09-06 16:48  robert

	* examples/osganimate/GNUmakefile,
	  examples/osganimate/osganimate.cpp,
	  examples/osgspheresegment/osgspheresegment.cpp,
	  include/osgSim/OverlayNode, src/osgSim/OverlayNode.cpp: Added
	  osgSim::OverlayNode to osganimate and osgspheresegment examples,
	  and added support for setting texture size hint and coping with
	  scene graphs with CoordinateSystemNode in them.

2005-09-05 14:27  robert

	* examples/osgforest/osgforest.cpp: Changed #if

2005-09-05 14:26  robert

	* examples/osgvolume/osgvolume.cpp: Added checking of EventVisitor
	  type

2005-09-05 14:23  robert

	* src/osgGA/EventVisitor.cpp: Fixed VisitorType of EventVisitor

2005-09-05 14:19  robert

	* examples/osgvolume/osgvolume.cpp: Added event handler to shader
	  code so that alphaCuttOff, transparency and sampleDensity are
	  controlled via 'a', 't' and 'd' respectively.

2005-09-05 11:40  robert

	* examples/osgvolume/osgvolume.cpp: Integrated shaders into source.

2005-09-05 10:14  robert

	* examples/osgvolume/osgvolume.cpp: Added all sides of the shader
	  cube

2005-09-05 08:48  robert

	* examples/osgvolume/osgvolume.cpp: Added preliminary GLSL shader
	  path for volume rendering.

2005-09-04 12:17  robert

	* include/osg/Vec2b, include/osg/Vec2d, include/osg/Vec2f,
	  include/osg/Vec2s, include/osg/Vec3b, include/osg/Vec3d,
	  include/osg/Vec3f, include/osg/Vec3s, include/osg/Vec4b,
	  include/osg/Vec4d, include/osg/Vec4f, include/osg/Vec4s,
	  include/osg/Vec4ub, src/osgPlugins/ive/DataOutputStream.cpp:
	  Standardised the Vec* class interfaces, and added num_components
	  enum to aid generic programming.

2005-09-04 07:36  robert

	* applications/osgdem/osgdem.cpp, include/osgTerrain/DataSet,
	  src/osgTerrain/DataSet.cpp: Added support in osgTerrain/osgdem
	  for setting the image format to use when writing tiles out to
	  disk

2005-09-03 21:56  robert

	* examples/osgvolume/osgvolume.cpp, include/osg/Vec4d,
	  include/osg/Vec4f: Changed red()/green()/blue()/alpha() to
	  r()/g()/b()/a() for greater consistency across Vec* classes and
	  with OpenGL Shander Lanaguage.

2005-09-03 21:54  robert

	* src/: osg/GraphicsThread.cpp,
	  osgProducer/GraphicsContextImplementation.cpp: Added release() to
	  all GraphicsOperations in GraphicsThread.

2005-09-02 21:06  robert

	* examples/osgcamera/osgcamera.cpp: Added commandline arguments for
	  controlling number of cameras through to the windowing library to
	  use.

2005-09-02 14:10  robert

	* examples/osgcamera/osgcamera.cpp, src/osg/GraphicsThread.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp: Added clean up
	  class to help improve the exit of GraphicsThread

2005-09-02 11:35  robert

	* VisualStudio/osgUtil/osgUtil.dsp,
	  include/osgUtil/PositionalStateContainer,
	  include/osgUtil/RenderStage, include/osgUtil/RenderStageLighting,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/GNUmakefile,
	  src/osgUtil/PositionalStateContainer.cpp,
	  src/osgUtil/RenderStage.cpp, src/osgUtil/RenderStageLighting.cpp:
	  Renamed osgUtil::RenderStageLighting
	  osgUtil::PositionalStateContainer

2005-09-01 20:55  robert

	* src/osgSim/OverlayNode.cpp: Removed redundent code.

2005-09-01 20:12  robert

	* include/osg/GraphicsContext, src/osg/GraphicsContext.cpp,
	  src/osg/GraphicsThread.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp: Fixed typo

2005-09-01 07:19  robert

	* VisualStudio/: VisualStudio.dsw,
	  examples/osgcamera/osgcamera.dsp: Added osgcamera projects

2005-08-31 21:39  robert

	* examples/osgcamera/: GNUmakefile, osgcamera.cpp: Removed circular
	  reference of osg::CameraNode, fixing memory leak.  Added a auto
	  exit after a maximum number of frames are completed.

2005-08-31 16:04  robert

	* examples/osgsimulation/osgsimulation.cpp,
	  include/osgSim/OverlayNode, src/osgSim/OverlayNode.cpp: Added
	  osgSim::OverlayNode setup in osgsimulation, and added preliminary
	  test code to the osgSim::OverlayNode to test osgsimulation/the
	  architecture.

2005-08-31 14:43  robert

	* examples/osgcamera/osgcamera.cpp: Set number of cameras to 3.

2005-08-31 13:56  robert

	* include/osg/Texture, src/osg/Texture2D.cpp: Added graphics
	  context pointer to osg::Texture in prep for support for Pbuffer
	  Render To Texture.

2005-08-31 13:49  robert

	* examples/osgcamera/osgcamera.cpp: Disable the glFinishBarrierOp
	  usage as glFinish was spin locking the CPU :-|

2005-08-31 11:55  robert

	* examples/osgcamera/osgcamera.cpp: Seperated out the cull and draw
	  traversals into their own operations, and added a
	  glFinishBarrierOp which can be placed between the cull and the
	  draw or after swap.

2005-08-31 10:21  robert

	* examples/osgcamera/osgcamera.cpp: Add comments explain how
	  example works.

2005-08-30 23:28  robert

	* examples/osgcamera/osgcamera.cpp,
	  examples/osgcluster/osgcluster.cpp, include/osg/GraphicsThread,
	  src/osg/Geometry.cpp, src/osg/GraphicsThread.cpp: Added support
	  for GrapicsOpeations that are reused each frame, cleaned up
	  osgcamera example.

2005-08-30 20:20  robert

	* src/osgUtil/RenderStage.cpp: Compile fix.

2005-08-30 20:19  robert

	* src/osgPlugins/bmp/ReaderWriterBMP.cpp: From Colin McDonald, fix
	  for big endian systems

2005-08-30 20:03  robert

	* examples/osgcamera/osgcamera.cpp, include/osg/GraphicsThread,
	  include/osgProducer/GraphicsContextImplementation,
	  src/osg/GraphicsThread.cpp: Added name and keep member variables
	  to osg::GraphicsThread::Operation to allow the names of the
	  operations to be logged for stats purposes, or used when do
	  searches of the operation list.  The keep member variable tells
	  the graphics thread run loop wether to remove the entry from the
	  list once its been called.

2005-08-30 15:41  robert

	* examples/osgcamera/osgcamera.cpp, include/osg/GraphicsContext,
	  include/osgProducer/GraphicsContextImplementation,
	  src/osg/GraphicsContext.cpp, src/osg/GraphicsThread.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgUtil/CullVisitor.cpp: Clean up and fixes to GraphicThread
	  class, and osgcamera example.

2005-08-30 10:33  robert

	* src/osgDB/DatabasePager.cpp: From Norman Vine, fixed small typo.

2005-08-29 21:38  robert

	* examples/osgcluster/osgcluster.cpp: Fixed reading and writng of
	  data.

2005-08-29 21:16  robert

	* examples/osgcluster/osgcluster.cpp: Added scratch pad reset.

2005-08-29 20:57  robert

	* examples/osgcluster/osgcluster.cpp: Implement a scratch pad for
	  writing and read data to, to solve issue between running a master
	  and slave on a mix of 32bit and 64bit.

2005-08-29 15:05  robert

	* examples/osgcluster/osgcluster.cpp,
	  examples/osgcluster/receiver.cpp,
	  src/osgProducer/KeyboardMouseCallback.cpp: Improved support for
	  keyboard/mouse events in osgcluster.

2005-08-29 13:25  robert

	* examples/osgcluster/osgcluster.cpp: Added extra debug info.

2005-08-29 13:05  robert

	* examples/osgcluster/osgcluster.cpp,
	  examples/osgcluster/receiver.cpp,
	  include/osgProducer/EventAdapter,
	  include/osgProducer/KeyboardMouseCallback,
	  src/osgProducer/KeyboardMouseCallback.cpp: Added extra access
	  methods on osgProducer::KeyboardMouseCallback, and added support
	  for reading and writing keyboard/mouse events in osgcluster.

2005-08-28 20:07  robert

	* src/osgUtil/CullVisitor.cpp: Disabled the pbuffer graphics
	  thread.

2005-08-28 16:49  robert

	* VisualStudio/osgSim/osgSim.dsp: From Marco Jez, fixed typo of
	  OverlayNode.cpp.

2005-08-26 21:01  robert

	* VisualStudio/osgSim/osgSim.dsp, include/osgSim/OverlayNode,
	  src/osgSim/Impostor.cpp, src/osgSim/OverlayNode.cpp: Added
	  OveralyNode into VS project file, and fleshed out more code in
	  the OveralyNode implementation.

2005-08-26 15:00  robert

	* include/osgSim/OverlayNode, src/osgSim/OverlayNode.cpp: Added
	  beginings of new OverlayNode, for managing a render to texture
	  which is then used to overaly other parts of the scene such as
	  terrain.

2005-08-26 14:26  robert

	* examples/osgvolume/osgvolume.cpp, src/osgSim/GNUmakefile: Added
	  --num-components <num> option.

2005-08-26 09:48  robert

	* src/osgPlugins/tiff/ReaderWriterTIFF.cpp: From Farshid Lashkari,
	  fixed warnings.

2005-08-25 20:23  robert

	* src/osgPlugins/jpeg/ReaderWriterJPEG.cpp: From Farshid Lashkari,
	  added istream support to JPEG plugin.

2005-08-25 19:18  don

	* include/osgDB/DatabasePager: made removeExpiredSubgraphs virtual.

2005-08-25 18:53  robert

	* include/osg/Array, include/osg/Shape, include/osg/StateAttribute,
	  include/osgDB/Registry, include/osgGA/GUIActionAdapter,
	  src/osg/LOD.cpp, src/osgDB/Registry.cpp,
	  src/osgPlugins/ive/ReadWrite.h,
	  src/osgPlugins/lib3ds/ReaderWriter3DS.cpp,
	  src/osgPlugins/tga/ReaderWriterTGA.cpp: From Eric Sokolowsky,
	  warning fixes for g++ 4.0 under Fedora Core 4.

2005-08-25 15:37  robert

	* src/osgPlugins/: rgb/ReaderWriterRGB.cpp,
	  tiff/ReaderWriterTIFF.cpp: From Farshid Lashkari, Support for
	  reading TIF images from stream, and support from reading and
	  writing RGB image to/from stream.

2005-08-25 15:12  robert

	* examples/osgparticleeffects/osgparticleeffects.cpp,
	  include/osgParticle/ModularEmitter,
	  include/osgParticle/MultiSegmentPlacer,
	  include/osgParticle/Particle,
	  include/osgParticle/ParticleProcessor,
	  include/osgParticle/Placer, include/osgParticle/PointPlacer,
	  include/osgParticle/SectorPlacer,
	  include/osgParticle/SegmentPlacer, include/osgParticle/range,
	  src/osgParticle/FireEffect.cpp,
	  src/osgParticle/ModularEmitter.cpp,
	  src/osgParticle/ParticleProcessor.cpp,
	  src/osgParticle/SmokeEffect.cpp: Added support for rapid movement
	  of the emitter, with particle now seeding between the position of
	  the emitter in the previous frame and the new position in the new
	  frame, the number of particles added also scales up to compensate
	  for this movement.

2005-08-24 20:21  robert

	* include/osg/PolygonMode: Removed old commented out code.

2005-08-24 20:20  robert

	* include/osg/PolygonMode: From Domenico Mangieri, added
	  constructor.

2005-08-24 12:53  robert

	* src/osgPlugins/flt/flt2osg.cpp: From Gordon Tomlinson: " This
	  fixes some crashing issues I was having with certain FLT files
	  that only had partial colour palettes

	  Which are typically found in older 14.x files and file converted
	  through Polytrans or Deep exploration etc.

	  The code that grabs the color entries in
	  ConvertFromFLT::visitColorPalette was assuming that there were
	  full palettes always coming in and stepping was out of bounds in
	  certain cases (not all) and thus crashing with access  violations
	  etc,

	  Although the normal from Creator is to have 1024 or 512 entries ,
	  this is not a  really requirement of the format,  just the way
	  Creator creates its default palettes etc.

	  Code changed to look at the number of entries and use just those
	  and fills in any missing entries with a default white colour"

2005-08-24 11:48  robert

	* src/osgPlugins/: bmp/ReaderWriterBMP.cpp,
	  gif/ReaderWriterGIF.cpp, png/ReaderWriterPNG.cpp,
	  tga/ReaderWriterTGA.cpp: From Farshid Lashari, added support for
	  reading from std::istream's to the BMP, GIF, PNG and TGA image
	  plugins

2005-08-22 16:13  robert

	* include/osgUtil/Tesselator, src/osgUtil/Tesselator.cpp: From
	  Geoff Michel, added normal definition for tesselation

2005-08-22 15:13  robert

	* src/osgPlugins/ive/Text.cpp: From Carlo Camporesi, fixed .ive
	  handling of character height and aspect ratio.

2005-08-22 15:07  robert

	* include/osg/Plane: From Domenico Mangieri:

	  "I've added a Plane constructor which accepts a normal and a
	  point.  I also removed calculateUpperLowerBBCorners() from the
	  Plane(const Vec3& v1, const Vec3& v2, const Vec3& v3) since the
	  constructor is using the function set(const Vec3& v1, const Vec3&
	  v2, const Vec3& v3) which already computes the upper and lower
	  bounding box."

2005-08-22 14:58  robert

	* include/osgUtil/SceneView, src/osgUtil/SceneView.cpp: From
	  Domenico Mangieri, addded some missing const qualifiers in
	  osgUtil::SceneView.

2005-08-22 14:54  robert

	* src/osgPlugins/hdr/: ReaderWriterHDR.cpp, hdrloader.cpp,
	  hdrloader.h: From Fabio Mierlo,

	  "I add a new option in the HDR Reader.

	  The RAW option store the RGBE values into a Image, to use this
	  option you need to decode the RGBE value in the frag- ment
	  shader. Follow the cube map glsl decoder:

	  vec4 textureCubeRGBE( uniform samplerCube sampler, vec3 coords )
	  {    ivec4 rgbe = textureCube( sampler, coords ) * 255. + 0.5;
	  float e = rgbe.a - ( 128 + 8 );    return vec4( rgbe.rgb * exp2(
	  e ), 1.0 ); }

	  This option is usefull for who have a outdate hardware like FX
	  cards and want to do cool things.

	  Finally this patch is need by a new HDR Rendering example that I
	  will put on the Wiki."

2005-08-22 14:45  robert

	* examples/osgtext/osgtext.cpp: From Joseph Winston, "Corrected
	  displayed comment about the text size to match the actual text
	  size."

2005-08-22 14:03  robert

	* src/osgGA/FlightManipulator.cpp: Tweaked flight manipulator pitch
	  sensitivity.

2005-08-21 16:32  robert

	* VisualStudio/osg/osg.dsp, include/osg/GraphicsThread: Added
	  OSG_EXPORT to GrephicsThread and fixed typo in osg.dsp.

2005-08-20 09:59  robert

	* examples/osgcamera/osgcamera.cpp, include/osg/GraphicsContext,
	  include/osg/GraphicsThread,
	  include/osgProducer/GraphicsContextImplementation,
	  include/osgUtil/RenderStage, src/osg/GraphicsContext.cpp,
	  src/osg/GraphicsThread.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/RenderStage.cpp: Further
	  work on GraphicsContext/GraphicsThread

2005-08-20 09:20  robert

	* src/osgSim/Impostor.cpp: From Joseph Winston, removed #include
	  <osgUtil/RenderToTexture>

2005-08-18 21:35  robert

	* include/osg/GraphicsThread, src/osg/GraphicsThread.cpp: Added
	  GraphicsThread class

2005-08-18 21:33  robert

	* VisualStudio/osg/osg.dsp: Added GraphicsThread to project file

2005-08-18 21:17  robert

	* include/osg/GraphicsContext, include/osgDB/DatabasePager,
	  include/osgProducer/GraphicsContextImplementation,
	  src/osg/GNUmakefile, src/osg/GraphicsContext.cpp,
	  src/osgDB/DatabasePager.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgProducer/Viewer.cpp, src/osgUtil/RenderStage.cpp: Various
	  updates to support the new GraphicsThread class.

2005-08-18 10:36  robert

	* include/osg/GraphicsContext: Added beginings of GraphicsThread
	  class

2005-08-18 09:37  robert

	* examples/osgcamera/osgcamera.cpp: Implemented more SceneView
	  operations in main as a move to try and replace SceneView usage
	  in this example.

2005-08-17 17:13  robert

	* examples/osgcamera/osgcamera.cpp: Replaced osgUtil::SceneView
	  usage by osg::CameraNode

2005-08-17 11:12  robert

	* VisualStudio/osgUtil/osgUtil.dsp, include/osg/CameraNode,
	  include/osgUtil/RenderStage,
	  include/osgUtil/RenderToTextureStage, src/osg/CameraNode.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/GNUmakefile,
	  src/osgUtil/RenderStage.cpp,
	  src/osgUtil/RenderToTextureStage.cpp, src/osgUtil/SceneView.cpp:
	  Merged RenderToTextureStage functionality into RenderStage

2005-08-17 09:50  robert

	* src/osgPlugins/xine/: GNUmakefile, video_out_rgb.c: Fix compile
	  under x64_32.

2005-08-17 08:27  robert

	* src/osgPlugins/xine/: GNUmakefile, video_out_rgb.c: Disabled
	  assembly code for x64_64 paths.

2005-08-16 14:29  robert

	* Make/makedirdefs, examples/osgcamera/GNUmakefile,
	  examples/osgcamera/GNUmakefile.inst,
	  examples/osgcamera/osgcamera.cpp, include/osg/GraphicsContext,
	  include/osgProducer/GraphicsContextImplementation,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgUtil/CullVisitor.cpp: Added realize() and isRealized()
	  methods to osg::GraphicsContext.

	  Added osgcamera example that uses osg::GraphicsContext to create
	  the required window for rendering too, will eventually use
	  osg::CameraNode to replace usage of osgUtil::SceneView.

2005-08-15 14:54  robert

	* Make/makedirdefs, examples/osgforest/osgforest.cpp,
	  examples/osgshaderterrain/GNUmakefile,
	  examples/osgshaderterrain/GNUmakefile.inst,
	  examples/osgshaderterrain/osgshaderterrain.cpp: Added
	  osgshaderterrain example.

2005-08-09 15:13  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp: Added base texture
	  support.

2005-08-09 11:48  robert

	* include/osgProducer/KeyboardMouseCallback: Added getStartTick()
	  acess method

2005-08-09 11:48  robert

	* include/osg/Drawable: Added getDisplayList access method

2005-08-09 11:47  robert

	* src/osg/: Texture.cpp, Texture2D.cpp: Fixed indenting and typo

2005-08-09 10:11  robert

	* examples/osgforest/osgforest.cpp: Added GLSL shader pathway into
	  osgforest.

2005-08-06 20:19  robert

	* src/osgProducer/GraphicsContextImplementation.cpp: Added setting
	  up of Producer::VisualChooser.

2005-08-06 20:18  robert

	* src/osgProducer/Viewer.cpp: Change the frame reference time so
	  that it uses the same time as the KeyboardMouseCallback.

2005-08-06 20:16  robert

	* src/osgUtil/CullVisitor.cpp: Set the double buffer off when
	  setting up pbuffers.

2005-08-06 05:33  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp: Added blend shadow
	  fragment shader

2005-07-30 19:44  robert

	* src/osg/: Drawable.cpp, Node.cpp: Added setStateSet(0) to
	  destructors to force the problem clean up of attached StateSets.

2005-07-27 14:38  robert

	* src/osgUtil/CullVisitor.cpp: From Pavel Moloshtan, setting of the
	  cull traversal mask which visiting camera subgraphs.	(with small
	  tweak from Robert Osfield to remove compile warnings.)

2005-07-27 12:27  robert

	* include/osg/FrameBufferObject, include/osg/Texture,
	  include/osg/Texture1D, include/osg/Texture2D,
	  include/osg/Texture3D, include/osg/TextureCubeMap,
	  include/osg/TextureRectangle, src/osg/FrameBufferObject.cpp,
	  src/osgUtil/RenderToTextureStage.cpp: Further work on trying to
	  get glGenerateMipMapEXT working in conjunction with frame buffer
	  objects.  Still don't work under Linux yet through :-|

2005-07-27 10:37  robert

	* include/osgGA/EventVisitor, src/osgGA/EventVisitor.cpp,
	  src/osgGA/GUIEventHandler.cpp, src/osgProducer/Viewer.cpp: From
	  Marco Jez, added setEventHandled() and getEventHandled() to
	  osgGA::EventVisitor.

2005-07-26 22:07  robert

	* include/osgDB/FileUtils, src/osgDB/FileUtils.cpp,
	  src/osgDB/Registry.cpp, src/osgWrappers/osg/CameraNode.cpp,
	  src/osgWrappers/osg/TextureCubeMap.cpp,
	  src/osgWrappers/osgUtil/RenderToTextureStage.cpp: From Jeremy
	  Bell,

	  "My patch is a slight refactoring of the mac specific code in
	  Registry.cpp and FileUtils.cpp, specifically around the library
	  and resource file path initilialization methods. This patch
	  cleans up a lot of the mac specific code by moving repeated code
	  into separate local functions in FileUtils.cpp that are only
	  compiled on mac builds.  It also adds one function to the API,
	  appendPlatformSpecificResourceFilePaths in FileUtils. This
	  function will mirror the already existing
	  appendPlatformSpecificLibraryFilePaths except for resource file
	  paths.  Currently this function is empty except when built on the
	  mac, in which case it will add the application bundle's internal
	  Resources folder and the bundle's parent folder. Previously this
	  code was implemented as a separate mac specific #ifdef block in
	  Registry.cpp around the initDataFilePathList method. However, it
	  now is implemented in appendPlatformSpecificResourceFilePaths in
	  FileUtils.cpp and the initDataFilePathList method is now the same
	  on all platforms. This patch should behave the same as before on
	  non-mac platforms.

	  This patch already includes the fix that Eric mentioned earlier.
	  This patch is based off of the 0.99 release code. I have tested
	  this patch using the following testing scheme:

	  Make a proper bundled application.  While Run from the Finder:
	  Test that it finds plugins in its internal plugins path.     Test
	  that it finds resources in its internal resources path.     Test
	  that it finds resources in the bundle's parent directory     Test
	  that it finds plugins in the user's Application Support Directory
	      Test that it finds plugins in the system's Application
	  Support Directory	Test that it finds plugins in the Network
	  Application Support Directory     Check the plugin and resource
	  path lists after they have been  initialized to see if they are
	  in the correct order

	  While Run from the command line (both from it's parent directory
	  and from inside the /Contents/MacOS directory) and repeat the
	  above tests.	Check that it also finds plugins and resources
	  within the paths defined by various environment variables.

	  Now, Make an application that is NOT bundled/command line only
	  Test that it does NOT try to look in an internal bundle
	  plugin/resource directory for plugins or resources.	  Test that
	  it finds plugins/resources in the paths defined by the
	  environment variables.  "

2005-07-26 21:31  robert

	* src/osgDB/: FileUtils.cpp, Registry.cpp: From Eric Wing, fix to
	  be able to handle "spacial" characters under OSX.

2005-07-26 17:05  robert

	* src/osg/Image.cpp: From Brede Johansen, fix to the
	  isImageTranslucent() method.

2005-07-26 16:49  robert

	* src/osgPlugins/hdr/ReaderWriterHDR.cpp: From Fabio Mierlo,
	  removed cast from float to RGB8, to allow native float imagery to
	  be correctly importated from HDR files.

	  From Robert Osfield, tweaked the above to allow the original
	  casting to RGB8 as an options switched on by a
	  osgDB::ReaderWriter::Options string with a value of "RGB8".

2005-07-25 17:12  robert

	* include/osg/CameraNode, include/osg/GraphicsContext,
	  src/osg/CameraNode.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderToTextureStage.cpp: Perliminary support for
	  glGenerateMinMapEXT.

2005-07-25 15:28  robert

	* include/osg/GraphicsContext, src/osg/GraphicsContext.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgProducer/OsgCameraGroup.cpp, src/osgUtil/CullVisitor.cpp:
	  Added handling of automatic setting up of the contextID.

2005-07-25 14:05  robert

	* examples/osgprerender/osgprerender.cpp,
	  examples/osgprerendercubemap/osgprerendercubemap.cpp,
	  include/osg/TextureCubeMap, src/osg/TextureCubeMap.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderToTextureStage.cpp: Added support for
	  TextureCubeMap into osgUtil::RenderToTextureStage.

2005-07-24 21:31  robert

	* VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  VisualStudio/osgWrappers/osgProducer/wrapper_osgProducer.dsp,
	  include/osg/CameraNode, include/osgUtil/RenderToTextureStage,
	  src/osg/CameraNode.cpp,
	  src/osgProducer/GraphicsContextImplementation.cpp,
	  src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderToTextureStage.cpp: Added post draw callback to
	  osg::CameraNode/osgUtil::RenderToTextureStage.

	  Added support for Texture1D, 2D, 3D and TextureRectangle into
	  osgUtil::RenderToTextureStage.

2005-07-24 12:06  robert

	* src/osgSim/Impostor.cpp: Port Impostor across to use the new
	  osg::CameraNode.

2005-07-23 20:08  robert

	* src/osgWrappers/: osg/CameraNode.cpp, osg/GNUmakefile,
	  osg/GraphicsContext.cpp, osg/PrimitiveSet.cpp,
	  osg/StateAttribute.cpp, osg/Viewport.cpp,
	  osgProducer/GNUmakefile,
	  osgProducer/GraphicsContextImplementation.cpp,
	  osgProducer/OsgCameraGroup.cpp, osgSim/ImpostorSprite.cpp,
	  osgUtil/RenderToTextureStage.cpp: Updated wrappers.

2005-07-23 20:05  robert

	* include/osgSim/: Impostor, ImpostorSprite: Added osg::CameraNode
	  to ImpostorSprite in prep for moving across to using camera node
	  in pre rendering of impostors.

2005-07-23 16:21  robert

	* src/osgSim/Impostor.cpp: Attached ImpostorSpriteManager to the
	  CullVisitor.

2005-07-22 17:25  robert

	* include/osgSim/Impostor, src/osgSim/Impostor.cpp: Renabled
	  impostor support using old style RenderToTextureStage setup.

2005-07-22 10:31  robert

	* VisualStudio/osg/osg.dsp, VisualStudio/osgPlugins/ive/ive.dsp,
	  VisualStudio/osgPlugins/osg/dot_osg.dsp, include/osg/Scissor,
	  include/osg/StateAttribute, include/osg/Viewport,
	  src/osg/GNUmakefile, src/osg/Scissor.cpp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/GNUmakefile, src/osgPlugins/ive/ReadWrite.h,
	  src/osgPlugins/ive/Scissor.cpp, src/osgPlugins/ive/Scissor.h,
	  src/osgPlugins/ive/Viewport.cpp, src/osgPlugins/ive/Viewport.h,
	  src/osgPlugins/osg/GNUmakefile, src/osgPlugins/osg/Scissor.cpp:
	  Added glSissor suppor via new osg::Scissor class.  Added .osg
	  support for osg::Scissor.  Added .ive support for osg::Viewport
	  and osg::Scissor.

2005-07-22 09:21  robert

	* include/osg/PrimitiveSet: Added missing typedef

2005-07-21 21:45  robert

	* src/osgProducer/GraphicsContextImplementation.cpp: Fixed compile
	  error.

2005-07-21 20:37  robert

	* VisualStudio/osgProducer/osgProducer.dsp,
	  include/osgProducer/GraphicsContextImplementation,
	  src/osgProducer/GraphicsContextImplementation.cpp: Added
	  GraphicsContextImplementation

2005-07-21 20:27  robert

	* examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgprerender/osgprerender.cpp, include/osg/CameraNode,
	  include/osg/GraphicsContext, include/osgProducer/OsgCameraGroup,
	  include/osgUtil/RenderToTextureStage,
	  src/osgProducer/GNUmakefile, src/osgProducer/OsgCameraGroup.cpp,
	  src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderToTextureStage.cpp: Implemented the beginings
	  of the osgProducer::GraphicsContexImplementation.

	  Added options into osgprerender for controlling how to do the pre
	  rendering i.e.  --fbo, --pbuffer, --fb --window, and also added
	  the option for controlling the window size with --width and
	  --height.

2005-07-21 09:43  robert

	* include/osg/GraphicsContext, src/osg/GraphicsContext.cpp: Checked
	  in graphics context.

2005-07-20 20:42  robert

	* include/osg/PrimitiveSet, include/osgText/String,
	  src/osg/PrimitiveSet.cpp,
	  src/osgPlugins/ive/DrawArrayLengths.cpp, src/osgText/String.cpp,
	  src/osgWrappers/osg/PrimitiveSet.cpp,
	  src/osgWrappers/osgText/String.cpp: From Marco Jez (with tweaks
	  by Robert Osfield) : clean up of inheritance from std::vector<>
	  classes

2005-07-20 16:55  robert

	* VisualStudio/osg/osg.dsp,
	  VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  VisualStudio/osgWrappers/osgText/wrapper_osgText.dsp,
	  examples/osgpbuffer/osgpbuffer.cpp, examples/osgtext/osgtext.cpp,
	  include/osg/CameraNode, include/osg/State, src/osg/GNUmakefile,
	  src/osg/State.cpp, src/osgWrappers/osg/CameraNode.cpp,
	  src/osgWrappers/osg/GNUmakefile, src/osgWrappers/osg/State.cpp:
	  Added new osg::GraphicsContext base class

2005-07-20 09:03  robert

	* src/osgWrappers/: osg/Endian.cpp, osg/GL2Extensions.cpp,
	  osg/Notify.cpp, osgText/GNUmakefile, osgText/Text.cpp: Updated
	  wrappers

2005-07-19 21:40  robert

	* src/osgWrappers/osg/Array.cpp,
	  src/osgWrappers/osg/CameraNode.cpp,
	  src/osgWrappers/osg/FrameBufferObject.cpp,
	  src/osgWrappers/osg/FrontFace.cpp, src/osgWrappers/osg/Plane.cpp,
	  src/osgWrappers/osg/Quat.cpp, src/osgWrappers/osg/Vec2b.cpp,
	  src/osgWrappers/osg/Vec2d.cpp, src/osgWrappers/osg/Vec2f.cpp,
	  src/osgWrappers/osg/Vec3b.cpp, src/osgWrappers/osg/Vec3d.cpp,
	  src/osgWrappers/osg/Vec3f.cpp, src/osgWrappers/osg/Vec4b.cpp,
	  src/osgWrappers/osg/Vec4d.cpp, src/osgWrappers/osg/Vec4f.cpp,
	  src/osgWrappers/osg/Vec4ub.cpp,
	  src/osgWrappers/osgDB/DotOsgWrapper.cpp,
	  VisualStudio/osgWrappers/osgDB/wrapper_osgDB.dsp,
	  VisualStudio/osgWrappers/osgFX/wrapper_osgFX.dsp,
	  VisualStudio/osgWrappers/osgGA/wrapper_osgGA.dsp,
	  VisualStudio/osgWrappers/osgParticle/wrapper_osgParticle.dsp,
	  VisualStudio/osgWrappers/osgProducer/wrapper_osgProducer.dsp,
	  VisualStudio/osgWrappers/osgSim/wrapper_osgSim.dsp,
	  VisualStudio/osgWrappers/osgTerrain/wrapper_osgTerrain.dsp,
	  VisualStudio/osgWrappers/osgText/wrapper_osgText.dsp,
	  VisualStudio/osgWrappers/osgUtil/wrapper_osgUtil.dsp,
	  src/osgWrappers/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osgUtil/RenderStageLighting.cpp: Added wrapper
	  projects and updates of autogenerated wrappers.

2005-07-19 21:01  robert

	* include/osg/CameraNode, src/osgUtil/CullVisitor.cpp: Added
	  support for multiple colour buffers into
	  osg::CameraNode/osgUtil::CullVisitor

2005-07-19 17:30  robert

	* examples/osgdepthshadow/osgdepthshadow.cpp,
	  examples/osgdistortion/osgdistortion.cpp,
	  examples/osgfbo/osgfbo.cpp, examples/osgforest/osgforest.cpp,
	  examples/osgmultiplecameras/osgmultiplecameras.cpp,
	  examples/osgpoints/osgpoints.cpp,
	  examples/osgprerender/osgprerender.cpp,
	  examples/osgprerendercubemap/osgprerendercubemap.cpp,
	  examples/osgshadowtexture/CreateShadowedScene.cpp,
	  include/osg/CameraNode, include/osg/FrameBufferObject,
	  include/osg/FrontFace, include/osgUtil/RenderStage,
	  include/osgUtil/RenderStageLighting, src/osg/CameraNode.cpp,
	  src/osg/FrameBufferObject.cpp, src/osg/FrontFace.cpp,
	  src/osg/TexGen.cpp, src/osg/TextureCubeMap.cpp,
	  src/osgUtil/CullVisitor.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgUtil/RenderStageLighting.cpp,
	  src/osgUtil/RenderToTextureStage.cpp: Ported all the render to
	  texture examples across to using the new osg::CameraNode.  Added
	  support for texture cube maps in FBO + CameraNode.

2005-07-15 22:47  robert

	* VisualStudio/VisualStudio.dsw,
	  VisualStudio/osgWrappers/osg/wrapper_osg.dsp, include/osg/Array,
	  src/osgWrappers/osg/Array.cpp,
	  src/osgWrappers/osg/CameraNode.cpp,
	  src/osgWrappers/osg/Drawable.cpp,
	  src/osgWrappers/osg/FrameBufferObject.cpp,
	  src/osgWrappers/osg/GNUmakefile,
	  src/osgWrappers/osg/Geometry.cpp,
	  src/osgWrappers/osg/NodeVisitor.cpp,
	  src/osgWrappers/osg/Program.cpp,
	  src/osgWrappers/osg/Sequence.cpp, src/osgWrappers/osg/Shape.cpp,
	  src/osgWrappers/osg/TexGenNode.cpp,
	  src/osgWrappers/osg/UByte4.cpp, src/osgWrappers/osg/Vec2b.cpp,
	  src/osgWrappers/osg/Vec2s.cpp, src/osgWrappers/osg/Vec3b.cpp,
	  src/osgWrappers/osg/Vec3s.cpp, src/osgWrappers/osg/Vec4b.cpp,
	  src/osgWrappers/osg/Vec4s.cpp, src/osgWrappers/osg/Vec4ub.cpp,
	  src/osgWrappers/osgDB/GNUmakefile,
	  src/osgWrappers/osgFX/GNUmakefile,
	  src/osgWrappers/osgGA/GNUmakefile,
	  src/osgWrappers/osgParticle/GNUmakefile,
	  src/osgWrappers/osgProducer/GNUmakefile,
	  src/osgWrappers/osgSim/BlinkSequence.cpp,
	  src/osgWrappers/osgSim/GNUmakefile,
	  src/osgWrappers/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgTerrain/GNUmakefile,
	  src/osgWrappers/osgText/GNUmakefile,
	  src/osgWrappers/osgText/Text.cpp,
	  src/osgWrappers/osgUtil/CullVisitor.cpp,
	  src/osgWrappers/osgUtil/GNUmakefile,
	  src/osgWrappers/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osgUtil/RenderToTextureStage.cpp: Updated
	  wrappers

2005-07-15 20:24  robert

	* examples/osgsimplifier/osgsimplifier.cpp: Added return 1.

2005-07-15 17:26  robert

	* src/osgPlugins/osgText/IO_Text.cpp: Added .osg suppot for new
	  alignment modes

2005-07-15 17:22  robert

	* examples/osgtext/osgtext.cpp, include/osgText/Text,
	  src/osgText/Text.cpp: From Yuri Vilmanis, improved multi-line
	  justifaction support and new alignment modes

2005-07-15 15:41  robert

	* VisualStudio/osg/osg.dsp,
	  examples/osgbluemarble/osgbluemarble.cpp,
	  examples/osgforest/osgforest.cpp, include/osg/Array,
	  include/osg/Byte2, include/osg/Byte3, include/osg/Byte4,
	  include/osg/Drawable, include/osg/Short2, include/osg/Short3,
	  include/osg/Short4, include/osg/UByte4, include/osg/Vec2b,
	  include/osg/Vec2s, include/osg/Vec3b, include/osg/Vec3s,
	  include/osg/Vec4b, include/osg/Vec4s, include/osg/Vec4ub,
	  include/osg/io_utils, src/osg/Array.cpp, src/osg/Geometry.cpp,
	  src/osgPlugins/3dc/ReaderWriter3DC.cpp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataInputStream.h,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.h,
	  src/osgPlugins/lib3ds/ReaderWriter3DS.cpp,
	  src/osgPlugins/osg/Geometry.cpp, src/osgTerrain/DataSet.cpp,
	  src/osgUtil/Optimizer.cpp, src/osgUtil/Simplifier.cpp,
	  src/osgUtil/Tesselator.cpp, src/osgUtil/TriStripVisitor.cpp:
	  Renamed Byte2,3,4 and Short2,3,4 and UByte4 to use the Vec*b,
	  Vec*s and Vec4ub form

2005-07-15 11:48  robert

	* include/osgSim/BlinkSequence: From Brede Johansen, fixed range
	  check

2005-07-15 10:56  robert

	* src/osgPlugins/ive/ProxyNode.cpp: Fixed bug in ProxyNode write
	  out where non existant children were written out.

2005-07-15 09:32  robert

	* include/osg/TexGenNode, src/osgUtil/CullVisitor.cpp: Added
	  reference frame to TexGenNode

2005-07-15 09:31  robert

	* examples/: osghud/osghud.cpp, osgprerender/osgprerender.cpp:
	  Cleaned up osghud and osgprerender examples

2005-07-14 22:04  robert

	* examples/osgpagedlod/osgpagedlod.cpp: Updates

2005-07-14 21:32  robert

	* src/osg/: PagedLOD.cpp, TexGenNode.cpp: Fix
	  PagedLOD::addChild(,,) so that they allocate the correct size of
	  range data.

2005-07-14 14:21  robert

	* src/osgUtil/RenderStage.cpp: Added back in the call to
	  drawPreRenderStages() as this shouldn't interfere with the stereo
	  code in SceneView as RenderStage should automatically only allow
	  themselves to be draw on per frame.

2005-07-14 11:34  robert

	* src/osg/LightSource.cpp: Removed the set culling active flag
	  setting

2005-07-14 11:27  robert

	* include/osg/Notify, include/osg/Program, src/osg/Notify.cpp,
	  src/osg/Program.cpp: From Mike Weiblen, addiding of
	  Program::validateProgram and osg::isNotifyEnabled() method

2005-07-14 11:18  robert

	* examples/osgpagedlod/osgpagedlod.cpp: Changed osgpagedlod example
	  to convert LOD nodes into PagedLOD ones.

2005-07-14 11:17  robert

	* include/osg/LightSource: Added missing copy _referenceFrame in
	  copy constructor

2005-07-10 15:50  robert

	* examples/osgshadowtexture/CreateShadowedScene.cpp: Ported
	  osgshadow across to using new osg::CameraNode

2005-07-09 15:35  robert

	* examples/osgdistortion/osgdistortion.cpp: Ported osgdistortion
	  example across to using osg::CameraNode.

2005-07-09 10:56  robert

	* src/osgPlugins/flt/: AttrData.h, flt2osg.cpp: From Paul Martz,
	  fix to memory leak of StateSet's

2005-07-08 20:45  robert

	* src/osgTerrain/DataSet.cpp: From Jason Beverage, fix to setting
	  of grey band.

2005-07-08 20:33  robert

	* include/osgSim/BlinkSequence: From Tom Jolly, added setPulse

2005-07-08 15:46  robert

	* include/osg/CameraNode, src/osgUtil/RenderToTextureStage.cpp:
	  From Marco Jez, added missing method implementations to
	  CameraNode and		 added check to ensure FBO
	  extension is support to RenderToTextureStage.

2005-07-07 15:14  robert

	* include/osg/Geometry, src/osgDB/DatabasePager.cpp,
	  src/osgGA/DriveManipulator.cpp: Tweaks for better OSX paging
	  support, 6 and 9 keys for control drive manipulator up and down
	  looking, and removed redundent API from osg::Geometry.

2005-07-05 16:57  robert

	* AUTHORS.txt, VisualStudio/osg/osg.dsp, include/osg/Array,
	  include/osg/Byte2, include/osg/Byte3, include/osg/Byte4,
	  include/osg/Geometry, include/osg/Short2, include/osg/Short3,
	  include/osg/Short4, include/osg/io_utils, src/osg/Array.cpp,
	  src/osg/Drawable.cpp, src/osg/Geometry.cpp,
	  src/osgPlugins/ac3d/ac3d.cpp,
	  src/osgPlugins/flt/GeoSetBuilder.cpp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataInputStream.h,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.h,
	  src/osgPlugins/ive/Geometry.cpp, src/osgPlugins/ive/IveVersion.h,
	  src/osgPlugins/osg/Geometry.cpp, src/osgTerrain/DataSet.cpp,
	  src/osgUtil/Optimizer.cpp, src/osgUtil/SceneView.cpp,
	  src/osgUtil/Tesselator.cpp: From Pavel Moloshtan, Byte2,3,4 and
	  Short2,3,4 classes and their Array counterparts.	 With a few
	  build tweaks and bug fixes by Robert Osfield.

2005-07-03 20:58  robert

	* src/osgPlugins/xine/ReaderWriterXine.cpp: Changed notice to be an
	  info message

2005-07-02 09:11  robert

	* VisualStudio/examples/osgforest/osgforest.dsp, include/osg/Shape,
	  include/osgTerrain/DataSet, src/osg/Shape.cpp,
	  src/osgGA/UFOManipulator.cpp, src/osgTerrain/DataSet.cpp: Added
	  support for equalizing the normals along tile boundaries.

2005-07-01 10:10  robert

	* examples/osgpoints/osgpoints.cpp: Added support for point sprites

2005-06-30 10:08  robert

	* examples/osgsimplifier/osgsimplifier.cpp: Added tri sripping and
	  support for outputing files.

2005-06-30 08:59  robert

	* VisualStudio/examples/osgspotlight/osgspotlight.dsp: Romoved
	  redudent gdal link

2005-06-29 16:52  robert

	* src/osgPlugins/stl/ReaderWriterSTL.cpp: Added smoothing and tri
	  strip pass.

2005-06-29 11:23  robert

	* src/osgPlugins/: rot/ReaderWriterROT.cpp,
	  scale/ReaderWriterSCALE.cpp, trans/ReaderWriterTRANS.cpp: Added
	  support nesting the parameter specification within a [x,y,z]
	  block and float parameters

2005-06-29 11:21  robert

	* src/osgPlugins/osga/OSGA_Archive.h: From Colin McDonald, build
	  fix for Solaris

2005-06-28 18:53  robert

	* VisualStudio/icons/osg_icon.rc: From Mike Weiblen, icon file.

2005-06-28 10:34  robert

	* VisualStudio/: applications/osgarchive/osgarchive.dsp,
	  applications/osgconv/osgconv.dsp, applications/osgdem/osgdem.dsp,
	  applications/osgversion/osgversion.dsp,
	  applications/osgviewer/osgviewer.dsp,
	  applications/osgviewer/resources.rc,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osganimate/osganimate.dsp,
	  examples/osgautotransform/osgautotransform.dsp,
	  examples/osgbillboard/osgbillboard.dsp,
	  examples/osgbluemarble/osgbluemarble.dsp,
	  examples/osgcallback/osgcallback.dsp,
	  examples/osgcameragroup/osgcameragroup.dsp,
	  examples/osgclip/osgclip.dsp, examples/osgcluster/osgcluster.dsp,
	  examples/osgcopy/osgcopy.dsp, examples/osgcubemap/osgcubemap.dsp,
	  examples/osgdepthshadow/osgdepthshadow.dsp,
	  examples/osgdistortion/osgdistortion.dsp,
	  examples/osgfbo/osgfbo.dsp, examples/osgforest/osgforest.dsp,
	  examples/osgfxbrowser/osgfxbrowser.dsp,
	  examples/osggeodemo/osggeodemo.dsp,
	  examples/osggeometry/osggeometry.dsp,
	  examples/osghangglide/osghangglide.dsp,
	  examples/osghud/osghud.dsp, examples/osgimpostor/osgimpostor.dsp,
	  examples/osgintrospection/example_osgintrospection.dsp,
	  examples/osgkeyboard/osgkeyboard.dsp,
	  examples/osgkeyboardmouse/osgkeyboardmouse.dsp,
	  examples/osglauncher/osglauncher.dsp,
	  examples/osglight/osglight.dsp,
	  examples/osglightpoint/osglightpoint.dsp,
	  examples/osglogo/osglogo.dsp,
	  examples/osgmotionblur/osgmotionblur.dsp,
	  examples/osgmotionblur/resources.rc,
	  examples/osgmultiplecameras/osgmultiplecameras.dsp,
	  examples/osgmultitexture/osgmultitexture.dsp,
	  examples/osgoccluder/osgoccluder.dsp,
	  examples/osgparametric/osgparametric.dsp,
	  examples/osgparticle/osgparticledemo.dsp,
	  examples/osgparticleeffects/osgparticleeffects.dsp,
	  examples/osgpbuffer/osgpbuffer.dsp,
	  examples/osgphotoalbum/osgphotoalbum.dsp,
	  examples/osgpick/osgpick.dsp, examples/osgplanets/osgplanets.dsp,
	  examples/osgplanets/resources.rc,
	  examples/osgpointsprite/osgpointsprite.dsp,
	  examples/osgprerender/osgprerender.dsp,
	  examples/osgprerendercubemap/osgprerendercubemap.dsp,
	  examples/osgreflect/osgreflect.dsp,
	  examples/osgscalarbar/osgscalarbar.dsp,
	  examples/osgscribe/osgscribe.dsp,
	  examples/osgsequence/osgsequence.dsp,
	  examples/osgshaders/osgshaders.dsp,
	  examples/osgshadowtexture/osgshadowtexture.dsp,
	  examples/osgshape/osgshape.dsp, examples/osgsimple/osgsimple.dsp,
	  examples/osgsimplepager/osgsimplepager.dsp,
	  examples/osgsimplifier/osgsimplifier.dsp,
	  examples/osgsimplifier/resources.rc,
	  examples/osgsimulation/osgsimulation.dsp,
	  examples/osgspheresegment/osgspheresegment.dsp,
	  examples/osgspotlight/osgspotlight.dsp,
	  examples/osgstereoimage/osgstereoimage.dsp,
	  examples/osgteapot/osgteapot.dsp,
	  examples/osgtesselate/osgtesselate.dsp,
	  examples/osgtesselate/resources.rc,
	  examples/osgtext/osgtextdemo.dsp,
	  examples/osgtexture1D/osgtexture1D.dsp,
	  examples/osgtexture2D/osgtexture2D.dsp,
	  examples/osgtexture3D/osgtexture3D.dsp,
	  examples/osgtexturerectangle/osgtexturerectangle.dsp,
	  examples/osgunittests/osgunittests.dsp,
	  examples/osgvertexprogram/osgvertexprogram.dsp,
	  examples/osgvolume/osgvolume.dsp,
	  examples/osgvolume/resources.rc,
	  examples/osgwindows/osgwindows.dsp: From Mike Weiblen, "some
	  polish for 1.0: centralizes the icon resource definition and
	  adjusts all app and example projects to use that single defn.
	  The various existing resources.rc files should be deleted."

2005-06-27 15:28  robert

	* examples/osgpoints/osgpoints.cpp: Added / and * controls of the
	  distance attentuations of the point size extension

2005-06-27 09:54  robert

	* src/osg/Switch.cpp: Added missing dirtyBound().

2005-06-24 21:19  robert

	* src/osgUtil/DelaunayTriangulator.cpp: From David Spilling, fixed
	  the incircle test so it handles colinear points.

2005-06-24 20:50  robert

	* src/osgPlugins/osga/: OSGA_Archive.cpp, OSGA_Archive.h: From
	  Colin McDonald,     "On fixing the pointer access I discovered
	  that reading osga archives	 containing ive files went into a
	  cpu loop.  This turned out to be a	 problem with
	  proxy_streambuf on Solaris.  Public methods in the Solaris
	  streambuf standard library implementation rely on the gptr()
	  being set,	 which proxy_streambuf was not doing.  So I have
	  modified     proxy_streambuf to set the input sequence pointers,
	  and have also     aligned it more with the standard library
	  streambuf implementation     where all input is through
	  underflow(), not uflow() which merely calls	  underflow() and
	  advances the pointer."

	  From Robert Osfield, change from using pointer cast and
	  assignment to using	  a templated _write and _read method to
	  avoid pointer aliasing to 2/4/8     byte boundaries that some
	  computer system may produce.	These changes	  where inspried by
	  Colin McDonalds change to using memcpy, these     changes weren't
	  merged as memcpy is not as clear in naming as _read,	   _write
	  and memcpy will incurr a function call just for copy a     uint.

2005-06-24 16:39  robert

	* Make/makedefs: From Colin McDonald:

	      "Some makedefs fixes for Solaris:

	      For multithreaded applications the -mt option must be
	  specified on both
	      the compile and link steps, to ensure correct behaviour.
	  According to
	      the Sun compiler documentation it sets REENTRANT flags in the
	  system
	      header files, and links the -lthread library in the correct
	  order.

	      When compiling shared libraries the -KPIC option should be
	  specified.
	      Although Solaris will handle shared libraries without
	      position-independent code there is a performance penalty.
	  The linker
	      reference manual says: 'If a shared object is built from code
	  that is
	      not position-independent, the text segment will usually
	  require a large
	      number of relocations to be performed at runtime. Although
	  the runtime
	      linker is equipped to handle this, the system overhead this
	  creates can
	      cause serious performance degradation'."

2005-06-24 16:34  robert

	* src/osg/Switch.cpp: From Martijn Kragtwijk: "I ran into the same
	  problems as Karl Martensson
	  (http://openscenegraph.org/archiver/osg-users/2005-June/0575.html);
	  after switching children of a Switch node off and on again, they
	  become unpickable. This issue occurs first in 0.9.9, with 0.9.8
	  everything is fine.  My fix involves calling dirtyBound() every
	  time the on/off-values of the Switch are changed"

2005-06-24 16:30  robert

	* src/osgDB/DynamicLibrary.cpp: From David Guthrie, "The call
	  NSLookupAndBindSymbol was changed to NSLookupSymbolInModule.	The
	  former call would lookup the named symbol NOT in the current
	  dynamic library, but in the entire running program while the call
	  NSLookupSymbolInModule, takes the handle to the library the
	  symbol should be found in.  This means the current code will fail
	  if one loads multiple bundles at runtime and attempts to load the
	  same named symbol from each one."

2005-06-24 16:15  robert

	* src/osgTerrain/DataSet.cpp: Moved the working
	  createPagedLODScene() implemention into createScene() method
	  replacing the original flaky code.

2005-06-22 12:26  robert

	* examples/osgparametric/osgparametric.cpp: From Mike Weiblen,
	  fixes to shaders to correct modification of varying types

2005-06-22 12:02  robert

	* src/osg/Texture.cpp: Disabled NPO2T on GeforceFX.

2005-06-22 12:01  robert

	* examples/osgforest/osgforest.cpp: Added experimental OpenGL
	  shader path for positioning of trees (doens't work yet though..)

2005-06-21 17:10  robert

	* examples/osgparametric/osgparametric.cpp: Added option for
	  terrain texturing.

2005-06-21 16:24  robert

	* examples/osgparametric/osgparametric.cpp: Added matrix and simple
	  vertex shader paths.

2005-06-21 16:13  robert

	* examples/osgparametric/osgparametric.cpp: Combined uniforms.

2005-06-21 13:12  robert

	* examples/osgparametric/osgparametric.cpp: Tweaked the vertex
	  program.

2005-06-20 22:10  robert

	* Make/makedirdefs, VisualStudio/VisualStudio.dsw,
	  VisualStudio/examples/osgparametric/osgparametric.dsp,
	  examples/osgparametric/GNUmakefile,
	  examples/osgparametric/GNUmakefile.inst,
	  examples/osgparametric/osgparametric.cpp: Added very simply
	  osgparametric example which uses an OpenGL shader program to
	  create an animated parametric surface.

2005-06-20 11:38  robert

	* include/osg/Sequence: From Tom Jolly, added method for getting
	  the number of frames.

2005-06-20 11:36  robert

	* include/osg/Shader, src/osg/Shader.cpp: From Mike Weiblen, " -
	  adjustments to improve namespacing on VS   - clarify compilation
	  status message"

2005-06-20 11:28  robert

	* include/osg/Shader: From Andreas Jochens (submitted by Loic
	  Dachary), addintion of forward declare of class Progam; to fix
	  compile problem under gcc4.0/amd64/debian unstable.

2005-06-20 11:16  robert

	* include/osg/FrameBufferObject: From Mike Weiblen, added
	  OSG_EXPORT to FrameBufferObject files.

2005-06-16 15:01  robert

	* examples/osgfbo/osgfbo.cpp,
	  examples/osgprerender/osgprerender.cpp,
	  include/osgUtil/RenderToTextureStage,
	  src/osg/FrameBufferObject.cpp, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderToTextureStage.cpp: Further FBO support work.

2005-06-16 14:53  robert

	* include/osg/Drawable, src/osg/Drawable.cpp: From Pavel Moloshtan,
	  added support of Drawable::Extensions::glDeleteQueries()

2005-06-16 12:45  robert

	* include/osg/FrameBufferObject, src/osg/FrameBufferObject.cpp:
	  Added copyright notices.

2005-06-16 12:42  robert

	* VisualStudio/examples/osgfbo/osgfbo.dsp,
	  VisualStudio/osg/osg.dsp, examples/osgfbo/FBOExtensions.cpp,
	  examples/osgfbo/FBOExtensions.h,
	  examples/osgfbo/FramebufferAttachment.cpp,
	  examples/osgfbo/FramebufferAttachment.h,
	  examples/osgfbo/FramebufferObject.cpp,
	  examples/osgfbo/FramebufferObject.h, examples/osgfbo/GNUmakefile,
	  examples/osgfbo/Renderbuffer.cpp, examples/osgfbo/Renderbuffer.h,
	  examples/osgfbo/osgfbo.cpp, include/osg/CameraNode,
	  include/osg/FrameBufferObject, src/osg/FrameBufferObject.cpp,
	  src/osg/GNUmakefile: Moved FBO support from osgfbo example into
	  core osg.

2005-06-15 21:06  robert

	* examples/osgfbo/osgfbo.cpp, include/osg/CameraNode,
	  src/osg/CameraNode.cpp: Futher work on FBO support

2005-06-15 21:05  robert

	* src/osg/Texture2D.cpp: Added automatic creation of texture when
	  size is set but not osg::Image is assigned.  This is useful for
	  FBO usage.

2005-06-15 12:49  robert

	* src/osg/ArgumentParser.cpp: From David Guthrie, " In the
	  constructor in removes any options beginning with "-psn" from
	  argv on OSX by calling the "remove" method.  When a .app run is
	  created in OSX, which is required to get a fully functioning UI
	  application, the OSX finder passes a -psn_XXXX option to the
	  application where the XXXX refers to a unique process number.  An
	  example option would be "- psn_0_37617665".  The argument parser
	  was choking on this option in all the osg example applications."

2005-06-15 11:59  robert

	* Make/makedirdefs, VisualStudio/VisualStudio.dsw,
	  VisualStudio/examples/osgmultiplecameras/osgmultiplecameras.dsp,
	  examples/osgmultiplecameras/GNUmakefile,
	  examples/osgmultiplecameras/GNUmakefile.inst,
	  examples/osgmultiplecameras/osgmultiplecameras.cpp,
	  include/osg/CameraNode, src/osg/CameraNode.cpp,
	  src/osgUtil/CullVisitor.cpp: Added osgmultiplecameras example and
	  support for pre/post multiplaction.

2005-06-14 21:51  robert

	* examples/osghud/osghud.cpp,
	  examples/osgprerender/osgprerender.cpp, include/osg/CameraNode,
	  include/osgUtil/CullVisitor, include/osgUtil/RenderStage,
	  src/osg/CameraNode.cpp, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/RenderBin.cpp, src/osgUtil/RenderStage.cpp: Work on
	  the RenderToTexture usage of the new osg::CameraNode.  Both
	  osghud and osgprerender now ported across to osg::CameraNode.

2005-06-14 14:16  robert

	* VisualStudio/osg/osg.dsp, include/osg/CameraNode,
	  include/osg/MatrixTransform, include/osg/NodeVisitor,
	  src/osg/CameraNode.cpp, src/osg/GNUmakefile: Added
	  osg::CameraNode.

2005-06-14 10:12  robert

	* Make/: dependencies, makedirdefs: Removed reference to non
	  existant AVI plugin

2005-06-14 09:48  robert

	* src/osg/PrimitiveSet.cpp: Fixed position of glBindBuffer.

2005-06-13 21:03  robert

	* src/osgTerrain/DataSet.cpp: Fixed with the reprojection so that
	  it doesn't promote all source data to RGBA, but only does this
	  for RGB data.

2005-06-13 12:14  robert

	* src/: osgDB/FileUtils.cpp, osgPlugins/flt/ReaderWriterATTR.cpp:
	  From Ken Sewell, fixed for x86_64 build.

2005-06-09 20:02  robert

	* VisualStudio/: VisualStudio.dsw, examples/osgfbo/osgfbo.dsp: From
	  Marco Jez, added project files for osgfbo example.

2005-06-09 12:53  robert

	* examples/osgfbo/: GNUmakefile, GNUmakefile.inst: Fixed makefiles

2005-06-09 12:08  robert

	* Make/makedirdefs, examples/osgfbo/FBOExtensions.cpp,
	  examples/osgfbo/FBOExtensions.h,
	  examples/osgfbo/FramebufferAttachment.cpp,
	  examples/osgfbo/FramebufferAttachment.h,
	  examples/osgfbo/FramebufferObject.cpp,
	  examples/osgfbo/FramebufferObject.h, examples/osgfbo/GNUmakefile,
	  examples/osgfbo/GNUmakefile.inst,
	  examples/osgfbo/Renderbuffer.cpp, examples/osgfbo/Renderbuffer.h,
	  examples/osgfbo/osgfbo.cpp: From Marco Jez, added example that
	  uses FBO extension to do prerendering.

2005-06-09 10:27  robert

	* examples/osgmovie/osgmovie.cpp: Added \n to end of a couple
	  shader source lines.

2005-06-09 09:29  robert

	* examples/osgmovie/osgmovie.cpp: Added texture2D shader source

2005-06-08 16:57  robert

	* examples/osgmovie/osgmovie.cpp: Added experiment GLSL fragment
	  shader to clip out dark areas of videos.

2005-06-08 14:20  robert

	* src/osgWrappers/: osg/Matrixd.cpp, osg/Matrixf.cpp, osg/Node.cpp,
	  osg/Object.cpp, osg/Program.cpp, osg/Shader.cpp, osg/Uniform.cpp,
	  osgDB/DatabasePager.cpp, osgProducer/EventAdapter.cpp: Updated
	  wrappers.

2005-06-08 14:16  robert

	* include/osg/Node, include/osg/Object, include/osg/Program,
	  include/osg/Shader, include/osg/Uniform, src/osg/Node.cpp,
	  src/osg/Object.cpp, src/osg/Shader.cpp, src/osg/Uniform.cpp,
	  src/osgPlugins/ive/IveVersion.h, src/osgPlugins/ive/Node.cpp,
	  src/osgPlugins/ive/Object.cpp, src/osgPlugins/ive/Shader.cpp,
	  src/osgPlugins/ive/Uniform.cpp, src/osgPlugins/osg/Node.cpp,
	  src/osgPlugins/osg/Object.cpp, src/osgPlugins/osg/Program.cpp,
	  src/osgPlugins/osg/Shader.cpp, src/osgPlugins/osg/Uniform.cpp:
	  Moved the set/getName() support from osg::Node etc into the
	  osg::Obejct base class

2005-06-08 11:39  robert

	* examples/osgunittests/osgunittests.cpp: Added sizeof(std::string)
	  test to osgunittests

2005-06-08 11:36  robert

	* include/osg/Uniform, include/osgProducer/EventAdapter,
	  src/osg/Uniform.cpp, src/osgPlugins/ive/Uniform.cpp,
	  src/osgPlugins/osg/Uniform.cpp: From Mike Weiblen, added GLSL
	  datatypes mat2 and mat3 to osg::Uniform, with .osg and .ive
	  support

2005-06-08 09:33  robert

	* src/osgPlugins/rot/ReaderWriterROT.cpp: From Mike Weiblen,
	  "modified .rot pseudoloader plugin so rotation order actually
	  matches the embedded documentation"

2005-06-06 11:18  robert

	* src/osgPlugins/txp/ReaderWriterTXP.cpp: From Mathia Walker: bug
	  fix to LOD ranges in TXP plugin to avoid cracks:

	  "I took a closer look at the conditional code in
	  SeamFinder::seamReplacement().

	  Because _info.minRange is a double and lod->getMinRange(0) is a
	  float, the difference will be calculated with double precision.
	  If _info.minRange is cast as a float it is exactly the same value
	  as lod->getMinRange(0) and the difference is exactly zero.

	  So if you change


	  if((fabs(_info.minRange-lod->getMinRange(0))<0.001)&&(fabs(_info.lod0Range-lod->getMaxRange(0))<0.001))

	  to


	  if((fabs((float)_info.minRange-lod->getMinRange(0))<0.001)&&(fabs((float)_info.lod0Range-lod->getMaxRange(0))<0.001))

	  it works a lot better."

2005-06-05 19:41  robert

	* VisualStudio/MUST_READ_ME.txt: Changed VisualStudio 7.0 reference
	  to 7.x

2005-06-05 19:40  robert

	* VisualStudio/MUST_READ_ME.txt: From Adam Richard, fixed typos +
	  explanation how to use project files.

2005-05-31 07:21  robert

	* include/osg/Matrixd, include/osg/Matrixf,
	  src/osg/Matrix_implementation.cpp: From Tim Daust, "I fixed the
	  getScale functions in matrixf and matrixd.  It was returning the
	  values of the diagonal of the matrix, which only returns the
	  scale if there is not a rotation.  I fixed this by returning the
	  length of the  vectors that form the basis.	 I also added a
	  function to orthonormalize the  rotation component of the matrix.
	  I seem to always run into situations where non uniform (or even
	  uniform) scale complicate my calculations, and I thought other
	  members of the community could use this function as well."

2005-05-31 06:48  robert

	* NEWS.txt: Small fixes to NEWS

2005-05-31 06:47  robert

	* src/osg/DisplaySettings.cpp: Changed char* to const char*

2005-05-31 06:46  robert

	* src/osgPlugins/: flt/flt2osg.cpp, pfb/ConvertFromPerformer.cpp:
	  From Tom Jolly, fixes to the mapping of the billboard rotate
	  mode.

2005-05-31 06:37  robert

	* include/osgDB/DatabasePager, src/osgDB/DatabasePager.cpp: Added
	  ability to toggle on/off the pre compile of OpenGL objects in the
	  DatabasePager via the setDoPreCompile(bool) method or via the env
	  var OSG_DO_PRE_COMPILE=ON or OFF.

2005-05-30 17:15  robert

	* src/osgDB/DatabasePager.cpp: Added support for reading:

	    OSG_MINIMUM_COMPILE_TIME_PER_FRAME <float>

	  and

	     OSG_MAXIMUM_OBJECTS_TO_COMPILE_PER_FRAME <int>

	  environmental variable during the initialization of the
	  DatabasePager to allow apps to be tweaked for best database pager
	  behavior.

2005-05-26 15:38  robert

	* Make/makedefs: Reverted release number to 0 (development
	  version).

2005-05-26 14:56  robert

	* src/osgPlugins/osgParticle/IO_Program.cpp: From James French, fix
	  for multiple definitionwhen compiling osg + plugins into
	  monolithic dll.

2005-05-25 21:02  robert

	* Make/makedefs, include/osg/Version: Updated Version numbers for
	  release.

	  UPdated wrappers.

2005-05-25 18:19  robert

	* src/osgPlugins/net/sockstream.cpp: From Blake Williams, fix for
	  VS8.0 build

2005-05-25 17:42  robert

	* NEWS.txt, VisualStudio/osgParticle/osgParticle.dsp,
	  VisualStudio/osgPlugins/osgParticle/dot_osgParticle.dsp,
	  examples/osgcatch/osgcatch.cpp,
	  examples/osgparticleeffects/osgparticleeffects.cpp,
	  include/osgParticle/ExplosionDebriEffect,
	  include/osgParticle/ExplosionDebrisEffect,
	  src/osgParticle/ExplosionDebriEffect.cpp,
	  src/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgParticle/GNUmakefile,
	  src/osgPlugins/osgParticle/GNUmakefile,
	  src/osgPlugins/osgParticle/IO_ExplosionDebriEffect.cpp,
	  src/osgPlugins/osgParticle/IO_ExplosionDebrisEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionDebriEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionDebrisEffect.cpp,
	  src/osgWrappers/osgParticle/GNUmakefile: Renamed
	  ExplosionDebriEffect to ExplosionDebrisEffect

2005-05-25 16:35  robert

	* ChangeLog, include/osg/Geometry, src/osg/Geometry.cpp: Updated
	  change log.

	  From Fredric Marmond, changed unsigned int to unsigned long to
	  avoid compile errors under 64 bit compile.

2005-05-25 16:34  robert

	* runexamples.bat: Added file to osgkeyboardmouse invokation.

2005-05-25 12:45  robert

	* NEWS.txt, doc/Doxyfiles/core_Doxyfile,
	  include/osgIntrospection/Export,
	  src/osgWrappers/osgTerrain/DataSet.cpp: Updated doxgen docs.

2005-05-25 10:50  robert

	* include/osg/Image, src/osg/Texture.cpp,
	  src/osg/TextureRectangle.cpp: Changd unsigned int's to unsigned
	  char* to fix gcc3.4 64 bit issues.

2005-05-25 10:48  robert

	* NEWS.txt: Updated NEWS

2005-05-24 21:45  robert

	* NEWS.txt: Updated NEWS

2005-05-24 19:57  robert

	* include/: osg/Export, osgDB/Export, osgGA/Export,
	  osgParticle/Export, osgProducer/Export, osgSim/Export,
	  osgTerrain/Export, osgText/Export, osgUtil/Export: Added pragma
	  to remove warnings under VS.8.0

2005-05-24 16:34  robert

	* include/osgTerrain/DataSet, include/osgUtil/RenderBin,
	  include/osgUtil/RenderStage, src/osgUtil/RenderBin.cpp,
	  src/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osgUtil/RenderBin.cpp,
	  src/osgWrappers/osgUtil/RenderStage.cpp: Updates to clean up
	  wrapper generation, and to update wrappers

2005-05-24 16:23  robert

	* src/osgPlugins/ive/: ConvexPlanarOccluder.h,
	  ConvexPlanarPolygon.h, CoordinateSystemNode.h, EllipsoidModel.h,
	  Impostor.h, MultiSwitch.h, OccluderNode.h, Switch.h: Did a
	  dos2unix on all files

2005-05-24 11:46  robert

	* src/osgDB/DatabasePager.cpp: Added check for an empty compile
	  lists.

2005-05-24 11:37  robert

	* src/osgPlugins/flt/: ReaderWriterFLT.cpp, ReaderWriterFLT.h:
	  Added re-entrent mutex to serialize access to OpenFlight plugin
	  to prevent any multi-threaded issues.

2005-05-23 12:27  robert

	* ChangeLog: Updated changelog

2005-05-23 12:18  robert

	* runexamples.bat: Added new examples to runexamples

2005-05-23 12:00  robert

	* NEWS.txt: Updated news.

2005-05-22 21:30  robert

	* examples/osgcatch/osgcatch.cpp: Changed .png files to .jpg to
	  help save space in OpenSceneGraph-Data.

2005-05-22 21:19  robert

	* examples/osgcatch/osgcatch.cpp: Added scoring, welcome page,
	  you've lost and you've won pages.

2005-05-21 22:19  robert

	* examples/osgcatch/osgcatch.cpp: Added support for multiple
	  levels, and exit on lose of all lives or on finishng the highest
	  level.

2005-05-21 13:57  robert

	* examples/osgcatch/osgcatch.cpp: Updates to osgcatch game to allow
	  different types of falling objects

2005-05-21 10:55  robert

	* examples/osghangglide/GliderManipulator.cpp: Maded debugging
	  output write out at INFO level

2005-05-20 23:15  robert

	* src/osgWrappers/osgUtil/: RenderBin.cpp, RenderStage.cpp: Tweaked
	  wrappers by hand to get them to compile

2005-05-20 22:12  robert

	* src/: osgPlugins/quicktime/QuicktimeImageStream.cpp,
	  osgPlugins/xine/ReaderWriterXine.cpp,
	  osgWrappers/osgGA/UFOManipulator.cpp,
	  osgWrappers/osgProducer/OsgCameraGroup.cpp,
	  osgWrappers/osgSim/SphereSegment.cpp,
	  osgWrappers/osgUtil/RenderBin.cpp,
	  osgWrappers/osgUtil/RenderStage.cpp,
	  osgWrappers/osgUtil/SceneView.cpp: Updated wrappers.

2005-05-20 22:01  robert

	* include/: osgGA/UFOManipulator, osgParticle/ForceOperator,
	  osgParticle/ParticleProcessor, osgParticle/ParticleSystem,
	  osgParticle/ParticleSystemUpdater, osgProducer/OsgCameraGroup,
	  osgSim/ScalarBar, osgSim/SphereSegment: Fixed doxygen comments.

2005-05-20 19:35  robert

	* VisualStudio/examples/osgpbuffer/osgpbuffer.dsp: Removed
	  references to removed files.

2005-05-20 16:45  robert

	* include/osg/Math: Reworking to avoid compile issues under VS6.0.

2005-05-20 12:35  robert

	* Make/makedirdefs: Removed remaining references to old DX writer.

2005-05-20 07:39  robert

	* src/osg/Referenced.cpp: Added env var report.

2005-05-19 22:42  robert

	* include/osgUtil/SceneView: From Martin Aumueller, fixed copy and
	  paste error on getActiveUniforms().

2005-05-19 16:17  robert

	* include/osgUtil/RenderBin, include/osgUtil/RenderStage,
	  src/osgUtil/RenderBin.cpp, src/osgUtil/RenderStage.cpp: Added
	  support for setting the default render bin sort mode via the env
	  OSG_DEFAULT_BIN_SORT_MODE variable or via or
	  RenderBin::setDefaultRenderBinSortMode() method.

2005-05-19 10:22  robert

	* src/osgPlugins/flt/flt2osg.cpp: From Alberto Farre, added support
	  for caching of ProxyNode children.

2005-05-18 22:45  don

	* src/osgProducer/ViewerEventHandler.cpp: Fixed fullscreen toggle
	  in ViewerEventHandler that assumed the first RenderSurface was a
	  window (not a pbuffer).

2005-05-18 22:34  don

	* examples/osgpbuffer/osgpbuffer.cpp: PBuffer example revamped to
	  use a normal CameraConfig for setting up the PBuffer and main
	  cameras, and a PBufferTexture2D for the texture, rather than a
	  subload callback

2005-05-18 22:31  robert

	* ChangeLog, NEWS.txt, runexamples.bat: Updated NEWS, ChangeLog and
	  runexamples.bat.

2005-05-18 22:17  robert

	* src/osgWrappers/osg/ClearNode.cpp: Updated wrappers.

2005-05-18 20:55  robert

	* include/osg/ClearNode, src/osg/ClearNode.cpp,
	  src/osgPlugins/osg/ClearNode.cpp, src/osgUtil/SceneView.cpp:
	  Added s/getClearMask() support to osg::ClearNode,
	  osgUtil::SceneView and the .osg plugin.

2005-05-18 20:04  robert

	* src/osgPlugins/ive/: DOFTransform.cpp, IveVersion.h: From Joakim
	  Simonsson, DOFTransform multiplication order support added to
	  .ive format.	     With tweak from Robert Osfield to wrap new
	  read and write with a new version number	 to allow old files
	  contain DOFTransforms to continue to work.

2005-05-18 19:43  robert

	* src/osgPlugins/flt/: FltFile.cpp, FltFile.h, flt2osg.cpp: From
	  Joakim Simonsson:

	     "DOFAnimation's default state could now be controlled by the
	  RW option.

	      The option string is "dofAnimation"

	      If the option string is omitted the default animation state
	  is off."

2005-05-18 19:31  robert

	* src/osg/: StateAttribute.cpp, Uniform.cpp: Fixed copy and paste
	  mistakes in setEventCallback methods

2005-05-17 21:12  robert

	* src/osg/Texture.cpp: Added RADEON as render type for disabling
	  mipmapped NPO2T

2005-05-17 16:00  robert

	* doc/Doxyfiles/: auto_Doxyfile, core_Doxyfile: Cleaned up in prep
	  for release.

2005-05-17 15:25  robert

	* src/osgUtil/Optimizer.cpp: Improved the handling of data attached
	  to proxy nodes

2005-05-17 14:50  robert

	* src/osgPlugins/osg/ProxyNode.cpp: Changed the default behavior to
	  not writing out proxynode children.

2005-05-17 14:47  robert

	* src/osgPlugins/osg/ProxyNode.cpp: Improved the handling of
	  writing out of proxy node files.

2005-05-17 14:34  robert

	* src/osgPlugins/flt/flt2osg.cpp: From Daniel Sjölie, for the
	  purpose of maintainability, made the load proxy nodes code the
	  standard, remove the older code that remained as part of #else
	  #endif blocks, and remove the erroneous implementation of caching
	  of proxynodes.

2005-05-17 14:24  robert

	* examples/osgpbuffer/osgpbuffer.cpp: Added destructor to fix
	  Cygwin build problem.

2005-05-17 12:11  robert

	* src/osgWrappers/osg/Texture.cpp: Updated wrappers.

2005-05-17 12:00  robert

	* include/osg/Texture, src/osg/Texture.cpp, src/osg/Texture1D.cpp,
	  src/osg/Texture3D.cpp: Added differentiation between Non power of
	  two textures when mip mapped vs when not mipped mapped to get
	  round the issue of incomplete support under ATI cards.

2005-05-17 10:53  robert

	* NEWS.txt, VisualStudio/applications/osgconv/osgconv.dsp,
	  applications/osgconv/GNUmakefile,
	  applications/osgconv/GNUmakefile.inst,
	  applications/osgconv/GeoSet.cpp, applications/osgconv/GeoSet.h,
	  applications/osgconv/IO_GeoSet.cpp,
	  applications/osgconv/osgconv.cpp: Removed old GeoSet backward
	  compatibility code since its now redudent.

2005-05-17 10:06  robert

	* Make/makedefs, src/osgPlugins/net/sockstream.cpp: From Thom
	  DeCarlo, build fixes for Cygwin.

2005-05-16 19:24  robert

	* NEWS.txt: Fixed name.

2005-05-16 18:37  robert

	* NEWS.txt: Update to NEWS w.r.t contributors

2005-05-16 18:17  robert

	* include/osg/Version, src/osg/Version.cpp, src/osgDB/Version.cpp,
	  src/osgGA/Version.cpp, src/osgParticle/Version.cpp,
	  src/osgProducer/Version.cpp, src/osgSim/Version.cpp,
	  src/osgTerrain/Version.cpp, src/osgText/Version.cpp,
	  src/osgUtil/Version.cpp: Bumped version numbers to 0.9.9 in
	  rediness for 0.9.9 release.

2005-05-16 17:50  robert

	* ChangeLog, NEWS.txt: Updated NEWS and ChangeLog in prep for
	  release

2005-05-16 16:51  robert

	* src/: osg/dxtctool.cpp, osg/dxtctool.h,
	  osgFX/SpecularHighlights.cpp, osgGA/UFOManipulator.cpp,
	  osgSim/SphereSegment.cpp: Warning fixes for IRIX

2005-05-16 16:50  robert

	* src/osgWrappers/osgUtil/IntersectVisitor.cpp: Updated wrappers

2005-05-16 15:27  robert

	* include/osgUtil/IntersectVisitor: Changed the getHitList and
	  getNumHits methods to take const osg::LineSegment* as a
	  parameter.

2005-05-16 15:09  robert

	* src/osgTerrain/DataSet.cpp: Workaround for Mipspro compiler bug.

2005-05-16 12:22  robert

	* src/osgWrappers/osg/ShapeDrawable.cpp: Updated wrappers.

2005-05-16 12:18  robert

	* include/osg/ShapeDrawable, include/osgDB/Archive,
	  src/osgTerrain/DataSet.cpp: Fixed method signatures.

2005-05-16 11:12  robert

	* Make/makedirdefs: Added osgUtil osgDB osgFX osgText osgTerrain
	  osgGA osgProducer to the list of wrapper libraries.

2005-05-16 10:41  robert

	* src/osgWrappers/: osg/AlphaFunc.cpp, osg/AnimationPath.cpp,
	  osg/ApplicationUsage.cpp, osg/ArgumentParser.cpp, osg/Array.cpp,
	  osg/AutoTransform.cpp, osg/Billboard.cpp, osg/BlendColor.cpp,
	  osg/BlendEquation.cpp, osg/BlendFunc.cpp, osg/BoundingBox.cpp,
	  osg/BoundingSphere.cpp, osg/BufferObject.cpp, osg/ClearNode.cpp,
	  osg/ClipNode.cpp, osg/ClipPlane.cpp,
	  osg/ClusterCullingCallback.cpp, osg/CollectOccludersVisitor.cpp,
	  osg/ColorMask.cpp, osg/ColorMatrix.cpp,
	  osg/ConvexPlanarOccluder.cpp, osg/ConvexPlanarPolygon.cpp,
	  osg/CoordinateSystemNode.cpp, osg/CopyOp.cpp, osg/CullFace.cpp,
	  osg/CullSettings.cpp, osg/CullStack.cpp, osg/CullingSet.cpp,
	  osg/Depth.cpp, osg/DisplaySettings.cpp, osg/DrawPixels.cpp,
	  osg/Drawable.cpp, osg/Fog.cpp, osg/FragmentProgram.cpp,
	  osg/FrameStamp.cpp, osg/FrontFace.cpp, osg/Geode.cpp,
	  osg/Geometry.cpp, osg/Group.cpp, osg/Image.cpp,
	  osg/ImageStream.cpp, osg/LOD.cpp, osg/Light.cpp,
	  osg/LightModel.cpp, osg/LightSource.cpp, osg/LineSegment.cpp,
	  osg/LineStipple.cpp, osg/LineWidth.cpp, osg/LogicOp.cpp,
	  osg/Material.cpp, osg/Matrix.cpp, osg/MatrixTransform.cpp,
	  osg/Matrixd.cpp, osg/Matrixf.cpp, osg/Multisample.cpp,
	  osg/Node.cpp, osg/NodeCallback.cpp, osg/NodeVisitor.cpp,
	  osg/Object.cpp, osg/OccluderNode.cpp, osg/PagedLOD.cpp,
	  osg/Plane.cpp, osg/Point.cpp, osg/PointSprite.cpp,
	  osg/PolygonMode.cpp, osg/PolygonOffset.cpp,
	  osg/PolygonStipple.cpp, osg/Polytope.cpp,
	  osg/PositionAttitudeTransform.cpp, osg/PrimitiveSet.cpp,
	  osg/Program.cpp, osg/Projection.cpp, osg/ProxyNode.cpp,
	  osg/Quat.cpp, osg/RefNodePath.cpp, osg/Referenced.cpp,
	  osg/Sequence.cpp, osg/ShadeModel.cpp, osg/Shader.cpp,
	  osg/ShadowVolumeOccluder.cpp, osg/Shape.cpp,
	  osg/ShapeDrawable.cpp, osg/State.cpp, osg/StateAttribute.cpp,
	  osg/StateSet.cpp, osg/Stencil.cpp, osg/Switch.cpp,
	  osg/TexEnv.cpp, osg/TexEnvCombine.cpp, osg/TexEnvFilter.cpp,
	  osg/TexGen.cpp, osg/TexGenNode.cpp, osg/TexMat.cpp,
	  osg/Texture.cpp, osg/Texture1D.cpp, osg/Texture2D.cpp,
	  osg/Texture3D.cpp, osg/TextureCubeMap.cpp,
	  osg/TextureRectangle.cpp, osg/Timer.cpp, osg/Transform.cpp,
	  osg/UByte4.cpp, osg/Uniform.cpp, osg/Vec2.cpp, osg/Vec2d.cpp,
	  osg/Vec2f.cpp, osg/Vec3.cpp, osg/Vec3d.cpp, osg/Vec3f.cpp,
	  osg/Vec4.cpp, osg/Vec4d.cpp, osg/Vec4f.cpp,
	  osg/VertexProgram.cpp, osg/Viewport.cpp, osgDB/Archive.cpp,
	  osgDB/DatabasePager.cpp, osgDB/DotOsgWrapper.cpp,
	  osgDB/DynamicLibrary.cpp, osgDB/Field.cpp, osgDB/FieldReader.cpp,
	  osgDB/FieldReaderIterator.cpp, osgDB/FileUtils.cpp,
	  osgDB/ImageOptions.cpp, osgDB/Input.cpp, osgDB/Output.cpp,
	  osgDB/ParameterOutput.cpp, osgDB/ReaderWriter.cpp,
	  osgDB/ReentrantMutex.cpp, osgDB/Registry.cpp,
	  osgDB/SharedStateManager.cpp, osgFX/AnisotropicLighting.cpp,
	  osgFX/BumpMapping.cpp, osgFX/Cartoon.cpp, osgFX/Effect.cpp,
	  osgFX/MultiTextureControl.cpp, osgFX/Registry.cpp,
	  osgFX/Scribe.cpp, osgFX/SpecularHighlights.cpp,
	  osgFX/Technique.cpp, osgFX/Validator.cpp,
	  osgGA/AnimationPathManipulator.cpp, osgGA/DriveManipulator.cpp,
	  osgGA/EventVisitor.cpp, osgGA/FlightManipulator.cpp,
	  osgGA/GUIActionAdapter.cpp, osgGA/GUIEventAdapter.cpp,
	  osgGA/GUIEventHandler.cpp, osgGA/GUIEventHandlerVisitor.cpp,
	  osgGA/KeySwitchMatrixManipulator.cpp,
	  osgGA/MatrixManipulator.cpp, osgGA/NodeTrackerManipulator.cpp,
	  osgGA/SetSceneViewVisitor.cpp, osgGA/StateSetManipulator.cpp,
	  osgGA/TerrainManipulator.cpp, osgGA/TrackballManipulator.cpp,
	  osgGA/UFOManipulator.cpp, osgParticle/AccelOperator.cpp,
	  osgParticle/AngularAccelOperator.cpp,
	  osgParticle/CenteredPlacer.cpp, osgParticle/Counter.cpp,
	  osgParticle/Emitter.cpp, osgParticle/ExplosionDebriEffect.cpp,
	  osgParticle/ExplosionEffect.cpp, osgParticle/FireEffect.cpp,
	  osgParticle/FluidFrictionOperator.cpp,
	  osgParticle/FluidProgram.cpp, osgParticle/ForceOperator.cpp,
	  osgParticle/Interpolator.cpp, osgParticle/LinearInterpolator.cpp,
	  osgParticle/ModularEmitter.cpp, osgParticle/ModularProgram.cpp,
	  osgParticle/MultiSegmentPlacer.cpp, osgParticle/Operator.cpp,
	  osgParticle/Particle.cpp, osgParticle/ParticleEffect.cpp,
	  osgParticle/ParticleProcessor.cpp,
	  osgParticle/ParticleSystem.cpp,
	  osgParticle/ParticleSystemUpdater.cpp, osgParticle/Placer.cpp,
	  osgParticle/PointPlacer.cpp, osgParticle/Program.cpp,
	  osgParticle/RadialShooter.cpp, osgParticle/RandomRateCounter.cpp,
	  osgParticle/SectorPlacer.cpp, osgParticle/SegmentPlacer.cpp,
	  osgParticle/Shooter.cpp, osgParticle/SmokeEffect.cpp,
	  osgParticle/VariableRateCounter.cpp, osgParticle/range.cpp,
	  osgProducer/EventAdapter.cpp,
	  osgProducer/KeyboardMouseCallback.cpp,
	  osgProducer/OsgCameraGroup.cpp, osgProducer/OsgSceneHandler.cpp,
	  osgProducer/Viewer.cpp, osgProducer/ViewerEventHandler.cpp,
	  osgSim/BlinkSequence.cpp, osgSim/ColorRange.cpp,
	  osgSim/DOFTransform.cpp, osgSim/GeographicLocation.cpp,
	  osgSim/Impostor.cpp, osgSim/ImpostorSprite.cpp,
	  osgSim/InsertImpostorsVisitor.cpp, osgSim/LightPoint.cpp,
	  osgSim/LightPointNode.cpp, osgSim/LightPointSystem.cpp,
	  osgSim/MultiSwitch.cpp, osgSim/ScalarBar.cpp,
	  osgSim/ScalarsToColors.cpp, osgSim/Sector.cpp,
	  osgSim/SphereSegment.cpp, osgSim/VisibilityGroup.cpp,
	  osgTerrain/DataSet.cpp, osgTerrain/HeightFieldNode.cpp,
	  osgTerrain/HeightFieldRenderer.cpp, osgText/Export.cpp,
	  osgText/Font.cpp, osgText/String.cpp, osgText/Text.cpp,
	  osgUtil/CubeMapGenerator.cpp, osgUtil/CullVisitor.cpp,
	  osgUtil/DelaunayTriangulator.cpp,
	  osgUtil/DisplayRequirementsVisitor.cpp,
	  osgUtil/GLObjectsVisitor.cpp, osgUtil/HalfWayMapGenerator.cpp,
	  osgUtil/HighlightMapGenerator.cpp, osgUtil/IntersectVisitor.cpp,
	  osgUtil/Optimizer.cpp, osgUtil/ReflectionMapGenerator.cpp,
	  osgUtil/RenderBin.cpp, osgUtil/RenderGraph.cpp,
	  osgUtil/RenderLeaf.cpp, osgUtil/RenderStage.cpp,
	  osgUtil/RenderStageLighting.cpp,
	  osgUtil/RenderToTextureStage.cpp, osgUtil/SceneView.cpp,
	  osgUtil/Simplifier.cpp, osgUtil/SmoothingVisitor.cpp,
	  osgUtil/Statistics.cpp, osgUtil/TangentSpaceGenerator.cpp,
	  osgUtil/Tesselator.cpp, osgUtil/TransformAttributeFunctor.cpp,
	  osgUtil/TransformCallback.cpp, osgUtil/TriStripVisitor.cpp,
	  osgUtil/UpdateVisitor.cpp: Updated wrappers

2005-05-15 21:32  robert

	* include/: osgDB/DatabasePager, osgIntrospection/ReflectionMacros,
	  osgIntrospection/Reflector, osgIntrospection/TypedMethodInfo,
	  osgProducer/OsgCameraGroup, osgText/Font: From Marco Jez, fixes
	  to/and for osgIntrospection.

2005-05-15 21:31  robert

	* include/osg/Group: Moved computeBounds into public scope.

2005-05-15 06:47  robert

	* include/osg/Geode: From John Grant, added getDrawableList()
	  const.

2005-05-14 19:57  robert

	* include/osgTerrain/DataSet: From Marco Jez, added export symbols.

2005-05-14 15:31  robert

	* include/osgGA/UFOManipulator: From Marco Jez, change of Doxygen
	  docs name of class from UFOManipulator to osgGA::UFOManipulator,
	  done to avoid automated wrapper issues.

2005-05-13 22:39  robert

	* src/osgSim/Impostor.cpp: Yet another using namespace osg to try
	  and work out the spat betwen MipsPro and VS.6.0.

2005-05-13 22:38  robert

	* include/osg/: ArgumentParser, PolygonMode, Uniform: From Tom
	  Jolly, removing trailing comma for last entries in enums to fix
	  IRIX compile warnings.

2005-05-13 15:54  robert

	* VisualStudio/: applications/osgdem/osgdem.dsp,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  osgPlugins/freetype/freetype.dsp, osgPlugins/gif/gif.dsp,
	  osgPlugins/jpeg/jpeg.dsp, osgPlugins/png/png.dsp,
	  osgPlugins/tiff/tiff.dsp, osgTerrain/osgTerrain.dsp: From Mike
	  Weiblen, updated project files to link to new 3rdParty libs

2005-05-13 15:36  robert

	* src/osgWrappers/osgUtil/: Optimizer.cpp, TriStripVisitor.cpp:
	  Updated wrappers.

2005-05-13 14:29  robert

	* include/osgUtil/Optimizer, include/osgUtil/TriStripVisitor,
	  src/osgUtil/Optimizer.cpp: Moved BaseOptimizerVisitor out of
	  Optimizer into osgUtil namespace to try and get round MipsPro
	  compile problems.

2005-05-13 13:06  robert

	* src/osgPlugins/dxf/: dxfFile.h, dxfSection.h: Refinement of
	  includes to help IRIX build

2005-05-13 12:11  robert

	* include/osg/Math, include/osgSim/ImpostorSprite,
	  src/osgFX/MultiTextureControl.cpp, src/osgSim/ImpostorSprite.cpp,
	  src/osgText/Text.cpp: Cross platform build fixes.

2005-05-13 10:52  robert

	* src/osgPlugins/dxf/dxfEntity.h: Added #include "dxfBlock.h"

2005-05-13 10:05  robert

	* VisualStudio/osgPlugins/ive/ive.dsp: Added /Zm200

2005-05-13 09:54  robert

	* src/osgDB/ReadFile.cpp: Removed unused function.

2005-05-12 21:59  robert

	* include/osg/Shader: From Mike Weiblen, Added queries of
	  compilation state to Shader (for symmetry with Program's link
	  state queries)

2005-05-12 21:46  robert

	* src/osgPlugins/flt/flt2osg.cpp: fixed warning.

2005-05-12 21:35  robert

	* include/osg/State: From Jan Ciger, gcc 4.0 compile fix.

2005-05-12 21:06  robert

	* src/osgWrappers/: osg/Billboard.cpp, osg/BoundingSphere.cpp,
	  osg/ClipNode.cpp, osg/DrawPixels.cpp, osg/Drawable.cpp,
	  osg/Geode.cpp, osg/LOD.cpp, osg/LightSource.cpp, osg/Node.cpp,
	  osg/OccluderNode.cpp, osg/ProxyNode.cpp, osg/ShapeDrawable.cpp,
	  osg/Switch.cpp, osg/Transform.cpp, osgGA/UFOManipulator.cpp,
	  osgParticle/ParticleProcessor.cpp,
	  osgParticle/ParticleSystem.cpp,
	  osgParticle/ParticleSystemUpdater.cpp, osgSim/Impostor.cpp,
	  osgSim/ImpostorSprite.cpp, osgSim/LightPointNode.cpp,
	  osgText/Text.cpp: Updated wrappers.

2005-05-12 21:03  robert

	* src/osgPlugins/ive/MatrixTransform.cpp: Fixed pairing of write
	  and read of Matrixd

2005-05-12 20:14  robert

	* VisualStudio/examples/osgpbuffer/osgpbuffer.dsp: From Mike
	  Weiblen, osgpbuffer now needs to link w/ Producer (fixed .dsp
	  file attached)

2005-05-12 20:05  robert

	* src/osg/Uniform.cpp: Added missing Uniform(Matrixd) constructor
	  implementation

2005-05-12 16:51  robert

	* src/osgPlugins/flt/flt2osg.cpp: From Alberto Farre,

	  "ConvertFromFLT::addMultiTexture makes ENDIAN conversion for
	  SMultiTexture  struct attributes.   When an flt object is
	  multi-instantiated y should be done just first time,	 because
	  SMultiTexture struct is always the same, currently is being done
	  for	each instance.

	   Attached file fix the problem but perhaps a more clean fix would
	  be making
	   ENDIAN conversion at writing attributes time instead of at
	  reading time. "

2005-05-12 15:48  robert

	* include/osg/Drawable, include/osg/Node,
	  src/osgPlugins/ive/Drawable.cpp, src/osgPlugins/ive/Node.cpp,
	  src/osgPlugins/osg/Drawable.cpp, src/osgPlugins/osg/Node.cpp:
	  Added IO support for new intialBound and callbacks to .osg, and
	  initialBound to .ive

2005-05-12 15:03  robert

	* applications/osgconv/GeoSet.cpp, applications/osgconv/GeoSet.h,
	  examples/osgteapot/osgteapot.cpp, include/osg/Billboard,
	  include/osg/BoundingSphere, include/osg/ClipNode,
	  include/osg/DrawPixels, include/osg/Drawable, include/osg/Geode,
	  include/osg/Group, include/osg/LOD, include/osg/LightSource,
	  include/osg/Node, include/osg/OccluderNode,
	  include/osg/ProxyNode, include/osg/ShapeDrawable,
	  include/osg/Switch, include/osg/Transform,
	  include/osgParticle/ParticleProcessor,
	  include/osgParticle/ParticleSystem,
	  include/osgParticle/ParticleSystemUpdater,
	  include/osgSim/Impostor, include/osgSim/ImpostorSprite,
	  include/osgSim/LightPointNode, include/osgText/Text,
	  src/osg/Billboard.cpp, src/osg/ClipNode.cpp,
	  src/osg/DrawPixels.cpp, src/osg/Drawable.cpp, src/osg/Geode.cpp,
	  src/osg/Group.cpp, src/osg/LOD.cpp, src/osg/LightSource.cpp,
	  src/osg/Node.cpp, src/osg/OccluderNode.cpp,
	  src/osg/ProxyNode.cpp, src/osg/ShapeDrawable.cpp,
	  src/osg/Switch.cpp, src/osg/Transform.cpp,
	  src/osgParticle/ParticleProcessor.cpp,
	  src/osgParticle/ParticleSystem.cpp,
	  src/osgParticle/ParticleSystemUpdater.cpp,
	  src/osgPlugins/logo/ReaderWriterLOGO.cpp,
	  src/osgPlugins/txp/TXPNode.cpp, src/osgPlugins/txp/TXPNode.h,
	  src/osgSim/Impostor.cpp, src/osgSim/ImpostorSprite.cpp,
	  src/osgSim/LightPointDrawable.cpp,
	  src/osgSim/LightPointDrawable.h, src/osgSim/LightPointNode.cpp,
	  src/osgSim/SphereSegment.cpp, src/osgText/Text.cpp: Added new
	  Node/Drawable::s/getInitialBound and
	  Node/Drawable::s/getComputeBoundCallback methods and reimplement
	  computeBound so that it passes back a bounding volume rather than
	  modifying the local one.

2005-05-12 09:58  robert

	* src/osgParticle/ParticleEffect.cpp: Added setTextureFileName
	  method.

2005-05-12 09:54  robert

	* src/osg/: Program.cpp, Shader.cpp, State.cpp: Added clear of lazy
	  uniform updating structure on relink, also added debug output of
	  shader being compiled.

2005-05-12 08:47  robert

	* include/osg/: GL2Extensions, Uniform: Moved OpenGL2 definitions
	  from Uniform header to GL2Extensions

2005-05-11 22:36  robert

	* src/osgWrappers/osg/Shader.cpp: Updated wrappers.

2005-05-11 22:06  robert

	* include/osg/: GL2Extensions, Shader: Added missing required
	  includes

2005-05-11 21:37  robert

	* include/osg/: GL2Extensions, Shader: Compile fix.

2005-05-11 21:05  robert

	* src/osgWrappers/: osg/Program.cpp, osg/Shader.cpp,
	  osg/Uniform.cpp, osgParticle/ParticleEffect.cpp,
	  osgUtil/Optimizer.cpp: Updated wrappers

2005-05-11 20:59  robert

	* include/osg/: GL2Extensions, Program, Shader, Uniform: Moved
	  GL2Extensions back out of Program and into its own header file.

2005-05-11 20:34  robert

	* src/osgPlugins/txp/: ReaderWriterTXP.cpp, TXPArchive.h,
	  TXPNode.h: From Don Tidrow, "I added some code to assign the
	  archive pointer in TXPnode with the archive that ReaderWriterTXP
	  actually loads.  I also added a function in TXPArchive to help in
	  manipulating the lightpoints."

2005-05-11 20:32  robert

	* src/osg/: Program.cpp, Shader.cpp: Changed the info log so that
	  it output to INFO on success, to WARN when an error has occured.

2005-05-11 20:14  robert

	* Make/makedirdefs,
	  VisualStudio/examples/osgpbuffer/osgpbuffer.dsp,
	  examples/osgpbuffer/GNUmakefile,
	  examples/osgpbuffer/GNUmakefile.inst,
	  examples/osgpbuffer/RenderToTextureStage.cpp,
	  examples/osgpbuffer/RenderToTextureStage.h,
	  examples/osgpbuffer/osgpbuffer.cpp,
	  examples/osgpbuffer/pbuffer.cpp, examples/osgpbuffer/pbuffer.h:
	  From Nathan Monteleone, rewrote the osgpbuffer example so that it
	  uses	   Producer xplatform support for pbuffer instead of Win32
	  specific pathways	as support before. (with a few code tweaks
	  to simplfy the code, by Robert Osfield).

2005-05-11 17:05  robert

	* src/: osgParticle/ExplosionDebriEffect.cpp,
	  osgParticle/ExplosionEffect.cpp, osgParticle/FireEffect.cpp,
	  osgParticle/SmokeEffect.cpp,
	  osgPlugins/osgParticle/IO_ParticleEffect.cpp: Added .osg support
	  for new ParticleEffect::s/getDefaultParticleTemplate.

2005-05-11 16:26  robert

	* include/osgParticle/ParticleEffect,
	  src/osgParticle/ExplosionDebriEffect.cpp,
	  src/osgParticle/ExplosionEffect.cpp,
	  src/osgParticle/FireEffect.cpp,
	  src/osgParticle/ParticleEffect.cpp,
	  src/osgParticle/SmokeEffect.cpp: Added support for setting the
	  texture filename and more fine control over the particle template
	  used in ParticleEffects

2005-05-11 14:40  robert

	* src/osgPlugins/osg/Uniform.cpp: Fixed compile warning.

2005-05-11 14:37  robert

	* include/osg/Uniform, src/osg/Uniform.cpp,
	  src/osgPlugins/ive/DOFTransform.cpp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataInputStream.h,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.h,
	  src/osgPlugins/ive/MatrixTransform.cpp,
	  src/osgPlugins/ive/TexMat.cpp, src/osgPlugins/ive/Uniform.cpp:
	  Completed GLSL support in .ive

2005-05-11 12:42  robert

	* src/osgPlugins/ive/: DataInputStream.cpp, DataInputStream.h,
	  DataOutputStream.cpp, DataOutputStream.h, Program.cpp,
	  Shader.cpp, StateSet.cpp, Uniform.cpp: Further work on GLSL
	  support in .ive

2005-05-11 12:41  robert

	* include/osg/Program, src/osg/Program.cpp,
	  src/osgPlugins/osg/Program.cpp, src/osgUtil/SceneView.cpp:
	  Cleaned up API of BindAttributeLocation, added deletion of shader
	  objects.

2005-05-10 21:20  robert

	* src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataInputStream.h,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.h,
	  src/osgPlugins/ive/GNUmakefile, src/osgPlugins/ive/IveVersion.h,
	  src/osgPlugins/ive/Program.cpp, src/osgPlugins/ive/Program.h,
	  src/osgPlugins/ive/ReadWrite.h, src/osgPlugins/ive/Shader.cpp,
	  src/osgPlugins/ive/Shader.h, src/osgPlugins/ive/StateSet.cpp,
	  src/osgPlugins/ive/Uniform.cpp, src/osgPlugins/ive/Uniform.h,
	  VisualStudio/osgPlugins/ive/ive.dsp: Put in place the class to
	  implement GLSL support in .ive

2005-05-10 19:21  robert

	* src/osg/Program.cpp: Moved the infolog to the error handling
	  block and upping its notification level to WARN to provide better
	  feedback on failure with needing to use DEBUG notification level.

2005-05-10 17:13  robert

	* src/osgPlugins/obj/obj.cpp: Added tab to space converted to .obj
	  plugin

2005-05-10 14:56  robert

	* include/osg/State, src/osg/State.cpp: Added support for PROTECTED
	  and OVERRIDE to uniforms.

2005-05-10 11:01  robert

	* src/osgPlugins/ive/: IveVersion.h, Texture.cpp: From Farshid
	  Lashkari, bumped IVE version number to 9, and added support in
	  Texture for	  _borderWidth	   _useHardwareMipMapGeneration
	  _unrefImageDataAfterApply	_clientStorageHint
	  _resizeNonPowerOfTwoHint

2005-05-10 10:07  robert

	* Make/dolink.sh: Changed -ne to $LINK_ECHO_OPTION to fix cross
	  platform compile issues

2005-05-10 09:07  robert

	* src/osgPlugins/osg/Texture.cpp: From Farshid Lashkari, and non
	  power of two resize hint support to .osg ascii

2005-05-09 16:29  robert

	* include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp: Added code
	  to prevent ProxyNode's from been "flattened" by
	  osgUtil::Optimizer::FlattenStaticTransforms.

2005-05-09 14:09  robert

	* examples/osgforest/osgforest.cpp,
	  examples/osgparticleeffects/osgparticleeffects.cpp,
	  examples/osgshadowtexture/osgshadowtexture.cpp,
	  examples/osgshape/osgshape.cpp,
	  examples/osgspheresegment/osgspheresegment.cpp,
	  examples/osgspotlight/osgspotlight.cpp,
	  include/osg/AnimationPath, include/osg/Billboard,
	  include/osg/LightSource, include/osg/Shape, include/osg/StateSet,
	  include/osg/Texture2D, include/osg/Transform,
	  include/osgProducer/OsgCameraGroup, include/osgText/Font,
	  include/osgText/Text, include/osgUtil/RenderBin,
	  include/osgUtil/RenderStage, include/osgUtil/SceneView,
	  src/osgPlugins/osg/Shape.cpp, src/osgWrappers/osg/Shape.cpp,
	  src/osgWrappers/osg/Texture2D.cpp: Removed deprecated API in
	  preparation for 0.9.9 release.

2005-05-09 11:17  robert

	* Make/makedirdefs, src/osgWrappers/osgDB/Archive.cpp,
	  src/osgWrappers/osgDB/DatabasePager.cpp,
	  src/osgWrappers/osgDB/DotOsgWrapper.cpp,
	  src/osgWrappers/osgDB/DynamicLibrary.cpp,
	  src/osgWrappers/osgDB/Field.cpp,
	  src/osgWrappers/osgDB/FieldReader.cpp,
	  src/osgWrappers/osgDB/FieldReaderIterator.cpp,
	  src/osgWrappers/osgDB/FileUtils.cpp,
	  src/osgWrappers/osgDB/GNUmakefile,
	  src/osgWrappers/osgDB/ImageOptions.cpp,
	  src/osgWrappers/osgDB/Input.cpp,
	  src/osgWrappers/osgDB/Output.cpp,
	  src/osgWrappers/osgDB/ParameterOutput.cpp,
	  src/osgWrappers/osgDB/ReaderWriter.cpp,
	  src/osgWrappers/osgDB/ReentrantMutex.cpp,
	  src/osgWrappers/osgDB/Registry.cpp,
	  src/osgWrappers/osgDB/SharedStateManager.cpp,
	  src/osgWrappers/osgFX/AnisotropicLighting.cpp,
	  src/osgWrappers/osgFX/BumpMapping.cpp,
	  src/osgWrappers/osgFX/Cartoon.cpp,
	  src/osgWrappers/osgFX/Effect.cpp,
	  src/osgWrappers/osgFX/GNUmakefile,
	  src/osgWrappers/osgFX/MultiTextureControl.cpp,
	  src/osgWrappers/osgFX/Registry.cpp,
	  src/osgWrappers/osgFX/Scribe.cpp,
	  src/osgWrappers/osgFX/SpecularHighlights.cpp,
	  src/osgWrappers/osgFX/Technique.cpp,
	  src/osgWrappers/osgFX/Validator.cpp,
	  src/osgWrappers/osgGA/AnimationPathManipulator.cpp,
	  src/osgWrappers/osgGA/DriveManipulator.cpp,
	  src/osgWrappers/osgGA/EventVisitor.cpp,
	  src/osgWrappers/osgGA/FlightManipulator.cpp,
	  src/osgWrappers/osgGA/GNUmakefile,
	  src/osgWrappers/osgGA/GUIActionAdapter.cpp,
	  src/osgWrappers/osgGA/GUIEventAdapter.cpp,
	  src/osgWrappers/osgGA/GUIEventHandler.cpp,
	  src/osgWrappers/osgGA/GUIEventHandlerVisitor.cpp,
	  src/osgWrappers/osgGA/KeySwitchMatrixManipulator.cpp,
	  src/osgWrappers/osgGA/MatrixManipulator.cpp,
	  src/osgWrappers/osgGA/NodeTrackerManipulator.cpp,
	  src/osgWrappers/osgGA/SetSceneViewVisitor.cpp,
	  src/osgWrappers/osgGA/StateSetManipulator.cpp,
	  src/osgWrappers/osgGA/TerrainManipulator.cpp,
	  src/osgWrappers/osgGA/TrackballManipulator.cpp,
	  src/osgWrappers/osgGA/UFOManipulator.cpp,
	  src/osgWrappers/osgParticle/AccelOperator.cpp,
	  src/osgWrappers/osgParticle/AngularAccelOperator.cpp,
	  src/osgWrappers/osgParticle/CenteredPlacer.cpp,
	  src/osgWrappers/osgParticle/Counter.cpp,
	  src/osgWrappers/osgParticle/Emitter.cpp,
	  src/osgWrappers/osgParticle/ExplosionDebriEffect.cpp,
	  src/osgWrappers/osgParticle/ExplosionEffect.cpp,
	  src/osgWrappers/osgParticle/FireEffect.cpp,
	  src/osgWrappers/osgParticle/FluidFrictionOperator.cpp,
	  src/osgWrappers/osgParticle/FluidProgram.cpp,
	  src/osgWrappers/osgParticle/ForceOperator.cpp,
	  src/osgWrappers/osgParticle/GNUmakefile,
	  src/osgWrappers/osgParticle/Interpolator.cpp,
	  src/osgWrappers/osgParticle/LinearInterpolator.cpp,
	  src/osgWrappers/osgParticle/ModularEmitter.cpp,
	  src/osgWrappers/osgParticle/ModularProgram.cpp,
	  src/osgWrappers/osgParticle/MultiSegmentPlacer.cpp,
	  src/osgWrappers/osgParticle/Operator.cpp,
	  src/osgWrappers/osgParticle/Particle.cpp,
	  src/osgWrappers/osgParticle/ParticleEffect.cpp,
	  src/osgWrappers/osgParticle/ParticleProcessor.cpp,
	  src/osgWrappers/osgParticle/ParticleSystem.cpp,
	  src/osgWrappers/osgParticle/ParticleSystemUpdater.cpp,
	  src/osgWrappers/osgParticle/Placer.cpp,
	  src/osgWrappers/osgParticle/PointPlacer.cpp,
	  src/osgWrappers/osgParticle/Program.cpp,
	  src/osgWrappers/osgParticle/RadialShooter.cpp,
	  src/osgWrappers/osgParticle/RandomRateCounter.cpp,
	  src/osgWrappers/osgParticle/SectorPlacer.cpp,
	  src/osgWrappers/osgParticle/SegmentPlacer.cpp,
	  src/osgWrappers/osgParticle/Shooter.cpp,
	  src/osgWrappers/osgParticle/SmokeEffect.cpp,
	  src/osgWrappers/osgParticle/VariableRateCounter.cpp,
	  src/osgWrappers/osgParticle/range.cpp,
	  src/osgWrappers/osgProducer/EventAdapter.cpp,
	  src/osgWrappers/osgProducer/GNUmakefile,
	  src/osgWrappers/osgProducer/KeyboardMouseCallback.cpp,
	  src/osgWrappers/osgProducer/OsgCameraGroup.cpp,
	  src/osgWrappers/osgProducer/OsgSceneHandler.cpp,
	  src/osgWrappers/osgProducer/Viewer.cpp,
	  src/osgWrappers/osgProducer/ViewerEventHandler.cpp,
	  src/osgWrappers/osgSim/BlinkSequence.cpp,
	  src/osgWrappers/osgSim/ColorRange.cpp,
	  src/osgWrappers/osgSim/DOFTransform.cpp,
	  src/osgWrappers/osgSim/GNUmakefile,
	  src/osgWrappers/osgSim/GeographicLocation.cpp,
	  src/osgWrappers/osgSim/Impostor.cpp,
	  src/osgWrappers/osgSim/ImpostorSprite.cpp,
	  src/osgWrappers/osgSim/InsertImpostorsVisitor.cpp,
	  src/osgWrappers/osgSim/LightPoint.cpp,
	  src/osgWrappers/osgSim/LightPointNode.cpp,
	  src/osgWrappers/osgSim/LightPointSystem.cpp,
	  src/osgWrappers/osgSim/MultiSwitch.cpp,
	  src/osgWrappers/osgSim/ScalarBar.cpp,
	  src/osgWrappers/osgSim/ScalarsToColors.cpp,
	  src/osgWrappers/osgSim/Sector.cpp,
	  src/osgWrappers/osgSim/SphereSegment.cpp,
	  src/osgWrappers/osgSim/VisibilityGroup.cpp,
	  src/osgWrappers/osgTerrain/DataSet.cpp,
	  src/osgWrappers/osgTerrain/GNUmakefile,
	  src/osgWrappers/osgTerrain/HeightFieldNode.cpp,
	  src/osgWrappers/osgTerrain/HeightFieldRenderer.cpp,
	  src/osgWrappers/osgText/Export.cpp,
	  src/osgWrappers/osgText/Font.cpp,
	  src/osgWrappers/osgText/GNUmakefile,
	  src/osgWrappers/osgText/String.cpp,
	  src/osgWrappers/osgText/Text.cpp,
	  src/osgWrappers/osgUtil/CubeMapGenerator.cpp,
	  src/osgWrappers/osgUtil/CullVisitor.cpp,
	  src/osgWrappers/osgUtil/DelaunayTriangulator.cpp,
	  src/osgWrappers/osgUtil/DisplayRequirementsVisitor.cpp,
	  src/osgWrappers/osgUtil/GLObjectsVisitor.cpp,
	  src/osgWrappers/osgUtil/GNUmakefile,
	  src/osgWrappers/osgUtil/HalfWayMapGenerator.cpp,
	  src/osgWrappers/osgUtil/HighlightMapGenerator.cpp,
	  src/osgWrappers/osgUtil/IntersectVisitor.cpp,
	  src/osgWrappers/osgUtil/Optimizer.cpp,
	  src/osgWrappers/osgUtil/ReflectionMapGenerator.cpp,
	  src/osgWrappers/osgUtil/RenderBin.cpp,
	  src/osgWrappers/osgUtil/RenderGraph.cpp,
	  src/osgWrappers/osgUtil/RenderLeaf.cpp,
	  src/osgWrappers/osgUtil/RenderStage.cpp,
	  src/osgWrappers/osgUtil/RenderStageLighting.cpp,
	  src/osgWrappers/osgUtil/RenderToTextureStage.cpp,
	  src/osgWrappers/osgUtil/SceneView.cpp,
	  src/osgWrappers/osgUtil/Simplifier.cpp,
	  src/osgWrappers/osgUtil/SmoothingVisitor.cpp,
	  src/osgWrappers/osgUtil/Statistics.cpp,
	  src/osgWrappers/osgUtil/TangentSpaceGenerator.cpp,
	  src/osgWrappers/osgUtil/Tesselator.cpp,
	  src/osgWrappers/osgUtil/TransformAttributeFunctor.cpp,
	  src/osgWrappers/osgUtil/TransformCallback.cpp,
	  src/osgWrappers/osgUtil/TriStripVisitor.cpp,
	  src/osgWrappers/osgUtil/UpdateVisitor.cpp: Added osgUtil, osgDB,
	  osgFX, osgParticle, osgSim, osgTerrain, osgGA       and
	  osgProducer to osgWrappers directory.

	  Enabled the build of osgWrappers/osg, osgWrappers/osgPartile and
	  osgWrappers/osgSim, but not osgUtil, osgDB, osgFX, osgTerrain,
	  osgGA and osgProducer due to compile errors.	I am assuming that
	  these compilers are fixable so I'm checked all the source code so
	  that members of the community can help fix them.

2005-05-08 20:21  robert

	* src/: osgGA/DriveManipulator.cpp, osgGA/FlightManipulator.cpp,
	  osgUtil/SceneView.cpp: Removed debug info

2005-05-08 19:37  robert

	* src/osgWrappers/osg/: Geode.cpp, Group.cpp, Node.cpp, Object.cpp,
	  Program.cpp, StateSet.cpp, Texture.cpp, Uniform.cpp: Updated
	  osgWrappers.

2005-05-08 16:24  robert

	* src/osg/DisplaySettings.cpp: Added missing copy of _stereo

2005-05-07 21:47  robert

	* runexamples.bat, applications/osgviewer/osgviewer.cpp,
	  examples/osghangglide/osghangglide.cpp,
	  examples/osgwindows/osgwindows.cpp, include/osg/Drawable,
	  include/osg/Geode, include/osg/Group, include/osg/Node,
	  include/osg/Object, include/osgDB/Registry,
	  include/osgProducer/OsgCameraGroup,
	  include/osgProducer/OsgSceneHandler, include/osgText/Font,
	  include/osgText/Text, src/osg/Drawable.cpp, src/osg/Geode.cpp,
	  src/osg/Group.cpp, src/osg/Node.cpp, src/osgDB/Registry.cpp,
	  src/osgProducer/OsgCameraGroup.cpp,
	  src/osgProducer/OsgSceneHandler.cpp, src/osgText/Text.cpp,
	  src/osgUtil/SceneView.cpp: Added more comprehensive
	  releaseGLObjects(State*=0) throughout Nodes, Drawables,StateSet,
	  and osgDB::Registry.

	  Added cleanup_frame() from to osgProducer::OsgCamerGroup to help
	  with proper clean of OpenGL objects before exit, and modified
	  osgviewer, osghangglider, osgwindows examples to do the extra
	  frame call to cleanup_frame() before exit.

2005-05-07 10:17  robert

	* include/osgText/Font, src/osgText/Font.cpp: From Tim
	  Daoust/Robert Osfield, added
	  Font::releaseGLobjects(State*state=0) to facilate clean up of
	  scene when a graphics context is deleted/reused.

2005-05-06 20:44  robert

	* src/osgProducer/OsgCameraGroup.cpp: Added handling of sharing of
	  graphics context data which is now supported by Producer.  You
	  can get the osgProducer::Viewer to share graphics contexts by
	  using the env var OSG_SHARE_GRAPHICS_CONTEXTS set to ON or OFF
	  i.e.

	     setenv OSG_SHARE_GRAPHICS_CONTEXTS ON

2005-05-06 18:43  robert

	* Make/makedefs: Added X11 include and lib paths to find freetype
	  under OSX.

2005-05-06 15:28  robert

	* src/osgProducer/Viewer.cpp: Made OSX default to using single
	  threaded keyboard mouse.

2005-05-06 15:07  robert

	* Make/makedefs: Made USE_AGL=yes the default under OSX.

2005-05-06 11:32  robert

	* include/osgUtil/SceneView, src/osgUtil/SceneView.cpp: Added
	  osg_DeltaFrameTime uniform to default set.

2005-05-06 10:58  robert

	* include/osg/Program, include/osg/Uniform, src/osg/Program.cpp,
	  src/osg/State.cpp, src/osg/StateSet.cpp, src/osg/Uniform.cpp:
	  From Mike Weiblen, further work on GLSL support

2005-05-06 10:04  robert

	* include/osg/Texture, src/osg/Texture.cpp, src/osg/Texture1D.cpp,
	  src/osg/Texture3D.cpp, src/osg/TextureCubeMap.cpp: From Farshid
	  Lashkari, support for non power of two extension.

2005-05-05 22:21  robert

	* src/osgDB/DynamicLibrary.cpp: Fix for OSX build across both Tiger
	  and 10.3.x

2005-05-05 21:05  robert

	* src/osgDB/Registry.cpp: Removed rgb alias for Quicktime mapping
	  since the Quicktime is not reliable at loading all rgb files that
	  the standard OSG rgb reader can read.

2005-05-05 20:46  robert

	* applications/osgconv/: GNUmakefile, GeoSet.cpp, GeoSet.h: Changed
	  check() method name to checkConsistency() to avoid perculiar OSX
	  Tiger build error.

2005-05-05 15:03  robert

	* src/osgProducer/OsgCameraGroup.cpp: Removed the defaulting to
	  setting the camera threading model to MultiThreaded, instead
	  leave it to Producer's defaults.

2005-05-05 13:30  robert

	* include/osg/StateSet, include/osg/Uniform,
	  include/osgUtil/SceneView, src/osg/StateSet.cpp,
	  src/osg/Uniform.cpp, src/osgUtil/SceneView.cpp: Added support for
	  osg_FrameNumber, osg_FrameTime, osg_ViewMatrix,
	  osg_InverseViewMatrix into SceneView, controlled via a
	  setActiveUniforms(.) method.

2005-05-05 10:18  robert

	* include/osg/Texture, src/osg/Texture.cpp: From Farshid Lashkari,
	  added Texture::Extension support for non power of two extension.

2005-05-04 12:38  robert

	* include/osg/GLU, src/osgPlugins/dw/ReaderWriterDW.cpp,
	  src/osgPlugins/lwo/Tessellator.cpp, src/osgUtil/Tesselator.cpp:
	  Fix for Tiger build

2005-05-04 10:11  robert

	* src/osgUtil/Optimizer.cpp: Fixed bug where the
	  Optimizer::StateVisitor was trying to optimize non existant
	  StateSet's.

2005-05-03 23:02  robert

	* src/osgWrappers/osg/: Program.cpp, Uniform.cpp: Updated wrappers

2005-05-03 22:53  robert

	* src/osgPlugins/flt/FltFile.cpp: From Alberto Farre, "Missed a
	  FilepathList pop_back line from my last submission.

	  I have also commented out the option string set with FLT_VER
	  because it overwrites other option string and I found it
	  redundant and not needed."

2005-05-03 22:49  robert

	* src/osgProducer/Viewer.cpp: Removed the default compile of single
	  threaded KeyboardMouse

2005-05-03 22:46  robert

	* include/osg/Program, include/osg/State, include/osg/Uniform,
	  src/osg/State.cpp, src/osg/Uniform.cpp: Added support for lazy
	  state updating of uniforms.

2005-05-03 17:34  robert

	* examples/osgcluster/receiver.cpp: From Bob Kuehne, OSX 10.4 fix.

2005-05-03 15:31  robert

	* src/: osgDB/DynamicLibrary.cpp, osgPlugins/flt/flt2osg.cpp,
	  osgPlugins/net/sockinet.cpp, osgPlugins/net/sockstream.cpp,
	  osgPlugins/osga/OSGA_Archive.h,
	  osgPlugins/quicktime/QTtexture.cpp, osgPlugins/txp/TXPParser.cpp:
	  From Bob Kuehne, fixes for OSX 10.4 build.

2005-05-03 11:09  robert

	* src/osgWrappers/osg/: Drawable.cpp, NodeVisitor.cpp, Program.cpp,
	  Shader.cpp: Updated wrappers

2005-05-03 07:23  robert

	* src/osgPlugins/osg/Impostor.cpp: Removed Impostor.cpp

2005-05-02 21:00  robert

	* src/osgPlugins/tiff/ReaderWriterTIFF.cpp: Fixed TIFF readers
	  handling of interleaved data

2005-05-02 20:42  robert

	* src/osgTerrain/DataSet.cpp: Improvements to the repojection code
	  so that it can generate RGBA reprojected data.

2005-05-02 15:16  robert

	* applications/osgdem/osgdem.cpp, include/osgTerrain/DataSet,
	  src/osgTerrain/DataSet.cpp: Added support for generating RGBA,
	  RGBA-16 and RGBA-compressed texture databases

2005-05-02 14:00  robert

	* include/osgTerrain/DataSet, src/osgTerrain/DataSet.cpp: Added
	  support for reading from RGBA source textures

2005-05-02 11:18  robert

	* include/osg/Uniform, src/osg/Uniform.cpp,
	  src/osgUtil/Optimizer.cpp: Added support for optimization of
	  Uniforms

2005-05-02 10:57  robert

	* include/osg/Drawable, src/osg/Geode.cpp: Improved the handling of
	  update/event callbacks on Drawable and Geodes

2005-05-02 10:34  robert

	* examples/osgshaders/: GL2Scene.cpp, Noise.cpp, osgshaders.cpp:
	  From Mike Weiblen, added \n newlines to inline shader program
	  strings.  From Robert Osfield, changed tabs to spaces.

2005-05-01 22:33  robert

	* src/osgPlugins/osgSim/IO_Impostor.cpp: Moved Impostor from osg to
	  osgSim .osg plugin

2005-05-01 21:56  robert

	* src/osgProducer/Viewer.cpp: Added include<osg/AlphaFunc> for OSX
	  build

2005-05-01 20:48  robert

	* VisualStudio/VisualStudio.dsw,
	  VisualStudio/examples/osgfxbrowser/osgfxbrowser.dsp,
	  VisualStudio/osg/osg.dsp,
	  VisualStudio/osgPlugins/osg/dot_osg.dsp,
	  VisualStudio/osgPlugins/osgSim/dot_osgSim.dsp,
	  VisualStudio/osgSim/osgSim.dsp, VisualStudio/osgUtil/osgUtil.dsp,
	  VisualStudio/osgWrappers/osg/wrapper_osg.dsp,
	  examples/osgimpostor/GNUmakefile,
	  examples/osgimpostor/GNUmakefile.inst,
	  examples/osgimpostor/osgimpostor.cpp,
	  examples/osgvertexprogram/osgvertexprogram.cpp,
	  examples/osgvolume/osgvolume.cpp, include/osg/Impostor,
	  include/osg/ImpostorSprite, include/osg/NodeVisitor,
	  include/osgGA/EventVisitor, include/osgSim/Impostor,
	  include/osgSim/ImpostorSprite,
	  include/osgSim/InsertImpostorsVisitor,
	  include/osgUtil/CullVisitor,
	  include/osgUtil/DisplayRequirementsVisitor,
	  include/osgUtil/InsertImpostorsVisitor,
	  include/osgUtil/UpdateVisitor, src/osg/GNUmakefile,
	  src/osg/Impostor.cpp, src/osg/ImpostorSprite.cpp,
	  src/osgPlugins/ive/DataInputStream.cpp,
	  src/osgPlugins/ive/DataOutputStream.cpp,
	  src/osgPlugins/ive/Impostor.h,
	  src/osgPlugins/lib3ds/ReaderWriter3DS.cpp,
	  src/osgPlugins/osg/GNUmakefile,
	  src/osgPlugins/osgSim/GNUmakefile, src/osgSim/GNUmakefile,
	  src/osgSim/Impostor.cpp, src/osgSim/ImpostorSprite.cpp,
	  src/osgSim/InsertImpostorsVisitor.cpp,
	  src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/DisplayRequirementsVisitor.cpp,
	  src/osgUtil/GNUmakefile, src/osgUtil/InsertImpostorsVisitor.cpp,
	  src/osgUtil/Optimizer.cpp, src/osgUtil/RenderBin.cpp,
	  src/osgWrappers/osg/GNUmakefile,
	  src/osgWrappers/osg/Impostor.cpp,
	  src/osgWrappers/osg/ImpostorSprite.cpp: Moved osg::Impostor to
	  osgSim::Impostor, as Impostor isn't a core feature.

2005-05-01 11:34  robert

	* src/osgPlugins/txp/: TXPArchive.cpp, TXPArchive.h, TXPParser.cpp,
	  TXPParser.h: From Don Tidrow, spelling fixes

2005-04-30 16:16  robert

	* include/osg/NodeVisitor, include/osg/ProxyNode,
	  include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp: Added
	  RemoveLoadedProxyNodes pass to Optimizer, set on by default at
	  present.

2005-04-30 14:54  robert

	* examples/osgtesselate/osgtesselate.cpp,
	  src/osgPlugins/ac3d/ac3d.cpp, src/osgUtil/Tesselator.cpp: From
	  Geoff Michel :

	    ac3d loader - better sharing of states between objects and
	  Roger James' bug fix for missing normals.

	    Tesselator.cpp - faster processing of polygon tesselation for
	  single triangles (which dont need to be tesselated)

	    osgtesselate.cpp - added wrap for texture so that appearance is
	  as originally. Default texture behaviour has changed to clamp."

2005-04-30 08:25  robert

	* src/osgUtil/Optimizer.cpp: Combine LOD fixed properly this time
	  :)

2005-04-30 08:22  robert

	* src/osgUtil/Optimizer.cpp: fixed combined LOD bug

2005-04-30 08:02  robert

	* include/osg/Program, include/osg/Shader, src/osg/Program.cpp,
	  src/osg/Shader.cpp: From Mike Weiblen, Progra/Shader fixes

2005-04-29 21:57  robert

	* src/osgWrappers/osg/State.cpp: Updated wrappers

2005-04-29 21:56  robert

	* include/osg/State, src/osg/State.cpp, src/osgUtil/SceneView.cpp:
	  Added support for controlling the frequency of checking for
	  OpenGL errors via:

		  enum CheckForGLErrors
		  {
		      /** NEVER_CHECK_GL_ERRORS hints that OpenGL need not
	  be checked for, this
			  is the fastest option since checking for errors
	  does incurr a small overhead.*/
		      NEVER_CHECK_GL_ERRORS,
		      /** ONCE_PER_FRAME means that OpenGl errors will be
	  checked for once per
			  frame, the overhead is still small, but at least
	  OpenGL errors that are occurring
			  will be caught, the reporting isn't fine grained
	  enough for debugging purposes.*/
		      ONCE_PER_FRAME,
		      /** ONCE_PER_ATTRIBUTE means that OpenGL errors will
	  be checked for after
			  every attribute is applied, allow errors to be
	  directly associated with
			  particular operations which makes debugging much
	  easier.*/
		      ONCE_PER_ATTRIBUTE
		  };

		  /** Set whether and how often OpenGL errors should be
	  checked for.*/
		  void setCheckForGLErrors(CheckForGLErrors check) {
	  _checkGLErrors = check; }

		  /** Get whether and how often OpenGL errors should be
	  checked for.*/
		  CheckForGLErrors getCheckForGLErrors() const { return
	  _checkGLErrors; }

2005-04-29 19:51  robert

	* VisualStudio/examples/osgfxbrowser/osgfxbrowser.dsp: VS.7.1
	  linker warning fix

2005-04-29 14:30  robert

	* src/osg/StateSet.cpp: Commented out notify messages to prevent
	  crash under OSX at start up.

2005-04-29 12:22  robert

	* include/osgIntrospection/: Reflector, Type: Compile fix

2005-04-29 12:19  robert

	* include/osgIntrospection/Attributes,
	  include/osgIntrospection/Comparator,
	  include/osgIntrospection/ConstructorInfo,
	  include/osgIntrospection/Converter,
	  include/osgIntrospection/ConverterProxy,
	  include/osgIntrospection/CustomAttributeProvider,
	  include/osgIntrospection/Exceptions,
	  include/osgIntrospection/InstanceCreator,
	  include/osgIntrospection/MethodInfo,
	  include/osgIntrospection/ParameterInfo,
	  include/osgIntrospection/PropertyInfo,
	  include/osgIntrospection/ReaderWriter,
	  include/osgIntrospection/Reflection,
	  include/osgIntrospection/ReflectionMacros,
	  include/osgIntrospection/Reflector,
	  include/osgIntrospection/StaticMethodInfo,
	  include/osgIntrospection/Type,
	  include/osgIntrospection/TypeNameAliasProxy,
	  include/osgIntrospection/TypedConstructorInfo,
	  include/osgIntrospection/TypedMethodInfo,
	  include/osgIntrospection/Utility, include/osgIntrospection/Value,
	  include/osgIntrospection/variant_cast,
	  src/osgIntrospection/ConstructorInfo.cpp,
	  src/osgIntrospection/CustomAttributeProvider.cpp,
	  src/osgIntrospection/MethodInfo.cpp,
	  src/osgIntrospection/PropertyInfo.cpp,
	  src/osgIntrospection/Reflection.cpp,
	  src/osgIntrospection/Type.cpp, src/osgIntrospection/Utility.cpp,
	  src/osgIntrospection/Value.cpp: Moved osgIntrospection across to
	  standard OSG coding style.

2005-04-29 11:06  robert

	* include/osgIntrospection/Attributes,
	  include/osgIntrospection/Comparator,
	  include/osgIntrospection/ConstructorInfo,
	  include/osgIntrospection/Converter,
	  include/osgIntrospection/ConverterProxy,
	  include/osgIntrospection/CustomAttribute,
	  include/osgIntrospection/CustomAttributeProvider,
	  include/osgIntrospection/Exceptions,
	  include/osgIntrospection/Export,
	  include/osgIntrospection/InstanceCreator,
	  include/osgIntrospection/MethodInfo,
	  include/osgIntrospection/ParameterInfo,
	  include/osgIntrospection/PropertyInfo,
	  include/osgIntrospection/ReaderWriter,
	  include/osgIntrospection/Reflection,
	  include/osgIntrospection/ReflectionMacros,
	  include/osgIntrospection/Reflector,
	  include/osgIntrospection/StaticMethodInfo,
	  include/osgIntrospection/Type,
	  include/osgIntrospection/TypeNameAliasProxy,
	  include/osgIntrospection/TypedConstructorInfo,
	  include/osgIntrospection/TypedMethodInfo,
	  include/osgIntrospection/Utility, include/osgIntrospection/Value,
	  include/osgIntrospection/variant_cast,
	  src/osgIntrospection/ConstructorInfo.cpp,
	  src/osgIntrospection/CustomAttributeProvider.cpp,
	  src/osgIntrospection/DefaultReflectors.cpp,
	  src/osgIntrospection/MethodInfo.cpp,
	  src/osgIntrospection/PropertyInfo.cpp,
	  src/osgIntrospection/Type.cpp, src/osgIntrospection/Utility.cpp,
	  src/osgIntrospection/Value.cpp: Added Copyright

2005-04-29 10:47  robert

	* examples/osgparticleeffects/osgparticleeffects.cpp,
	  include/osgParticle/AccelOperator,
	  include/osgParticle/AngularAccelOperator,
	  include/osgParticle/CenteredPlacer, include/osgParticle/Counter,
	  include/osgParticle/Emitter, include/osgParticle/FireEffect,
	  include/osgParticle/FluidFrictionOperator,
	  include/osgParticle/FluidProgram,
	  include/osgParticle/ForceOperator,
	  include/osgParticle/Interpolator,
	  include/osgParticle/LinearInterpolator,
	  include/osgParticle/ModularEmitter,
	  include/osgParticle/ModularProgram,
	  include/osgParticle/MultiSegmentPlacer,
	  include/osgParticle/Operator, include/osgParticle/Particle,
	  include/osgParticle/ParticleEffect,
	  include/osgParticle/ParticleProcessor,
	  include/osgParticle/ParticleSystem,
	  include/osgParticle/ParticleSystemUpdater,
	  include/osgParticle/Placer, include/osgParticle/PointPlacer,
	  include/osgParticle/Program, include/osgParticle/RadialShooter,
	  include/osgParticle/RandomRateCounter,
	  include/osgParticle/SectorPlacer,
	  include/osgParticle/SegmentPlacer, include/osgParticle/Shooter,
	  include/osgParticle/SmokeEffect,
	  include/osgParticle/VariableRateCounter,
	  include/osgParticle/Version, include/osgParticle/range,
	  src/osgParticle/Emitter.cpp,
	  src/osgParticle/FluidFrictionOperator.cpp,
	  src/osgParticle/FluidProgram.cpp,
	  src/osgParticle/ModularEmitter.cpp,
	  src/osgParticle/ModularProgram.cpp,
	  src/osgParticle/MultiSegmentPlacer.cpp,
	  src/osgParticle/Particle.cpp,
	  src/osgParticle/ParticleProcessor.cpp,
	  src/osgParticle/ParticleSystem.cpp,
	  src/osgParticle/ParticleSystemUpdater.cpp,
	  src/osgParticle/Program.cpp: Moved osgParticle across to standard
	  OSG coding style.

2005-04-29 07:32  robert

	* include/osgFX/Technique: Coding style update

2005-04-29 07:32  robert

	* examples/osgfxbrowser/osgfxbrowser.cpp,
	  include/osgFX/AnisotropicLighting, include/osgFX/BumpMapping,
	  include/osgFX/Cartoon, include/osgFX/Effect,
	  include/osgFX/Registry, include/osgFX/Scribe,
	  include/osgFX/SpecularHighlights, include/osgFX/Technique,
	  include/osgFX/Validator, src/osgFX/AnisotropicLighting.cpp,
	  src/osgFX/BumpMapping.cpp, src/osgFX/Cartoon.cpp,
	  src/osgFX/Effect.cpp, src/osgFX/Registry.cpp,
	  src/osgFX/Scribe.cpp, src/osgFX/SpecularHighlights.cpp,
	  src/osgFX/Technique.cpp, src/osgFX/Validator.cpp: Moved to
	  standard OSG coding style.

2005-04-28 20:50  robert

	* src/osgText/Font.cpp: Reduced the verboseness of the notifaction
	  messages

2005-04-28 20:41  robert

	* Make/makedefs: Fixed the Mingw settings for GDAL_LIBS (was
	  written as GDAL_LIB which wasn't being picked up as the
	  GNUmakefiles were looking for GDAL_LIBS).

2005-04-28 20:24  robert

	* src/osgText/Font.cpp: Changed the default texture size to 512x512
	  to reduce the number of textures required when rendering text.

2005-04-28 20:08  robert

	* src/: osgPlugins/freetype/FreeTypeFont.cpp,
	  osgText/DefaultFont.cpp: Removed old LUMINANCE_ALPHA code
	  pathways since they are no longer used.

2005-04-28 19:55  robert

	* src/osgPlugins/freetype/: FreeTypeFont.cpp, FreeTypeFont.h,
	  FreeTypeLibrary.cpp, FreeTypeLibrary.h, ReaderWriterFreeType.cpp:
	  Added proper handling of freeing of font implememtation either
	  when unloading the freetype plugin or deleting osgText::Font
	  first.

2005-04-28 13:45  robert

	* include/osg/Version: Added version number #define's

2005-04-28 06:58  robert

	* src/osgText/Text.cpp: Added check to see if autoTransformCache
	  had been initialized before using it in the computeBound.

2005-04-28 06:21  robert

	* src/osgUtil/SceneView.cpp: From Farshid Lashkari, removed
	  redundent fusion distance calculations from
	  computeRightEyeProjectionImplementation and
	  computeLeftEyeProjectionImplementation methods.

2005-04-28 06:15  robert

	* Make/dependencies: From Marco Jez, changed = to ?= in
	  COMPILE_INTROSPECTION line

2005-04-28 06:12  robert

	* examples/osgtesselate/GNUmakefile: From Marco Jez, converted line
	  endings to unix.

2005-04-28 06:07  robert

	* Make/dolink.sh: From Marco Jez, added -ne option echo usage to
	  fix stdout/stderr redirection error under Mingw.

2005-04-26 21:35  robert

	* src/osgPlugins/xine/video_out_rgb.c: From Ruben, fix for PIV
	  executation by disabling MMXEXT selection.

2005-04-26 20:34  robert

	* include/osgParticle/: Emitter, ModularEmitter: From Brede
	  Johansen, tweaks to emitter classes to make them more extensible.

2005-04-26 19:55  robert

	* src/osgWrappers/osg/GNUmakefile: Added $(GL_LIBS) to link line to
	  get things linking ok under OSX.

2005-04-26 15:29  robert

	* src/osgWrappers/osg/: BlendColor.cpp, BlendEquation.cpp,
	  BufferObject.cpp, Drawable.cpp, FragmentProgram.cpp,
	  Multisample.cpp, Point.cpp, Program.cpp, Texture.cpp,
	  Texture3D.cpp, TextureCubeMap.cpp, VertexProgram.cpp: Updated
	  wrappers.

2005-04-26 14:15  robert

	* runexamples.bat, include/osg/BlendColor,
	  include/osg/BlendEquation, include/osg/BufferObject,
	  include/osg/Drawable, include/osg/FragmentProgram,
	  include/osg/GLExtensions, include/osg/Multisample,
	  include/osg/Point, include/osg/Program, include/osg/Texture,
	  include/osg/Texture3D, include/osg/TextureCubeMap,
	  include/osg/VertexProgram, src/osg/BlendColor.cpp,
	  src/osg/BlendEquation.cpp, src/osg/BufferObject.cpp,
	  src/osg/ColorMatrix.cpp, src/osg/Drawable.cpp, src/osg/Fog.cpp,
	  src/osg/FragmentProgram.cpp, src/osg/GLExtensions.cpp,
	  src/osg/Multisample.cpp, src/osg/Point.cpp, src/osg/Program.cpp,
	  src/osg/State.cpp, src/osg/TexEnv.cpp, src/osg/TexEnvCombine.cpp,
	  src/osg/TexEnvFilter.cpp, src/osg/Texture.cpp,
	  src/osg/Texture3D.cpp, src/osg/TextureCubeMap.cpp,
	  src/osg/TextureRectangle.cpp, src/osg/VertexProgram.cpp,
	  src/osgFX/Technique.cpp: Added support for per context extension
	  string.

	  Note, this required adding a unsigned int context ID to the
	  osg::isGLUExtensionSupported(,) and
	  osg::isGLExtensionSupported(,) functions.  This may require
	  reimplementation of end user code to accomodate the new calling
	  convention.

2005-04-26 12:20  robert

	* src/osg/: StateSet.cpp, Uniform.cpp: Added #include <algorithm>
	  for VS.NET build

2005-04-26 10:58  robert

	* include/osg/Drawable, src/osg/Drawable.cpp, src/osg/StateSet.cpp:
	  Added support notification of Drawable parents of StateSet that
	  event/update callbacks have been called.

2005-04-26 08:49  robert

	* src/osgText/Text.cpp: From Vivek Rajan, "osg::Text was getting
	  stretched when the CharacterSizeMode was set to SCREEN_COORDS and
	  the SceneView's projection matrix was set to an Ortho2D matrix
	  (sceneView->setProjectionMatrixAsOrtho2D(-1,1,-1,1)).

	  Computing the pixel size separately vertically and horizontally,
	  and setting the scaling factors appropriately based on that fixed
	  the problem."

2005-04-25 21:46  robert

	* src/osgWrappers/osg/: Array.cpp, CopyOp.cpp, Drawable.cpp,
	  Image.cpp, Node.cpp, Plane.cpp, Point.cpp, Quat.cpp, Shader.cpp,
	  StateAttribute.cpp, StateSet.cpp, Uniform.cpp, Vec2d.cpp,
	  Vec2f.cpp, Vec3d.cpp, Vec3f.cpp, Vec4d.cpp, Vec4f.cpp: Updated
	  wrappers using Marco Jez's genwrapper utility.

2005-04-25 21:34  robert

	* src/osgProducer/Viewer.cpp: From Mike Weiblen, added support for
	  --clear-color r,g,b,a and --clear-color r,g,b to
	  osgProducer::Viewer.

2005-04-25 15:28  robert

	* src/osg/StateAttribute.cpp: Reduced the verbosness of debugging
	  messages

2005-04-25 14:37  robert

	* examples/osgshaders/GL2Scene.cpp, include/osg/Node,
	  include/osg/Shader, include/osg/StateAttribute,
	  include/osg/StateSet, include/osg/Uniform, src/osg/Drawable.cpp,
	  src/osg/Geode.cpp, src/osg/Node.cpp, src/osg/Shader.cpp,
	  src/osg/StateAttribute.cpp, src/osg/StateSet.cpp,
	  src/osg/Uniform.cpp: Futher work on supporting update and event
	  callbacks in StateSet, Uniform and StateAttribute

2005-04-25 14:27  robert

	* src/osgProducer/Viewer.cpp: Added SINGLE_THREADED_KEYBOARDMOUSE
	  pathway as a means of testing exit issues.

2005-04-25 12:05  robert

	* include/osg/StateAttribute, include/osg/StateSet,
	  include/osg/Uniform, include/osgGA/EventVisitor,
	  include/osgUtil/UpdateVisitor, src/osg/Drawable.cpp,
	  src/osg/Node.cpp, src/osg/StateSet.cpp: Futher work on adding
	  event and update callbacks to StateSet, Uniform and
	  StateAttributes

2005-04-24 22:04  robert

	* include/osg/Drawable, include/osg/Node,
	  include/osg/StateAttribute, include/osg/StateSet,
	  include/osg/Uniform, src/osg/Drawable.cpp, src/osg/GNUmakefile,
	  src/osg/Node.cpp, VisualStudio/osg/osg.dsp,
	  src/osg/StateAttribute.cpp, src/osg/StateSet.cpp,
	  src/osg/Uniform.cpp: Added ParentList's into StateSet, Uniform
	  and StateAttribute in preparation for providing update and event
	  handling.

2005-04-24 20:30  robert

	* src/osgDB/DatabasePager.cpp: Added THREAD_ infront of
	  PRIORITY_MIN settings to reflect changes to OpentThreads

2005-04-23 17:09  robert

	* include/osgUtil/Optimizer, src/osgUtil/Optimizer.cpp: Added
	  MergeGeometryVisitor::setTargetMaximumNumberOfVertices(uint);

2005-04-23 11:45  robert

	* examples/osgmovie/osgmovie.cpp: Removed the use of the post swap
	  callback

2005-04-23 11:41  robert

	* include/osg/Uniform, src/osg/StateSet.cpp: Added missing bodes of
	  Uniform::operator =  and setEvent/UpdateCallback in StateSet.

2005-04-23 11:31  robert

	* src/osgDB/ReadFile.cpp: Added support for using TextureRectangle
	  in --move support in readNodeFile

2005-04-22 23:45  robert

	* include/osg/CopyOp, include/osg/Node, include/osg/StateAttribute,
	  include/osg/StateSet, include/osg/Uniform, src/osg/CopyOp.cpp,
	  src/osg/StateSet.cpp: Preliminary steps to adding update and
	  event callbacks to StateSet, StateAttribute and Uniform.

2005-04-22 21:56  robert

	* examples/osgvertexprogram/osgvertexprogram.cpp: From Brede
	  Johansen, tweaked refraction and fresnel coefficients for a
	  better visual effect.

2005-04-22 16:44  robert

	* examples/osgmovie/osgmovie.cpp: Improved handling of unsupported
	  formats

2005-04-22 16:44  robert

	* src/osgPlugins/xine/ReaderWriterXine.cpp: Improved handling of
	  unsupported file formats.

2005-04-22 16:43  robert

	* include/osg/Image, src/osg/BufferObject.cpp: Improved handling of
	  invalid imagery in BufferObject

2005-04-22 15:40  robert

	* include/osg/BufferObject: Removed unusaged methods

2005-04-22 15:40  robert

	* include/osgGA/UFOManipulator, src/osgGA/UFOManipulator.cpp: From
	  Tree, removed dependency on Producer

2005-04-22 14:47  robert

	* src/osgPlugins/ive/: Group.cpp, ViewPoint.cpp, ViewPoint.h:
	  Removed ViewPoint.h and .cpp from the ive plugin

2005-04-22 14:32  robert

	* ChangeLog, src/osgDB/GNUmakefile, src/osgDB/Registry.cpp,
	  src/osgPlugins/osg/Program.cpp,
	  src/osgPlugins/xine/ReaderWriterXine.cpp: Cleaned up the xine
	  plugin to better handle unsupported video files.

2005-04-22 08:13  robert

	* include/osg/Uniform, src/osg/Uniform.cpp,
	  src/osgPlugins/osg/Uniform.cpp: From Mike Weiblen, added support
	  for samplers and mat4 to .osg

2005-04-21 22:07  robert

	* src/osgPlugins/flt/ReaderWriterATTR.cpp: Added initialize of
	  version number

2005-04-21 22:05  robert

	* src/osgPlugins/freetype/FreeTypeFont.cpp: From Garrat Potts,
	  fixed face memory leak in FreTypeFont destructor.

2005-04-20 20:53  robert

	* examples/osgcatch/osgcatch.cpp: Small tweaks

2005-04-20 19:50  robert

	* VisualStudio/examples/osgshaders/osgshaders.dsp,
	  src/osg/Uniform.cpp: From Mike Weiblen, removed Uniform not quite
	  ready notice, and added .h files into osgshaders project file.

2005-04-20 15:51  robert

	* examples/osgpointsprite/osgpointsprite.cpp: Removed the enabling
	  of the point smooth mode.

2005-04-20 13:32  robert

	* include/osg/Point, src/osg/Point.cpp: From Brede Johnansen,
	  adding support for EXT, ARB and GL version 1.4 point parameters.

2005-04-20 10:55  robert

	* src/osgText/Text.cpp: Removed increment of the cursor position by
	  the bearing value in the compute last character code as this
	  should not be used when moving the cursor.

2005-04-20 09:51  robert

	* applications/osgdem/osgdem.cpp: Commented out support for the -m
	  option for inserting 3d models in a terrain database, as this
	  feature isn't yet supported by osgTerrain.

2005-04-19 08:37  robert

	* src/osgUtil/Optimizer.cpp: From Reinhard Sainitzer, bug fix,
	  added missing break;

2005-04-18 19:23  robert

	* VisualStudio/: applications/osgarchive/osgarchive.dsp,
	  applications/osgconv/osgconv.dsp, applications/osgdem/osgdem.dsp,
	  applications/osgversion/osgversion.dsp,
	  applications/osgviewer/osgviewer.dsp,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osganimate/osganimate.dsp,
	  examples/osgautotransform/osgautotransform.dsp,
	  examples/osgbillboard/osgbillboard.dsp,
	  examples/osgbluemarble/osgbluemarble.dsp,
	  examples/osgcallback/osgcallback.dsp,
	  examples/osgcameragroup/osgcameragroup.dsp,
	  examples/osgclip/osgclip.dsp, examples/osgcluster/osgcluster.dsp,
	  examples/osgcopy/osgcopy.dsp, examples/osgcubemap/osgcubemap.dsp,
	  examples/osgdepthshadow/osgdepthshadow.dsp,
	  examples/osgdistortion/osgdistortion.dsp,
	  examples/osgforest/osgforest.dsp,
	  examples/osggeodemo/osggeodemo.dsp,
	  examples/osggeometry/osggeometry.dsp,
	  examples/osghangglide/osghangglide.dsp,
	  examples/osghud/osghud.dsp, examples/osgimpostor/osgimpostor.dsp,
	  examples/osgintrospection/example_osgintrospection.dsp,
	  examples/osgkeyboard/osgkeyboard.dsp,
	  examples/osgkeyboardmouse/osgkeyboardmouse.dsp,
	  examples/osglauncher/osglauncher.dsp,
	  examples/osglight/osglight.dsp,
	  examples/osglightpoint/osglightpoint.dsp,
	  examples/osglogo/osglogo.dsp,
	  examples/osgmotionblur/osgmotionblur.dsp,
	  examples/osgmultitexture/osgmultitexture.dsp,
	  examples/osgoccluder/osgoccluder.dsp,
	  examples/osgparticle/osgparticledemo.dsp,
	  examples/osgparticleeffects/osgparticleeffects.dsp,
	  examples/osgpbuffer/osgpbuffer.dsp,
	  examples/osgphotoalbum/osgphotoalbum.dsp,
	  examples/osgpick/osgpick.dsp, examples/osgplanets/osgplanets.dsp,
	  examples/osgpointsprite/osgpointsprite.dsp,
	  examples/osgprerender/osgprerender.dsp,
	  examples/osgprerendercubemap/osgprerendercubemap.dsp,
	  examples/osgreflect/osgreflect.dsp,
	  examples/osgscalarbar/osgscalarbar.dsp,
	  examples/osgscribe/osgscribe.dsp,
	  examples/osgsequence/osgsequence.dsp,
	  examples/osgshaders/osgshaders.dsp,
	  examples/osgshadowtexture/osgshadowtexture.dsp,
	  examples/osgshape/osgshape.dsp, examples/osgsimple/osgsimple.dsp,
	  examples/osgsimplepager/osgsimplepager.dsp,
	  examples/osgsimplifier/osgsimplifier.dsp,
	  examples/osgsimulation/osgsimulation.dsp,
	  examples/osgspheresegment/osgspheresegment.dsp,
	  examples/osgspotlight/osgspotlight.dsp,
	  examples/osgstereoimage/osgstereoimage.dsp,
	  examples/osgteapot/osgteapot.dsp,
	  examples/osgtesselate/osgtesselate.dsp,
	  examples/osgtext/osgtextdemo.dsp,
	  examples/osgtexture1D/osgtexture1D.dsp,
	  examples/osgtexture2D/osgtexture2D.dsp,
	  examples/osgtexture3D/osgtexture3D.dsp,
	  examples/osgtexturerectangle/osgtexturerectangle.dsp,
	  examples/osgunittests/osgunittests.dsp,
	  examples/osgvertexprogram/osgvertexprogram.dsp,
	  examples/osgvolume/osgvolume.dsp,
	  examples/osgwindows/osgwindows.dsp, osg/osg.dsp, osgDB/osgDB.dsp,
	  osgFX/osgFX.dsp, osgGA/osgGA.dsp,
	  osgIntrospection/osgIntrospection.dsp,
	  osgParticle/osgParticle.dsp, osgPlugins/3dc/3dc.dsp,
	  osgPlugins/ac3d/ac3d.dsp, osgPlugins/bmp/bmp.dsp,
	  osgPlugins/dds/dds.dsp, osgPlugins/directx/directx.dsp,
	  osgPlugins/dw/dw.dsp, osgPlugins/flt/flt.dsp,
	  osgPlugins/freetype/freetype.dsp, osgPlugins/gdal/gdal.dsp,
	  osgPlugins/geo/geo.dsp, osgPlugins/gif/gif.dsp,
	  osgPlugins/hdr/hdr.dsp, osgPlugins/ive/ive.dsp,
	  osgPlugins/jp2/jp2.dsp, osgPlugins/jpeg/jpeg.dsp,
	  osgPlugins/lib3ds/lib3ds.dsp, osgPlugins/logo/logo.dsp,
	  osgPlugins/lwo/lwo.dsp, osgPlugins/lws/lws.dsp,
	  osgPlugins/md2/md2.dsp, osgPlugins/net/net.dsp,
	  osgPlugins/obj/obj.dsp, osgPlugins/osg/dot_osg.dsp,
	  osgPlugins/osgFX/dot_osgFX.dsp,
	  osgPlugins/osgParticle/dot_osgParticle.dsp,
	  osgPlugins/osgSim/dot_osgSim.dsp,
	  osgPlugins/osgText/dot_osgText.dsp, osgPlugins/osga/osga.dsp,
	  osgPlugins/osgtgz/osgtgz.dsp, osgPlugins/pfb/pfb.dsp,
	  osgPlugins/pic/pic.dsp, osgPlugins/png/png.dsp,
	  osgPlugins/pnm/pnm.dsp, osgPlugins/rgb/rgb.dsp,
	  osgPlugins/rot/rot.dsp, osgPlugins/scale/scale.dsp,
	  osgPlugins/stl/stl.dsp, osgPlugins/tga/tga.dsp,
	  osgPlugins/tgz/tgz.dsp, osgPlugins/tiff/tiff.dsp,
	  osgPlugins/trans/trans.dsp, osgPlugins/txp/txp.dsp,
	  osgPlugins/zip/zip.dsp, osgProducer/osgProducer.dsp,
	  osgSim/osgSim.dsp, osgTerrain/osgTerrain.dsp,
	  osgText/osgText.dsp, osgUtil/osgUtil.dsp,
	  osgWrappers/osg/wrapper_osg.dsp: Removed eroneous /dv1 flag
	  (should have been /vd1, but it this is default anway so can
	  safely remove entirely).

2005-04-18 14:36  robert

	* src/osgPlugins/osg/Uniform.cpp: Further work on uniforms support
	  in .osg

2005-04-18 14:29  robert

	* src/osgPlugins/osg/Uniform.cpp: Added more complete support for
	  writing out data of Uniforms

2005-04-18 13:34  robert

	* include/osgDB/Input, include/osgDB/Registry, src/osgDB/Input.cpp,
	  src/osgDB/Registry.cpp, src/osgPlugins/osg/StateSet.cpp: Added
	  next stage of support for osg::Uniform in .osg plugin

2005-04-18 10:17  robert

	* Make/: dependencies, makedirdefs: Removed mpeg plugin from CVS,
	  now moved to the Community section of openscenegraph.org as a
	  seperate project.

2005-04-17 20:14  robert

	* examples/osgunittests/osgunittests.cpp: Fixed typo in testLookAt
	  debug info.

2005-04-17 20:10  robert

	* src/osgPlugins/dxf/: aci.cpp, dxfEntity.cpp, dxfEntity.h,
	  dxfReader.cpp, dxfReader.h, dxfSection.cpp, dxfTable.cpp,
	  dxfTable.h: Fixed warnings.

2005-04-17 12:35  robert

	* src/osgSim/DOFTransform.cpp: Changed the animation on default to
	  false, so things only move if you ask them to.

2005-04-17 12:30  robert

	* src/osgWrappers/osg/: AlphaFunc.cpp, AnimationPath.cpp,
	  ApplicationUsage.cpp, ArgumentParser.cpp, Array.cpp,
	  AutoTransform.cpp, Billboard.cpp, BlendColor.cpp,
	  BlendEquation.cpp, BlendFunc.cpp, BoundingBox.cpp,
	  BoundingSphere.cpp, BufferObject.cpp, ClearNode.cpp,
	  ClipNode.cpp, ClipPlane.cpp, ClusterCullingCallback.cpp,
	  CollectOccludersVisitor.cpp, ColorMask.cpp, ColorMatrix.cpp,
	  ConvexPlanarOccluder.cpp, ConvexPlanarPolygon.cpp,
	  CoordinateSystemNode.cpp, CopyOp.cpp, CullFace.cpp,
	  CullSettings.cpp, CullStack.cpp, CullingSet.cpp, Depth.cpp,
	  DisplaySettings.cpp, DrawPixels.cpp, Drawable.cpp, Fog.cpp,
	  FragmentProgram.cpp, FrameStamp.cpp, FrontFace.cpp, Geode.cpp,
	  Geometry.cpp, Group.cpp, Image.cpp, ImageStream.cpp,
	  Impostor.cpp, ImpostorSprite.cpp, LOD.cpp, Light.cpp,
	  LightModel.cpp, LightSource.cpp, LineSegment.cpp,
	  LineStipple.cpp, LineWidth.cpp, LogicOp.cpp, Material.cpp,
	  Matrix.cpp, MatrixTransform.cpp, Matrixd.cpp, Matrixf.cpp,
	  Multisample.cpp, Node.cpp, NodeCallback.cpp, NodeVisitor.cpp,
	  Object.cpp, OccluderNode.cpp, PagedLOD.cpp, Plane.cpp, Point.cpp,
	  PointSprite.cpp, PolygonMode.cpp, PolygonOffset.cpp,
	  PolygonStipple.cpp, Polytope.cpp, PositionAttitudeTransform.cpp,
	  PrimitiveSet.cpp, Program.cpp, Projection.cpp, ProxyNode.cpp,
	  Quat.cpp, RefNodePath.cpp, Referenced.cpp, Sequence.cpp,
	  ShadeModel.cpp, Shader.cpp, ShadowVolumeOccluder.cpp, Shape.cpp,
	  ShapeDrawable.cpp, State.cpp, StateAttribute.cpp, StateSet.cpp,
	  Stencil.cpp, Switch.cpp, TexEnv.cpp, TexEnvCombine.cpp,
	  TexEnvFilter.cpp, TexGen.cpp, TexGenNode.cpp, TexMat.cpp,
	  Texture.cpp, Texture1D.cpp, Texture2D.cpp, Texture3D.cpp,
	  TextureCubeMap.cpp, TextureRectangle.cpp, Timer.cpp,
	  Transform.cpp, UByte4.cpp, Uniform.cpp, Vec2.cpp, Vec2d.cpp,
	  Vec2f.cpp, Vec3.cpp, Vec3d.cpp, Vec3f.cpp, Vec4.cpp, Vec4d.cpp,
	  Vec4f.cpp, VertexProgram.cpp, Viewport.cpp: From Marco Jez,
	  osgWrappers updates to latest changes in core osg.

2005-04-17 11:41  robert

	* include/osg/Matrixd, include/osg/Matrixf, include/osg/Vec3f,
	  src/osg/Matrix_implementation.cpp: Moved istream/ostream includes
	  out of Vec3f, and reimpleted osg::Matrix*::compare.

2005-04-17 10:41  robert

	* include/osg/State: From Tony Horrobin, fix for VS6.0

2005-04-16 18:44  robert

	* include/osg/: Program, io_utils: From Marco Jez, added operator
	  >> for Plane and Quat to io_utils, and added OSG_EXPORT to
	  PerContextProgram.

2005-04-16 11:18  robert

	* src/osgPlugins/osg/Shader.cpp: Fixed wrapping of text string to
	  allow internal "" strings

2005-04-16 11:11  robert

	* examples/osgshaders/GL2Scene.cpp, src/osg/Program.cpp: From Mike
	  Weiblen,added debug info to osg::Program and changed shader
	  uniform names to avoid conflict with built in functions

2005-04-16 05:00  don

	* src/osgPlugins/ive/PagedLOD.cpp: CHanged line 101 in PageLOD.cpp
	  to read	    if ( in->getVersion() >= VERSION_0006 ) {
		  setDatabasePath(in->readString());	       }

	  instead of		   if ( in->getVersion() > VERSION_0006 ) {
			setDatabasePath(in->readString());	     }

	  Seems DatabasePath _is_ present in ive files of version 6.

2005-04-15 21:59  robert

	* include/osg/Plane, include/osg/Quat, include/osg/io_utils,
	  src/osg/TexGen.cpp, src/osgPlugins/osg/TexGen.cpp: Moved Plane
	  and Quat << operators into the io_utils headers

2005-04-15 21:44  robert

	* Make/makedirdefs: Added dxf to the list of projects

2005-04-15 21:39  robert

	* src/osgPlugins/: dxf/GNUmakefile, dxf/ReaderWriterDXF.cpp,
	  dxf/aci.cpp, dxf/aci.h, dxf/codeValue.h, dxf/dxfBlock.cpp,
	  dxf/dxfBlock.h, dxf/dxfDataTypes.h, dxf/dxfEntity.cpp,
	  dxf/dxfEntity.h, dxf/dxfFile.cpp, dxf/dxfFile.h,
	  dxf/dxfReader.cpp, dxf/dxfReader.h, dxf/dxfSection.cpp,
	  dxf/dxfSection.h, dxf/dxfSectionBase.h, dxf/dxfTable.cpp,
	  dxf/dxfTable.h, dxf/scene.cpp, dxf/scene.h, osg/ClipPlane.cpp,
	  osgText/IO_Text.cpp: From Paul de Repentinguy, DXF loader plugin.
	  Ported to Linux by Robert Osfield.

2005-04-15 21:11  robert

	* src/osgUtil/Optimizer.cpp: From Joran Jessurun, Added setting of
	  original node mask to flatten transforms

2005-04-15 21:05  robert

	* include/osgSim/MultiSwitch, src/osgSim/MultiSwitch.cpp: Added
	  setValue and setSwitchSet methods

2005-04-15 19:28  robert

	* src/osgPlugins/hdr/hdrloader.cpp: From Mike Weiblen, fix for
	  Win32 build

2005-04-15 11:15  robert

	* doc/Doxyfiles/core_Doxyfile: Removed link reference to osgGL2 in
	  doxygen file, added osgIntrospection

2005-04-15 11:09  robert

	* VisualStudio/: applications/osgarchive/osgarchive.dsp,
	  applications/osgconv/osgconv.dsp, applications/osgdem/osgdem.dsp,
	  applications/osgversion/osgversion.dsp,
	  applications/osgviewer/osgviewer.dsp,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osganimate/osganimate.dsp,
	  examples/osgautotransform/osgautotransform.dsp,
	  examples/osgbillboard/osgbillboard.dsp,
	  examples/osgbluemarble/osgbluemarble.dsp,
	  examples/osgcallback/osgcallback.dsp,
	  examples/osgcameragroup/osgcameragroup.dsp,
	  examples/osgclip/osgclip.dsp, examples/osgcluster/osgcluster.dsp,
	  examples/osgcopy/osgcopy.dsp, examples/osgcubemap/osgcubemap.dsp,
	  examples/osgdepthshadow/osgdepthshadow.dsp,
	  examples/osgdistortion/osgdistortion.dsp,
	  examples/osgforest/osgforest.dsp,
	  examples/osggeodemo/osggeodemo.dsp,
	  examples/osggeometry/osggeometry.dsp,
	  examples/osghangglide/osghangglide.dsp,
	  examples/osghud/osghud.dsp, examples/osgimpostor/osgimpostor.dsp,
	  examples/osgintrospection/example_osgintrospection.dsp,
	  examples/osgkeyboard/osgkeyboard.dsp,
	  examples/osgkeyboardmouse/osgkeyboardmouse.dsp,
	  examples/osglauncher/osglauncher.dsp,
	  examples/osglight/osglight.dsp,
	  examples/osglightpoint/osglightpoint.dsp,
	  examples/osglogo/osglogo.dsp,
	  examples/osgmotionblur/osgmotionblur.dsp,
	  examples/osgmultitexture/osgmultitexture.dsp,
	  examples/osgoccluder/osgoccluder.dsp,
	  examples/osgparticle/osgparticledemo.dsp,
	  examples/osgparticleeffects/osgparticleeffects.dsp,
	  examples/osgpbuffer/osgpbuffer.dsp,
	  examples/osgphotoalbum/osgphotoalbum.dsp,
	  examples/osgpick/osgpick.dsp, examples/osgplanets/osgplanets.dsp,
	  examples/osgpointsprite/osgpointsprite.dsp,
	  examples/osgprerender/osgprerender.dsp,
	  examples/osgprerendercubemap/osgprerendercubemap.dsp,
	  examples/osgreflect/osgreflect.dsp,
	  examples/osgscalarbar/osgscalarbar.dsp,
	  examples/osgscribe/osgscribe.dsp,
	  examples/osgsequence/osgsequence.dsp,
	  examples/osgshaders/osgshaders.dsp,
	  examples/osgshadowtexture/osgshadowtexture.dsp,
	  examples/osgshape/osgshape.dsp, examples/osgsimple/osgsimple.dsp,
	  examples/osgsimplepager/osgsimplepager.dsp,
	  examples/osgsimplifier/osgsimplifier.dsp,
	  examples/osgsimulation/osgsimulation.dsp,
	  examples/osgspheresegment/osgspheresegment.dsp,
	  examples/osgspotlight/osgspotlight.dsp,
	  examples/osgstereoimage/osgstereoimage.dsp,
	  examples/osgteapot/osgteapot.dsp,
	  examples/osgtesselate/osgtesselate.dsp,
	  examples/osgtext/osgtextdemo.dsp,
	  examples/osgtexture1D/osgtexture1D.dsp,
	  examples/osgtexture2D/osgtexture2D.dsp,
	  examples/osgtexture3D/osgtexture3D.dsp,
	  examples/osgtexturerectangle/osgtexturerectangle.dsp,
	  examples/osgunittests/osgunittests.dsp,
	  examples/osgvertexprogram/osgvertexprogram.dsp,
	  examples/osgvolume/osgvolume.dsp,
	  examples/osgwindows/osgwindows.dsp, osg/osg.dsp, osgDB/osgDB.dsp,
	  osgFX/osgFX.dsp, osgGA/osgGA.dsp,
	  osgIntrospection/osgIntrospection.dsp,
	  osgParticle/osgParticle.dsp, osgPlugins/3dc/3dc.dsp,
	  osgPlugins/ac3d/ac3d.dsp, osgPlugins/bmp/bmp.dsp,
	  osgPlugins/dds/dds.dsp, osgPlugins/directx/directx.dsp,
	  osgPlugins/dw/dw.dsp, osgPlugins/flt/flt.dsp,
	  osgPlugins/freetype/freetype.dsp, osgPlugins/gdal/gdal.dsp,
	  osgPlugins/geo/geo.dsp, osgPlugins/gif/gif.dsp,
	  osgPlugins/hdr/hdr.dsp, osgPlugins/ive/ive.dsp,
	  osgPlugins/jp2/jp2.dsp, osgPlugins/jpeg/jpeg.dsp,
	  osgPlugins/lib3ds/lib3ds.dsp, osgPlugins/logo/logo.dsp,
	  osgPlugins/lwo/lwo.dsp, osgPlugins/lws/lws.dsp,
	  osgPlugins/md2/md2.dsp, osgPlugins/net/net.dsp,
	  osgPlugins/obj/obj.dsp, osgPlugins/osg/dot_osg.dsp,
	  osgPlugins/osgFX/dot_osgFX.dsp,
	  osgPlugins/osgParticle/dot_osgParticle.dsp,
	  osgPlugins/osgSim/dot_osgSim.dsp,
	  osgPlugins/osgText/dot_osgText.dsp, osgPlugins/osga/osga.dsp,
	  osgPlugins/osgtgz/osgtgz.dsp, osgPlugins/pfb/pfb.dsp,
	  osgPlugins/pic/pic.dsp, osgPlugins/png/png.dsp,
	  osgPlugins/pnm/pnm.dsp, osgPlugins/rgb/rgb.dsp,
	  osgPlugins/rot/rot.dsp, osgPlugins/scale/scale.dsp,
	  osgPlugins/stl/stl.dsp, osgPlugins/tga/tga.dsp,
	  osgPlugins/tgz/tgz.dsp, osgPlugins/tiff/tiff.dsp,
	  osgPlugins/trans/trans.dsp, osgPlugins/txp/txp.dsp,
	  osgPlugins/zip/zip.dsp, osgProducer/osgProducer.dsp,
	  osgSim/osgSim.dsp, osgTerrain/osgTerrain.dsp,
	  osgText/osgText.dsp, osgUtil/osgUtil.dsp,
	  osgWrappers/osg/wrapper_osg.dsp: Changed all instances of /vd0 to
	  /vd1

2005-04-15 10:56  robert

	* src/osgPlugins/hdr/hdrloader.cpp: In the ldexp(,) call removed
	  the /256.0f by replacing it with a -8 on the exponent.

2005-04-15 09:35  robert

	* Make/dependencies, Make/makedirdefs,
	  VisualStudio/VisualStudio.dsw, include/osg/StateAttribute:
	  Removed osgGL2 from CVS, osgGL2 now can be found on the
	  Community/NodeKits section on the OSG website.

2005-04-14 22:41  robert

	* include/osg/AlphaFunc, include/osg/AnimationPath,
	  include/osg/ApplicationUsage, include/osg/ArgumentParser,
	  include/osg/Array, include/osg/AutoTransform,
	  include/osg/Billboard, include/osg/BlendColor,
	  include/osg/BlendEquation, include/osg/BlendFunc,
	  include/osg/BoundingBox, include/osg/BoundingSphere,
	  include/osg/BoundsChecking, include/osg/BufferObject,
	  include/osg/ClearNode, include/osg/ClipNode,
	  include/osg/ClipPlane, include/osg/ClusterCullingCallback,
	  include/osg/CollectOccludersVisitor, include/osg/ColorMask,
	  include/osg/ColorMatrix, include/osg/ConvexPlanarOccluder,
	  include/osg/ConvexPlanarPolygon,
	  include/osg/CoordinateSystemNode, include/osg/CopyOp,
	  include/osg/CullFace, include/osg/CullSettings,
	  include/osg/CullStack, include/osg/CullingSet, include/osg/Depth,
	  include/osg/DisplaySettings, include/osg/DrawPixels,
	  include/osg/Drawable, include/osg/Endian, include/osg/Export,
	  include/osg/Fog, include/osg/FragmentProgram,
	  include/osg/FrameStamp, include/osg/FrontFace, include/osg/GL,
	  include/osg/GLExtensions, include/osg/GLU, include/osg/Geode,
	  include/osg/Geometry, include/osg/Group, include/osg/Image,
	  include/osg/ImageStream, include/osg/Impostor,
	  include/osg/ImpostorSprite, include/osg/LOD, include/osg/Light,
	  include/osg/LightModel, include/osg/LogicOp, include/osg/Matrix,
	  include/osg/MatrixTransform, include/osg/Multisample,
	  include/osg/Node, include/osg/NodeCallback,
	  include/osg/NodeVisitor, include/osg/Notify, include/osg/Object,
	  include/osg/OccluderNode, include/osg/PagedLOD,
	  include/osg/Plane, include/osg/Point, include/osg/PointSprite,
	  include/osg/PolygonMode, include/osg/PolygonOffset,
	  include/osg/PolygonStipple, include/osg/Polytope,
	  include/osg/PositionAttitudeTransform, include/osg/PrimitiveSet,
	  include/osg/Projection, include/osg/ProxyNode, include/osg/Quat,
	  include/osg/RefNodePath, include/osg/Referenced,
	  include/osg/Sequence, include/osg/ShadeModel,
	  include/osg/ShadowVolumeOccluder, include/osg/Shape,
	  include/osg/ShapeDrawable, include/osg/State,
	  include/osg/StateSet, include/osg/Stencil, include/osg/Switch,
	  include/osg/TexEnv, include/osg/TexEnvCombine,
	  include/osg/TexEnvFilter, include/osg/TexGen,
	  include/osg/TexGenNode, include/osg/TexMat, include/osg/Texture,
	  include/osg/Texture1D, include/osg/Texture2D,
	  include/osg/Texture3D, include/osg/TextureCubeMap,
	  include/osg/TextureRectangle, include/osg/Timer,
	  include/osg/Transform, include/osg/TriangleFunctor,
	  include/osg/TriangleIndexFunctor, include/osg/UByte4,
	  include/osg/UnitTestFramework, include/osg/Vec2,
	  include/osg/Vec2d, include/osg/Vec2f, include/osg/Vec3,
	  include/osg/Vec3d, include/osg/Vec3f, include/osg/Vec4,
	  include/osg/Vec4d, include/osg/Vec4f, include/osg/Version,
	  include/osg/VertexProgram, include/osg/Viewport,
	  include/osg/buffered_value, include/osg/fast_back_stack,
	  include/osg/io_utils, include/osg/ref_ptr, include/osgDB/Archive,
	  include/osgDB/DatabasePager, include/osgDB/DotOsgWrapper,
	  include/osgDB/DynamicLibrary, include/osgDB/Export,
	  include/osgDB/Field, include/osgDB/FieldReader,
	  include/osgDB/FieldReaderIterator, include/osgDB/FileNameUtils,
	  include/osgDB/FileUtils, include/osgDB/ImageOptions,
	  include/osgDB/Input, include/osgDB/Output,
	  include/osgDB/ParameterOutput, include/osgDB/ReadFile,
	  include/osgDB/ReaderWriter, include/osgDB/ReentrantMutex,
	  include/osgDB/Registry, include/osgDB/SharedStateManager,
	  include/osgDB/Version, include/osgDB/WriteFile,
	  include/osgFX/AnisotropicLighting, include/osgFX/BumpMapping,
	  include/osgFX/Cartoon, include/osgFX/Effect,
	  include/osgFX/Export, include/osgFX/Registry,
	  include/osgFX/Scribe, include/osgFX/SpecularHighlights,
	  include/osgFX/Technique, include/osgFX/Validator,
	  include/osgGA/AnimationPathManipulator,
	  include/osgGA/DriveManipulator, include/osgGA/EventVisitor,
	  include/osgGA/Export, include/osgGA/FlightManipulator,
	  include/osgGA/GUIActionAdapter, include/osgGA/GUIEventAdapter,
	  include/osgGA/GUIEventHandler,
	  include/osgGA/GUIEventHandlerVisitor,
	  include/osgGA/KeySwitchMatrixManipulator,
	  include/osgGA/MatrixManipulator,
	  include/osgGA/NodeTrackerManipulator,
	  include/osgGA/SetSceneViewVisitor,
	  include/osgGA/StateSetManipulator,
	  include/osgGA/TerrainManipulator,
	  include/osgGA/TrackballManipulator, include/osgGA/UFOManipulator,
	  include/osgGA/Version, include/osgIntrospection/Export,
	  include/osgParticle/AccelOperator,
	  include/osgParticle/AngularAccelOperator,
	  include/osgParticle/CenteredPlacer, include/osgParticle/Counter,
	  include/osgParticle/Emitter,
	  include/osgParticle/ExplosionDebriEffect,
	  include/osgParticle/ExplosionEffect, include/osgParticle/Export,
	  include/osgParticle/FireEffect,
	  include/osgParticle/FluidFrictionOperator,
	  include/osgParticle/FluidProgram,
	  include/osgParticle/ForceOperator,
	  include/osgParticle/Interpolator,
	  include/osgParticle/LinearInterpolator,
	  include/osgParticle/ModularEmitter,
	  include/osgParticle/ModularProgram,
	  include/osgParticle/MultiSegmentPlacer,
	  include/osgParticle/Operator, include/osgParticle/Particle,
	  include/osgParticle/ParticleEffect,
	  include/osgParticle/ParticleProcessor,
	  include/osgParticle/ParticleSystem,
	  include/osgParticle/ParticleSystemUpdater,
	  include/osgParticle/Placer, include/osgParticle/PointPlacer,
	  include/osgParticle/Program, include/osgParticle/RadialShooter,
	  include/osgParticle/RandomRateCounter,
	  include/osgParticle/SectorPlacer,
	  include/osgParticle/SegmentPlacer, include/osgParticle/Shooter,
	  include/osgParticle/SmokeEffect,
	  include/osgParticle/VariableRateCounter,
	  include/osgParticle/Version, include/osgParticle/range,
	  include/osgProducer/EventAdapter, include/osgProducer/Export,
	  include/osgProducer/KeyboardMouseCallback,
	  include/osgProducer/OsgCameraGroup,
	  include/osgProducer/OsgSceneHandler, include/osgProducer/Version,
	  include/osgProducer/Viewer,
	  include/osgProducer/ViewerEventHandler,
	  include/osgSim/BlinkSequence, include/osgSim/ColorRange,
	  include/osgSim/DOFTransform, include/osgSim/Export,
	  include/osgSim/LightPoint, include/osgSim/LightPointNode,
	  include/osgSim/MultiSwitch, include/osgSim/ScalarBar,
	  include/osgSim/ScalarsToColors, include/osgSim/Sector,
	  include/osgSim/SphereSegment, include/osgSim/Version,
	  include/osgSim/VisibilityGroup, include/osgTerrain/DataSet,
	  include/osgTerrain/Export, include/osgTerrain/HeightFieldNode,
	  include/osgTerrain/HeightFieldRenderer,
	  include/osgTerrain/Version, include/osgText/Export,
	  include/osgText/Font, include/osgText/String,
	  include/osgText/Text, include/osgText/Version,
	  include/osgUtil/CubeMapGenerator, include/osgUtil/CullVisitor,
	  include/osgUtil/DelaunayTriangulator,
	  include/osgUtil/DisplayRequirementsVisitor,
	  include/osgUtil/Export, include/osgUtil/GLObjectsVisitor,
	  include/osgUtil/HalfWayMapGenerator,
	  include/osgUtil/HighlightMapGenerator,
	  include/osgUtil/InsertImpostorsVisitor,
	  include/osgUtil/IntersectVisitor, include/osgUtil/Optimizer,
	  include/osgUtil/ReflectionMapGenerator,
	  include/osgUtil/RenderBin, include/osgUtil/RenderGraph,
	  include/osgUtil/RenderLeaf, include/osgUtil/RenderStage,
	  include/osgUtil/RenderStageLighting,
	  include/osgUtil/RenderToTextureStage, include/osgUtil/SceneView,
	  include/osgUtil/Simplifier, include/osgUtil/SmoothingVisitor,
	  include/osgUtil/Statistics,
	  include/osgUtil/TangentSpaceGenerator,
	  include/osgUtil/Tesselator,
	  include/osgUtil/TransformAttributeFunctor,
	  include/osgUtil/TransformCallback,
	  include/osgUtil/TriStripVisitor, include/osgUtil/UpdateVisitor,
	  include/osgUtil/Version, src/osg/AlphaFunc.cpp,
	  src/osg/AnimationPath.cpp, src/osg/Array.cpp,
	  src/osg/AutoTransform.cpp, src/osg/Billboard.cpp,
	  src/osg/BlendColor.cpp, src/osg/BlendEquation.cpp,
	  src/osg/BlendFunc.cpp, src/osg/BoundingBox.cpp,
	  src/osg/BoundingSphere.cpp, src/osg/BufferObject.cpp,
	  src/osg/ClearNode.cpp, src/osg/ClipNode.cpp,
	  src/osg/ClipPlane.cpp, src/osg/ClusterCullingCallback.cpp,
	  src/osg/CollectOccludersVisitor.cpp, src/osg/ColorMask.cpp,
	  src/osg/ColorMatrix.cpp, src/osg/ConvexPlanarOccluder.cpp,
	  src/osg/ConvexPlanarPolygon.cpp,
	  src/osg/CoordinateSystemNode.cpp, src/osg/CopyOp.cpp,
	  src/osg/CullFace.cpp, src/osg/CullSettings.cpp,
	  src/osg/CullStack.cpp, src/osg/CullingSet.cpp, src/osg/Depth.cpp,
	  src/osg/DisplaySettings.cpp, src/osg/DrawPixels.cpp,
	  src/osg/Drawable.cpp, src/osg/Fog.cpp,
	  src/osg/FragmentProgram.cpp, src/osg/FrameStamp.cpp,
	  src/osg/FrontFace.cpp, src/osg/GLExtensions.cpp,
	  src/osg/Geode.cpp, src/osg/Geometry.cpp, src/osg/Group.cpp,
	  src/osg/Image.cpp, src/osg/ImageStream.cpp, src/osg/Impostor.cpp,
	  src/osg/ImpostorSprite.cpp, src/osg/LOD.cpp, src/osg/Light.cpp,
	  src/osg/LightModel.cpp, src/osg/LightSource.cpp,
	  src/osg/LineSegment.cpp, src/osg/LineStipple.cpp,
	  src/osg/LineWidth.cpp, src/osg/LogicOp.cpp, src/osg/Material.cpp,
	  src/osg/MatrixTransform.cpp, src/osg/Matrix_implementation.cpp,
	  src/osg/Matrixd.cpp, src/osg/Matrixf.cpp,
	  src/osg/Multisample.cpp, src/osg/Node.cpp,
	  src/osg/NodeCallback.cpp, src/osg/NodeVisitor.cpp,
	  src/osg/Notify.cpp, src/osg/Object.cpp, src/osg/OccluderNode.cpp,
	  src/osg/PagedLOD.cpp, src/osg/Point.cpp, src/osg/PointSprite.cpp,
	  src/osg/PolygonMode.cpp, src/osg/PolygonOffset.cpp,
	  src/osg/PolygonStipple.cpp,
	  src/osg/PositionAttitudeTransform.cpp, src/osg/PrimitiveSet.cpp,
	  src/osg/Projection.cpp, src/osg/ProxyNode.cpp, src/osg/Quat.cpp,
	  src/osg/Referenced.cpp, src/osg/Sequence.cpp,
	  src/osg/ShadeModel.cpp, src/osg/ShadowVolumeOccluder.cpp,
	  src/osg/Shape.cpp, src/osg/ShapeDrawable.cpp, src/osg/State.cpp,
	  src/osg/StateSet.cpp, src/osg/Stencil.cpp, src/osg/Switch.cpp,
	  src/osg/TexEnv.cpp, src/osg/TexEnvCombine.cpp,
	  src/osg/TexEnvFilter.cpp, src/osg/TexGen.cpp,
	  src/osg/TexGenNode.cpp, src/osg/TexMat.cpp, src/osg/Texture.cpp,
	  src/osg/Texture1D.cpp, src/osg/Texture2D.cpp,
	  src/osg/Texture3D.cpp, src/osg/TextureCubeMap.cpp,
	  src/osg/TextureRectangle.cpp, src/osg/Timer.cpp,
	  src/osg/Transform.cpp, src/osg/UnitTestFramework.cpp,
	  src/osg/Vec3.cpp, src/osg/Version.cpp, src/osg/VertexProgram.cpp,
	  src/osg/Viewport.cpp, src/osgDB/Archive.cpp,
	  src/osgDB/DotOsgWrapper.cpp, src/osgDB/DynamicLibrary.cpp,
	  src/osgDB/Field.cpp, src/osgDB/FieldReader.cpp,
	  src/osgDB/FieldReaderIterator.cpp, src/osgDB/FileNameUtils.cpp,
	  src/osgDB/FileUtils.cpp, src/osgDB/Input.cpp,
	  src/osgDB/Output.cpp, src/osgDB/ReadFile.cpp,
	  src/osgDB/ReaderWriter.cpp, src/osgDB/ReentrantMutex.cpp,
	  src/osgDB/Registry.cpp, src/osgDB/SharedStateManager.cpp,
	  src/osgDB/Version.cpp, src/osgDB/WriteFile.cpp,
	  src/osgGA/DriveManipulator.cpp, src/osgGA/EventVisitor.cpp,
	  src/osgGA/GUIEventAdapter.cpp, src/osgGA/GUIEventHandler.cpp,
	  src/osgParticle/ExplosionDebriEffect.cpp,
	  src/osgParticle/ExplosionEffect.cpp,
	  src/osgParticle/FireEffect.cpp,
	  src/osgParticle/ParticleEffect.cpp,
	  src/osgParticle/SmokeEffect.cpp,
	  src/osgPlugins/freetype/FreeTypeFont.cpp,
	  src/osgPlugins/freetype/FreeTypeFont.h,
	  src/osgPlugins/freetype/FreeTypeLibrary.cpp,
	  src/osgPlugins/freetype/FreeTypeLibrary.h,
	  src/osgPlugins/geo/ClipRegion.h,
	  src/osgProducer/OsgCameraGroup.cpp,
	  src/osgProducer/OsgSceneHandler.cpp,
	  src/osgSim/BlinkSequence.cpp, src/osgSim/DOFTransform.cpp,
	  src/osgSim/LightPoint.cpp, src/osgSim/LightPointDrawable.cpp,
	  src/osgSim/LightPointNode.cpp, src/osgSim/MultiSwitch.cpp,
	  src/osgSim/Sector.cpp, src/osgSim/VisibilityGroup.cpp,
	  src/osgTerrain/DataSet.cpp, src/osgTerrain/HeightFieldNode.cpp,
	  src/osgTerrain/HeightFieldRenderer.cpp,
	  src/osgText/DefaultFont.cpp, src/osgText/DefaultFont.h,
	  src/osgText/Font.cpp, src/osgText/Text.cpp,
	  src/osgUtil/CubeMapGenerator.cpp, src/osgUtil/CullVisitor.cpp,
	  src/osgUtil/DisplayRequirementsVisitor.cpp,
	  src/osgUtil/GLObjectsVisitor.cpp,
	  src/osgUtil/HalfWayMapGenerator.cpp,
	  src/osgUtil/HighlightMapGenerator.cpp,
	  src/osgUtil/InsertImpostorsVisitor.cpp,
	  src/osgUtil/IntersectVisitor.cpp, src/osgUtil/Optimizer.cpp,
	  src/osgUtil/RenderBin.cpp, src/osgUtil/RenderGraph.cpp,
	  src/osgUtil/RenderLeaf.cpp, src/osgUtil/RenderStage.cpp,
	  src/osgUtil/RenderStageLighting.cpp,
	  src/osgUtil/RenderToTextureStage.cpp, src/osgUtil/SceneView.cpp,
	  src/osgUtil/Simplifier.cpp, src/osgUtil/SmoothingVisitor.cpp,
	  src/osgUtil/Tesselator.cpp,
	  src/osgUtil/TransformAttributeFunctor.cpp,
	  src/osgUtil/TransformCallback.cpp,
	  src/osgUtil/TriStripVisitor.cpp,
	  src/osgUtil/TriStrip_tri_stripper.cpp,
	  src/osgUtil/UpdateVisitor.cpp, src/osgUtil/Version.cpp: Updated
	  Copyright notices to 1998-2005.

2005-04-14 21:34  robert

	* src/osgPlugins/flt/ReaderWriterATTR.cpp: Changed uint for
	  unsigned int.

2005-04-14 21:14  robert

	* include/osg/Uniform: Uniforms open for business :)

2005-04-14 21:05  robert

	* include/osg/State: Fixed getUniformLocation and getAttribLocation
	  methods

2005-04-14 16:53  robert

	* Make/openscenegraph.pc, include/osg/StateSet,
	  src/osg/StateSet.cpp: Removed setProgram from osg::StateSet as
	  Program works just fine right now as a standard
	  osg::StateAttribute and set in a StateSet with setAttribute.

2005-04-14 12:28  robert

	* runexamples.bat, Make/dependencies, Make/makedirdefs,
	  VisualStudio/VisualStudio.dsw, applications/osgdem/GNUmakefile,
	  applications/osgdem/GNUmakefile.inst,
	  examples/osgfxbrowser/GNUmakefile,
	  examples/osgkeyboardmouse/GNUmakefile,
	  examples/osgkeyboardmouse/GNUmakefile.inst,
	  examples/osgsimplepager/GNUmakefile,
	  examples/osgsimplepager/GNUmakefile.inst,
	  examples/osgsimulation/GNUmakefile, src/osgFX/Cartoon.cpp,
	  src/osgFX/GNUmakefile, src/osgPlugins/ive/GNUmakefile,
	  src/osgPlugins/lwo/GNUmakefile, src/osgPlugins/osgFX/GNUmakefile:
	  Preparation for moving osgGL2 out of the core OSG into its own
	  seperate distribution.

2005-04-14 09:00  robert

	* examples/osgshaders/GL2Scene.cpp: From Mike Weiblen, fixed copy
	  and paste error in new osgshaders.cpp example.

2005-04-14 08:55  robert

	* src/osgPlugins/flt/: ReaderWriterATTR.cpp, flt2osg.cpp: From
	  Joson Daly, fix for forward/backward/swing animation handling
	  both 15.8 and versions prior to 15.8, and...

	  " Here's another fix for OpenFlight.	The symptom was that ATTR
	  files were not being read correctly, and the TexEnv on a texture
	  that should have been set to DECAL was instead defaulting to
	  MODULATE.  The cause is that the ATTR reader cannot tell by
	  itself what version it's reading (the version information isn't
	  present in the ATTR files), and instead relies on the
	  ReaderWriter::Options passed in to get the OpenFlight version.

	  My change clones the current ReaderWriter::Options and prepends
	  the appropriate FLT_VER option before the ReaderWriterATTR object
	  is called.  I also made the parsing of the FLT_VER string and
	  value more robust in the ReaderWriterATTR itself.  I think I
	  commented things OK, but let me know if you need me to explain
	  anything."

2005-04-13 19:19  robert

	* include/osg/TextureRectangle, src/osg/TextureRectangle.cpp: From
	  Terry Welsh, added copy texture support to TextureRectangle

2005-04-13 15:31  robert

	* examples/osgshaders/GL2Scene.cpp, src/osg/State.cpp: Added
	  applying of all parents uniforms

2005-04-13 15:12  robert

	* examples/osgshaders/GL2Scene.cpp, include/osg/Program,
	  src/osg/Program.cpp, src/osg/State.cpp: Added basic support for
	  applying uniforms to programs, non lazy state updating is yet
	  applied though.

2005-04-13 13:00  robert

	* include/osg/Program, include/osg/State, include/osg/Uniform,
	  src/osg/Program.cpp, src/osg/State.cpp, src/osg/Uniform.cpp: Work
	  in progress on shader language uniform support

2005-04-12 20:28  robert

	* examples/osgcatch/osgcatch.cpp: Added #if block for swith between
	  imagery

2005-04-12 20:17  robert

	* examples/osgcatch/osgcatch.cpp: Fixed bug

2005-04-12 09:59  robert

	* src/osgPlugins/hdr/hdrloader.cpp: Added inline to float
	  convertComponent(,)

2005-04-12 09:55  robert

	* src/osgPlugins/hdr/hdrloader.cpp: From Olaf Flebbe, change from
	  powf to ldexp.

2005-04-11 18:14  robert

	* VisualStudio/osg/osg.dsp, include/osg/AlphaFunc,
	  include/osg/AnimationPath, include/osg/ApplicationUsage,
	  include/osg/ArgumentParser, include/osg/Array,
	  include/osg/AutoTransform, include/osg/Billboard,
	  include/osg/BlendColor, include/osg/BlendEquation,
	  include/osg/BlendFunc, include/osg/BoundingBox,
	  include/osg/BoundingSphere, include/osg/BufferObject,
	  include/osg/ClearNode, include/osg/ClipNode,
	  include/osg/ClipPlane, include/osg/ClusterCullingCallback,
	  include/osg/CollectOccludersVisitor, include/osg/ColorMask,
	  include/osg/ColorMatrix, include/osg/ConvexPlanarOccluder,
	  include/osg/ConvexPlanarPolygon,
	  include/osg/CoordinateSystemNode, include/osg/CopyOp,
	  include/osg/CullFace, include/osg/CullSettings,
	  include/osg/CullStack, include/osg/CullingSet, include/osg/Depth,
	  include/osg/DisplaySettings, include/osg/DrawPixels,
	  include/osg/Drawable, include/osg/Export, include/osg/Fog,
	  include/osg/FragmentProgram, include/osg/FrameStamp,
	  include/osg/FrontFace, include/osg/GLExtensions,
	  include/osg/Geode, include/osg/Geometry, include/osg/Group,
	  include/osg/Image, include/osg/ImageStream, include/osg/Impostor,
	  include/osg/ImpostorSprite, include/osg/LOD, include/osg/Light,
	  include/osg/LightModel, include/osg/LightSource,
	  include/osg/LineSegment, include/osg/LineStipple,
	  include/osg/LineWidth, include/osg/LogicOp, include/osg/Material,
	  include/osg/MatrixTransform, include/osg/Matrixd,
	  include/osg/Matrixf, include/osg/Multisample, include/osg/Node,
	  include/osg/NodeCallback, include/osg/NodeVisitor,
	  include/osg/Notify, include/osg/Object, include/osg/OccluderNode,
	  include/osg/PagedLOD, include/osg/Plane, include/osg/Point,
	  include/osg/PointSprite, include/osg/PolygonMode,
	  include/osg/PolygonOffset, include/osg/PolygonStipple,
	  include/osg/Polytope, include/osg/PositionAttitudeTransform,
	  include/osg/PrimitiveSet, include/osg/Program,
	  include/osg/Projection, include/osg/ProxyNode, include/osg/Quat,
	  include/osg/Referenced, include/osg/Sequence,
	  include/osg/ShadeModel, include/osg/Shader,
	  include/osg/ShadowVolumeOccluder, include/osg/Shape,
	  include/osg/ShapeDrawable, include/osg/State,
	  include/osg/StateAttribute, include/osg/StateSet,
	  include/osg/Stencil, include/osg/Switch, include/osg/TexEnv,
	  include/osg/TexEnvCombine, include/osg/TexEnvFilter,
	  include/osg/TexGen, include/osg/TexGenNode, include/osg/TexMat,
	  include/osg/Texture, include/osg/Texture1D,
	  include/osg/Texture2D, include/osg/Texture3D,
	  include/osg/TextureCubeMap, include/osg/TextureRectangle,
	  include/osg/Timer, include/osg/Transform, include/osg/Uniform,
	  include/osg/UnitTestFramework, include/osg/Version,
	  include/osg/VertexProgram, include/osg/Viewport,
	  src/osg/GNUmakefile, src/osg/Texture.cpp,
	  src/osgPlugins/quicktime/QuicktimeImageStream.h: Renamed
	  SG_LIBRARY and SG_EXPORT macro's to OSG_LIBRARY and OSG_EXPORT

2005-04-11 16:40  robert

	* src/osgWrappers/osg/GNUmakefile: Changed optimization flag to -O
	  instead of -O2 to aid compile speed.

2005-04-11 16:22  robert

	* include/osg/Program: From Olaf Flebbe, compile fix for Sun.

2005-04-11 16:17  robert

	* Make/makedefs, Make/makedirdefs, include/osg/BufferObject,
	  include/osg/Drawable, include/osg/StateAttribute,
	  src/osg/BufferObject.cpp, src/osg/PrimitiveSet.cpp: Moved
	  #include <osg/State> from header into .cpp to clean up build.

2005-04-11 16:01  robert

	* src/osgWrappers/osg/ColorMask.cpp: Build fix

2005-04-11 11:12  robert

	* src/osg/: GNUmakefile, Program.cpp: Fixed warning, and sorted
	  entries in GNUmakefile

2005-04-11 09:15  robert

	* include/osg/Program: Added friend class PerContextProgram;

2005-04-11 08:51  robert

	* src/osgPlugins/geo/osgGeoAction.h: From Olaf Flebbe, Fixed cross
	  platform compile error

2005-04-10 22:26  robert

	* include/osg/ColorMask: From Randall Hopper, fixed typo of
	  setRedMask.

2005-04-10 22:25  robert

	* examples/osgcatch/: GNUmakefile, osgcatch.cpp: Further work on
	  kiddies game.

2005-04-09 12:17  robert

	* include/osgParticle/FluidProgram,
	  src/osgParticle/FluidProgram.cpp: Fixed typo

2005-04-08 20:40  robert

	* Make/dependencies, Make/makedirdefs,
	  VisualStudio/examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.dsp,
	  VisualStudio/examples/osgGLUTsimple/osgGLUTsimple.dsp,
	  examples/osgGLUTkeyboardmouse/GNUmakefile,
	  examples/osgGLUTkeyboardmouse/GNUmakefile.inst,
	  examples/osgGLUTkeyboardmouse/osgGLUTkeyboardmouse.cpp,
	  examples/osgGLUTsimple/GNUmakefile,
	  examples/osgGLUTsimple/GNUmakefile.inst,
	  examples/osgGLUTsimple/osgGLUTsimple.cpp: From Mike Weiblen,
	  osgGLUTsimple and osgGLUTkeyboardmouse examples

2005-04-08 20:39  don

	* src/osgPlugins/net/: ReaderWriterNET.cpp, sockstream.cpp: Added
	  check for _last_of for fileName and merged all definitions for
	  socklen_t to one line.

2005-04-08 20:29  robert

	* examples/osgintrospection/osgintrospection.cpp: From Marco Jez,
	  updates to reflect new osgIntrospection API

2005-04-08 19:46  robert

	* src/osgDB/Registry.cpp: From Stephan Huber, changed fixed string
	  sizes for dynamically allocated ones in OSX file system gets.

2005-04-08 15:44  robert

	* src/osgUtil/TriStrip_graph_array.h: From James French, a tweak
	  with fix a compile problem related to STLport.

2005-04-08 15:11  robert

	* src/osgPlugins/net/sockstream.cpp: From Olad Flebbe, compile fix
	  for HP-UX.

2005-04-08 15:10  robert

	* include/osg/: UByte4, io_utils: Moved UByte4 i/ostream support
	  into io_utils.

2005-04-08 15:09  robert

	* src/osgPlugins/freetype/FreeTypeLibrary.h: From James French, fix
	  to header guard

2005-04-08 14:52  robert

	* src/: osgDB/Registry.cpp, osgPlugins/quicktime/QTtexture.h,
	  osgPlugins/quicktime/ReaderWriterQT.cpp: From Stephan Huber
	  (contains Registry.cpp changes from David Guthrie): "Attached is
	  the new source for the Quicktime-Plugin which adds the ability to
	  write pictures in various formats (tested: jpg, png, tif, psd)
	  (24bit + 32bit only, 8bit not tested)

	  There are changes in the attached osgDB::Registry, which allows
	  osg to find resources/plugins in the right folders under OS X"

	  Note, from Robert Osfield, changed the FilePathList* filepath +
	  delete to a FilePathList filepath to avoid possible memory leaks
	  when expections are thrown/ make it more maintainable.  Also
	  didn't merge the automatic playing of movies.

2005-04-08 14:10  robert

	* src/: osg/Shader.cpp, osg/Uniform.cpp, osgPlugins/osg/Shader.cpp,
	  osgPlugins/osg/Uniform.cpp: From Mike Weiblen, updates to GL
	  Shadler Language support

2005-04-08 14:06  robert

	* VisualStudio/osgPlugins/ive/ive.dsp,
